
=================================================================
 Cogmind Public Changelog                        version: Beta 11
=================================================================

NEW - New feature
MOD - Modification to existing system
FIX - Bug fixes

================================================================
Cogmind Beta 11 (220317) - "Mechanical Renaissance"

-----( CONTENT )-----
* NEW: 1 new intermap area "DSF" (Distributed Storage Facility)
* NEW: 61 new items (including new mechanics)
* NEW: 49 new sound effects (total = 1089)
* NEW: 2 new types of Storage Unit
* NEW: 6 more alien artifacts
* NEW: 2 new unique superweapons
* NEW: 2 new common 0b10 combat bots (6 variants) and related mechanics
* NEW: 1 more Hauler variant
* NEW: 4 more Specialist variants
* NEW: 1 new derelict subvariant
* NEW: 2 new prototype robots
* NEW: 13 new encounters and events
* NEW: 45 lore entries related to new features and content
* NEW: 12 unique critical strike effects for different weapon types
* NEW: 3 more unauthorized hacks
* NEW: 1 new non-RIF robot hack
* NEW: 1 new type of build class modifier
* NEW: Unique new late-game build type with special access conditions and effects on some major NPC interactions
* NEW: Alternative non-assault response due to rising alert, depending on reasons behind alert increases
* NEW: New type of squad dispatch in some areas
* NEW: Sterilization process capable of melting more objects
* NEW: Researchers carry random Schematic Archives
* NEW: Additional major NPC data core available for retrieval (special effect)
* MOD: Garrison patrol composition adjusted in some cases
* MOD: Increased Behemoth core integrity
* MOD: Broadened variety of Specialist spawn pool at each depth
* MOD: Updated many bot designs to account for changes to parts
* MOD: Some areas might sterilize more quickly than others
* MOD: Data Miner schematics now mostly randomized
* MOD: Reworked Network Hub response event
* MOD: Lab sensor count reduced
* MOD: Command garrison composition adjusted to reflect new dispatches
* MOD: Deep Caves wall more easily disturbed
-----( MECHANICS / ITEMS )-----
* NEW: Legs increase evasion while moving but decrease accuracy, where degree is based on current momentum
* NEW: HUD Movement readout displays "Running" instead of "Walking" if current momentum is leg-based
* NEW: Kinetic cannon projectiles blast matter off target robots based on salvage modifier
* NEW: Most machines and walls penetrated by projectiles failing to destroy them might eventually collapse
* NEW: <half_stack> item tag allows second best part of matching effect to contribute half of its value (applied across eight different utility effects)
* NEW: Trap Extractors can hold multiple traps, cycle to DROP mode for placement
* NEW: Trap Extractors also prevent user system corruption from accidentally triggering a trap at current location due to movement
* NEW: Triangulator also pinpoints tracking hostiles outside FOV, within a certain range
* NEW: System Guard converted to Processor, given new effect: reduces effective system corruption
* NEW: Corruption Screen converted to Processor, given new mechanic: degrades to block new system corruption
* NEW: Structural Scanner identifies cells behind visible solid cells
* NEW: Phase Generators also scramble all structural and terrain scanning effects
* NEW: Robots corrupted by EM damage drop Corrupted salvageable parts, which cause side effects when attached
* NEW: Waste EMP discharge less likely to fry parts, but may also corrupt them
* NEW: Integrated Mediator may now also prevent negative effects of attaching Corrupted parts
* NEW: Cogmind power sources susceptible to EM-induced chain reactions from AOE sources
* NEW: Power Shielding protects power sources from EM-induced chain reactions
* NEW: Dirty Datajack redesigned with new stats, effects, and lore
* NEW: Seismic Analyzer renamed to Seismic Detector, converted to Device and given new functionality
* MOD: Kicking a target never damages self, regardless of leg count
* MOD: Storage Units can no longer be stacked
* MOD: Adjusted stats of all Storage Unit variants, increasing both capacity and mass
* MOD: Cogmind base inventory capacity increased to 5
* MOD: Mass support utilities can no longer be stacked
* MOD: Multiple Exiles items rebalanced with new mechanics
* MOD: Integration Mediators converted to artifact with corresponding permanent effect
* MOD: Energy/dissipation artifacts reworked
* MOD: Integrity Redistributor exchange ratio reduced
* MOD: Removed Stasis Generator
* MOD: Increased overweight speed penalties for all ground propulsion by varying degrees
* MOD: Flight propulsion rebalanced for lower mass support and reduced energy cost
* MOD: Hover propulsion rebalanced for lower mass support and reduced energy cost
* MOD: All flight array integrity increased
* MOD: Reduced capacity of energy storage utilities
* MOD: Sensor Array range progression tightened, ratings increased
* MOD: FarCom detection range reduced from 20 to 18
* MOD: Terminal-based tracking ranges reduced
* MOD: Structural Scanner no longer identifies unstable machines
* MOD: Increased rating of most Signal Interpreters, Terrain Scanners, Optical Arrays, and some Terrain Scan Processors
* MOD: Coolant Injectors degrade twice as fast
* MOD: Lowered all Hardlight Generator coverage
* MOD: Mid/high-tier Shielding utility integrity reduced
* MOD: Armor Integrity Analyzer success rates reduced
* MOD: Damper Plating size increased (3->4)
* MOD: Increased shot count for most vortex weapons
* MOD: Mni. Smartbomb Launcher weakened
* MOD: Salvage Targeting Computers incompatible with multiprojectile guns
* MOD: Removed treads accuracy buff
* MOD: Increased integrity of most thermal weapons
* MOD: Decreased coverage of most thermal weapons
* MOD: 0b10 Decoder Chips variants given different discovery rates, some faster than before
* MOD: System Restoration Module mechanics reworked to operate faster but deplete their integrity over time
* MOD: Any system corruption side effect can occur at any level, thresholds removed but relative corruption-based likelihood of each type unchanged
* MOD: Removed potential negative weapon accuracy mod due to system corruption
* MOD: Restricted number of situations in which system corruption causes misdirections
* MOD: Misdirections caused by system corruption no longer happen if attempting to move into a solid object
* MOD: Missed shots far less likely to accidentally hit an intended target due to random luck
* MOD: Many weapon crit chances updated for compatibility with new variable type system
* MOD: Electromagnetic launcher ranges decreased by 2
* MOD: Impact damage overflow now also uses slot-based targeting instead of coverage-based targeting
* MOD: Slashing damage part severing side effect removed (replaced by equivalent critical effect)
* MOD: Core Analyzer effect changed to simply increase target core exposure for all coverage-based hits
* MOD: Piercing damage side-effect changed to match new Core Analyzer effect
* MOD: Critical and Coring immunities on a robot no longer confer immunity to Core Analyzers
* MOD: Rebalanced various thermal cannon stats, including Hvy. Plasma Cannon, Matter Neutralizers
* MOD: Rebalanced various EM cannon stats, including Hvy. Proton Cannon, Com. HERF Cannon, Hpw. Disruptor Cannon
* MOD: Rebalanced various kinetic gun stats, including Gauss Rifles, Coil Guns, KE Penetrators
* MOD: Rebalanced various kinetic cannon stats, including Com. Linear Accelerators
* MOD: Kinetic gun base range reduced from 22 to 18
* MOD: Removed meltdown side effect of weapon overloading; strengthened heat surges, weakened energy bleeds
* MOD: Rebalanced all melee impact weapons: doubled integrity, increased coverage 50%, increased damage 50%, delays reworked, given -salvage modifiers
* MOD: Differentiated melee impact weapons with additional stat adjustments
* MOD: Metafield Generator integrity decreased (100->80), coverage increased (8->30), upkeep reduced (20->15)
* MOD: Kinecellerators allowed to buff weapon's minimum damage beyond maximum
* MOD: Force Booster momentum mechanic replaced with direct melee damage buff, accuracy malus
* MOD: Force Boosters mass, integrity, coverage increased, upkeep decreased, no longer as rare
* MOD: Stasis Canceller reduced to one tier, rating reduced (8->5)
* MOD: Stasis Canceller effect simplified to completely ignore all stasis effects, including both immobility and defensive benefits
* MOD: Transmission Jammer ratings and upkeep increased, effects buffed at lower tiers
* MOD: Hardlight Generator thermal resistance increased to match kinetic resistance
* MOD: Hardlight Generator effects increased 25~50%
* MOD: Mobile Assembly Unit production time reduced (50->10), in turn reducing matter cost
* MOD: Matter Drive converted from Utility to Power
* MOD: Matter Drive no longer a guaranteed find
* MOD: Fusion Compressor type converted from Utility to Power
* MOD: Fusion Compressor energy generation increased (15->20)
* MOD: Trap extraction consumes 5 matter per attempt
* MOD: Chance of AOE EM damage triggering allied traps reduced to match chance of triggering hostile traps
* MOD: Door autohacking utilities also work on those requiring manual unique codes
* MOD: Non-explosive projectiles reaching max range no longer affect open ground
* MOD: Programmers can clear corruption on a wider range of bots
* MOD: Improved internal uniqueness of multiprojectile AOE weapon signatures to prevent overlapping explosions from sometimes inflicting less damage
* MOD: Drones may now trigger cave-ins
* MOD: Trackers now immune to coring
-----( HACKING )-----
* NEW: Additional method to build schematics at Fabricators, via Authchips
* NEW: Schematics list accessed via Fabricator includes alternative color and text indicators when applicable Authchips available
* NEW: Manually hacking robot schematics/analyses and loading schematics can also match case-insensitive partial substrings (e.g. "troop" -> "G-47 Trooper")
* NEW: Scanalyzer list of insertable items includes inventory tags
* MOD: Removed explicit central matter system for part fabrication
* MOD: Complex 0b10 use of Fabricators follows same build process utilized by players rather than random sudden spawns
* MOD: Complex 0b10 use of Fabricators to produce parts no longer follows stockpile rules, instead producing extra amounts of single item type
* MOD: Fabricator Network(Status) hack given different functionality under new fabrication system
* MOD: Fabricator Trojans reworked for new fabrication system
* MOD: Fabricator loaded schematic cleared once the build completes
* MOD: Parts produced via preloaded Fabricator schematic now automatically identified on completion
* MOD: Trojan(Siphon) removed (no longer applicable)
* MOD: Modified Complex 0b10 response to Reprogram hack
* MOD: amplify_resonance hack effect ends immediately after affecting a single active power source on target
* MOD: Command Fork RIF ability description explicitly states matching Relay Coupler requirement
* MOD: Limited-function 0b10 Terminals no longer affected by Zion integration
-----( ALLIES / AI )-----
* NEW: Expanded Watcher chasing AI behavior block to include greater number of ally types
* NEW: Assign custom names to controllable allies (see button/command in info window)
* NEW: Message and history logs report number of allies that failed to survive the journey between maps
* MOD: Combat AIs now prefer to avoid dangerous terrain in more cases
* MOD: Allies ignore Watcher targets if Cogmind has Watcher Feeds RIF ability
* MOD: Increased area within which active drones and controllable allies will follow to a new map
* MOD: Mostly removed hard caps on number of allies that can follow to a new map
* MOD: Allies following to new maps will not always start as close as possible
* MOD: Hacking Drone no longer able to perform indirect hacks at door/special terminals
* MOD: Ally transfers between maps give additional priority to those carrying items in inventory
* MOD: Zionite followers given somewhat more freedom during engagements
-----( QOL / UI )-----
* NEW: Special Commands window accessed via Spacebar, allows context help and alternative keyboard/mouse access for many special Shift-Alt commands
* NEW: Find known/remembered items on map via new realtime search interface (Spacebar+f or Shift-Alt-f)
* NEW: Ruler overlay mode for quickly measuring ranges from any position to any other position (Spacebar+x or Shift-Alt-x)
* NEW: Map commenting mode (Spacebar+c or Shift-Alt-c)
* NEW: Filter on-map item labels by category (all/power/propulsion/utility/weapon/nonpart) while mass labeling (cycle category with Tab \ -/= \ KP+/-)
* NEW: Volley visualization ('v') now also highlights visible destructible terrain in Tactical HUD mode (see manual under Advanced UI > Volley Window)
* NEW: Warning on attempting to fire through terrain, as with robots
* NEW: "Analyses" button in Status window to access known list
* NEW: Exiles give second warning about accessing Research branches with FarCom on entering Research
* NEW: Matter/Protomatter labels outside FOV now include their last known amount
* NEW: On-map popup labels for critical effects where applicable, including part severing
* NEW: DISPOSABLE and UNSTABLE weapons also append remaining uses to name while in inventory, or on open info page
* NEW: Dedicated sound effect for low core warning
* NEW: Input blocked on game over screen for 2 seconds to prevent accidental presses after a sudden death
* NEW: FPS counter also shows at top of HUD when active, setting stored in system.cfg to recall between sessions
* NEW: Second threshold when attempting to move at extremely slow speed, with different warning message (advanced.cfg: extremeSlowMoveSpeed defaults to 600)
* NEW: Asset loading progress reported on screen during startup
* MOD: Recolored Data Core tiles/ASCII to reflect the variety of categories
* MOD: Gradually expendable utilities (Injectors, System Restoration Modules) have unique SFX on depletion
* MOD: Minigun and Barrage Gun SFX shortened by removing spinup and some spindown
* MOD: Assault ALERT announcement more clearly distinguishes singular vs. plural dispatches
* MOD: RIF ability hotkey changed to Shift-Alt-i (also compatible with new menu with Spacebar+i)
* MOD: "Clear/Previous message" keybind switched from Spacebar to 0
* MOD: "Go naked" command now referred to as "Purge all parts"
-----( HELP )-----
* NEW: More specific descriptions added to some items, including some drone bay types, Exiles prototypes, Datajacks and Relay Couplers, and non-part items
* NEW: 0b10 Decoder Chips effect description lists potential data types
* NEW: In Tactical HUD mode, info page for power sources also includes chain reaction explosion details
* NEW: Watchers explicitly list Sensor Jamming as a trait
* NEW: Unique context help for robot info page "ID" entry depending on current state
* NEW: Unique context help for item info page "State" entry depending on current state
* NEW: Unique context help for machine info page "State" entry depending on current state
* NEW: Manual section "Salvage" (under Combat) expanded to describe Corrupted parts
* NEW: Manual Kinetic/Impact damage sections give details on chance of knockback to displace a second robot, and the damage inflicted
* NEW: README now includes info about requiring restart on changes to desktop resolution or pixel scaling
* NEW: README includes troubleshooting entry referring to manual section on Custom Cursors for resolving cursor display issues
* MOD: Adventurer/Explorer mode include tweaks to make new content and mechanics less difficult (added to manual list)
* MOD: Add your personal notes in user/notes.txt rather than in the last section of manual.txt
* MOD: user/game.bin file renamed meta.bin
* MOD: Updated context help for immunities and critical strikes to reflect new rules
-----( SCORESHEET / DATA )-----
* NEW: All patron supporter names registered since Beta 10 added to in-game list (see Credits menu)
* MOD: Destroying robots with no score value also no longer counts towards Robots Destroyed total
* MOD: Score from robot value and destruction counts capped for replenishing bot variants on a per-map basis
-----( BUGS )-----
* FIX: Melee sneak attacks tripled damage rather than doubled damage as intended and indicated in manual [aoemica]
* FIX: Super Gauntlet challenge now blocks all branch access in Materials, to avoid shortcuts to other branches, and prevent FarCom use [CaptainWinky]
* FIX: Single alarm trap array could in some cases trigger multiple times if caused by an EM explosion [zxc]
* FIX: Engineers under influence of ignore_repairs hack might call for reinforcements if attacked while incidentally moving towards repair location [zxc]
* FIX: Sentries did not respond to generate_anomaly [Heavyrisk]
* FIX: Propulsion Burnout stat context help did not explain how overloadable propulsion could break normal max speed restrictions [breylinlee]
* FIX: Modal part management menu (d)rop command did not automatically bypass inventory as intended [NikolayAg]
* FIX: Patrolling ARCs were no longer emergency deploying on destruction like assault ARCs
* FIX: Save file sizes might get unnecessarily large across a long run, padding with an extra 30-50% empty score data
* FIX: Melee impacts on certain materials did not play any sound for the impact itself

Extended Beta 11 changelog including additional categorized minor details for advanced players...

  >>>: CONTENT
* NEW: Major NPC has name change during certain extended game event
* NEW: Unique animation for transforming parts
* NEW: Additional source of hostile Zionites
* NEW: [Player 2 mode] Additional situations with more dialogue lines (total = 727)
* MOD: Changed definition of Hauler build type
* MOD: Derelict Mutant loadout Thermal Converters replaced with Weapon Cyclers
* MOD: Upgraded O-32 Director System Backup Module
* MOD: Exp. Target Analyzers removed from major NPCs
* MOD: Researchers and Wizards given Corruption Screens
* MOD: P-80 Master power source upgraded
* MOD: X-72 Disruptor loadout updated
* MOD: CL-ANK's build reworked
* MOD: Executioner loadout modified due to Core Analyzer changes
* MOD: Mapwide scenario following a particular major NPC death ends more quickly
  >>>: MECHANICS/ITEMS
* NEW: Neutron Cannons and Neutron Missiles given electromagnetic side effects
* NEW: Relay Coupler [NC] combined with Transport Network Coupler and Signal Jamming RIF ability blocks Hauler calls for reinforcements
* NEW: Transport Network Couplers have an additional hidden functionality (revealed in the lore)
* NEW: Additional level of damage heat transfer "Deadly"
* MOD: 8R-AWN's armor increased in size
* MOD: Removed all Overload Amplifiers and Overload Regulators
* MOD: Reworked stats of several rating 6~7 power sources
* MOD: Fusion Compressors rebalanced
* MOD: Reduced Armor Integrity Analyzer to three tiers
* MOD: Removed all Heat Shieldings
* MOD: Removed all Reclamation Units
* MOD: Removed all Thermal Converters
* MOD: Containment Facilitator reduced to a single slot
* MOD: Flak-type weapons damaged reduced
* MOD: Flak-type cannon ranges reduced
* MOD: Flak Gun added salvage modifier
* MOD: Sheargun crit chances increased
* MOD: EMDS coverage increased (160->300), integrity decreased (200->140)
* MOD: Increased range of Hvy. Quantum Rifle (14->22)
* MOD: Increased mass of Z-Drone Bay (3->4)
* MOD: Self-Destruct Interrupters dropped by bots other than Cogmind do not have any effect
* MOD: Adv. Power Amplifier no longer a prototype, increased rating (6->7)
* MOD: Autonomous weapons no longer fire if owner in non-active state
* MOD: Stasis-type effects immediately zero victim momentum when applied
* MOD: Overflow damage still applied even if target part destroyed by critical effect, where sufficient
* MOD: Hunter-deployed drones self-destruct if parent assimilated
* MOD: Buffed top-tier quantum rifles
* MOD: Reduced resource costs of Gui. EMP Launcher
* MOD: Gamma Rifle no longer a prototype
* MOD: Tachyon Dispersion Ray switched from Wide to Fine spectrum
* MOD: Hpw. Electrolaser damage reduced (23-26 -> 21-24)
* MOD: Electrolasers renamed to Field Lasers
* MOD: Force Rifle now a prototype, with increased integrity (90->110)
* MOD: Enh. Gamma Rifle damage increased (25-29 -> 30-33), corruption crit reduced (4->2)
* MOD: Rebalanced Dispersion Rifles to differentiate from similar thermal guns
* MOD: Reduced Lgt. Assault Rifle coverage (100->60)
* MOD: Melee Datajack delays reduced, lowered resource costs
* MOD: Dropped heat of all Remote Datajacks
* MOD: Stasis Beam special weapons never found in the wild, only as salvage
* MOD: Shock Bomb Launcher spectrum changed from NARROW to INTERMEDIATE
* MOD: Increased damage falloff of Adv. EMP Blaster and Tesla Bomb Launcher
* MOD: Thermal Generator coverage reduced (50->20)
* MOD: Imp./Adv. Cryofiber Web energy upkeep reduced by one-third
* MOD: Increased rating of YI-UF0's matter container (5->8)
* MOD: Tactical Coordination Suite integrity increased (30->50), energy upkeep reduced (12->10)
* MOD: Armor Integrity Analyzer rating lowered (5->4)
* MOD: Recoil Stabilizer effect increased (2->4)
* MOD: Exp. Melee Analysis Suite less commonly found
* MOD: Maneuvering Thruster effect increased (6->8)
* MOD: Maneuvering Thrusters renamed Reaction Control Systems and merged with the latter's existing tiers
* MOD: 5H-AD0's Cloak integrity increased (100->400)
* MOD: Tractor Beam coverage reduced (60->30)
* MOD: Adjusted stats for all non-basic ECM Suite variants
* MOD: Mak. Power Source heat output increased (7->10)
* MOD: Wardrone Bay size reduced (10->8)
* MOD: Robots using Imp. KE Penetrator switched to new Adv. variant
* MOD: Quantum Sheargun renamed (spoilers)
* MOD: System Backup Modules renamed to merge with System Restoration Modules, total tier count reduced by 1
* MOD: Gravity Neutralizing Apparatus renamed Gravity Neutralizer
* MOD: Inertial Stasis Machine and Dimensional Manipulator renamed to prefixed variants of other mass support utilities
* MOD: EM Shield and EM Dispersion Field renamed to merge into prefixed variants of EM Disruption Field
* MOD: Corruption-induced collisions use proper impact damage targeting rules rather than coverage-based
* MOD: Corruption-induced collisions route damage through all normal defenses, rather than applying directly to parts
* MOD: Removed mid-tier Core Analyzers, updated stats of remaining ones
* MOD: Core Analyzers do not transfer effects of critical strikes to core along with damage
* MOD: A certain stick now only works on applicable standard 0b10-class targets
* MOD: Hidden doors outside FOV revealed by Derelict Logs always show as closed, regardless of their current state
* MOD: High alert within Garrisons does not trigger High/Max Security or Sterilization
* MOD: [Player 2 mode] Reduced upper limit on Player 2 AI desired overweight multiple
  >>>: HACKING
* NEW: Garrisons have unique SFX for successful unlock/seal hacks
* MOD: Changed response on entering valid 0b10 hack into a non-0b10 terminal
* MOD: Limited-function 0b10 Terminals listing queries do not enable indirect access to related topics
* MOD: Repair Station item list no longer uses "[broken]" suffixes since part name includes status as a prefix
  >>>: ALLIES/AI
* MOD: Controllable allies completing a DROP order are switched to FOLLOW rather than ROAM
  >>>: QOL/UI
* NEW: Warning on attempting to attach a corrupted part
* NEW: Option to have Machine Analyzer log more than interactive machines (advanced.cfg: machineAnalysisLogsNoninteractive)
* NEW: Researcher witness pre-attack warning is reset on moving to new location in case of rapid repositioning and attack
* NEW: System Guard effect reflected in HUD alongside System Corruption
* NEW: Shortcut to order all visible controllable Mechanics to initiate repairs (o -> r)
* NEW: Item selection for tagging supports LMB on inventory in addition to regular hotkey
* NEW: Adjustable repeat command delay timer for pathfinding to an item search target (advanced.cfg: itemSearchPathfindingDelay)
* NEW: Adjustable interval for map comment reminder highlights (advanced.cfg: mapCommentHighlightInterval)
* NEW: Ctrl-v during text entry pastes text from system clipboard (player name, world seed option, manual hacking, etc.)
* NEW: Hacking UI lists active/inactive Authchip counts on connection when relevant
* NEW: Sudden special encounters including some scene descriptions and derelicts "emerging from shadows" temporarily block movement/pathing and waiting
* NEW: Adjustable visualization timing for Active Sensor Suite activity paths (advanced.cfg: activeSensorPathNewDuration/activeSensorPathsDuration)
* NEW: Adjustable active sensor encounter pause time (advanced.cfg: pauseMoveDurationHeavySensor)
* NEW: Adjustable active sensor warning reset range (advanced.cfg: activeSensorWarningBufferRange)
* NEW: Option to output scoresheets in JSON format alongside normal text version (advanced.cfg: scoresheetJson)
* NEW: Option to output stat dumps in JSON format alongside normal text version (advanced.cfg: statDumpJson)
* NEW: Option to warn on exiting current map with corrupted parts in inventory (advanced.cfg: remindCorruptedInventoryOnExit)
* NEW: Option to require confirmation before moving while located outside map view (advanced.cfg: warnOnMoveOutsideMapView)
* NEW: Message log limits number of saved records to 30,000 by default (advanced.cfg: messageLogLimit)
* NEW: Combat log limits number of saved records to 200 by default (advanced.cfg: combatLogLimit)
* NEW: Option to automatically enable keyboard mode on entering examine mode via keyboard (advanced.cfg: examineEntersKeyboardMode)
* NEW: Option to automatically toggle keyboard mode off on exiting examine mode if entered via examineEntersKeyboardMode (advanced.cfg: autoExitKeyboardMode)
* NEW: Option to set minimum volume for machine prop audio regardless of distance (advanced.cfg: minimumPropVolume)
* NEW: Modal part management menus also allow use of numpad to reference inventory items
* MOD: Terrain Scanner animation only plays on locations where knowledge has changed from before
* MOD: Terrain Scanner animation no longer plays over interactive section of a machine
* MOD: Critical resonation detonations use different log message and color when involving Cogmind
* MOD: Part swap actions automatically exit targeting mode if active
* MOD: Toggling Metafield Generator while have momentum updates melee damage values in inventory and part list info mode ('q')
* MOD: Rating-based item sprites colored white in info page of unknown parts and prototypes, instead of retaining their tier color
* MOD: Pop-up label for item immediately expires if picked up by any robot
* MOD: Stats of individual parts cannot be opened directly from robot schematics
* MOD: "Purge all parts" command responds with different message if no parts attached
* MOD: [Pay2Buy mode] Starting CogCoins adjusted higher for non-Rogue difficulty modes
* MOD: [Player 2 mode] Player 2 ignored for purposes of history log follower reporting on reaching new map
  >>>: HELP
* NEW: Added "Text Input" section to command list in manual
* NEW: Item info page uses different context help for "Inventory" slot
* NEW: Context help for Resistances includes more details about how they're applied
* NEW: Contextual tutorial message regarding <half_stack> mechanic, also added to effect tag description list in manual
* NEW: Contextual tutorial message about Heavy sensor range
* NEW: Contextual tutorial message about evolution timing
* NEW: Contextual tutorial message about the nature of revisiting maps
* NEW: Contextual tutorial message about what traveling between maps represents
* MOD: Component Analysis Suite effect description explicitly states that it technically operates on Unknown parts as well
* MOD: Updated "Attack Resolution" section of manual to reflect some item changes
* MOD: Updated Microsoft DLL download links in README.txt
  >>>: SCORESHEET/DATA
* NEW: Scoresheet Fabrication records include Authchip use indicator where applicable
* NEW: History log records when Zion dispatch access revoked
* NEW: Scoresheet includes data on Corrupted Part use
* NEW: Scoresheet includes entries for all critical effects, and parts lost to critical strikes
* NEW: Additional scoresheet entries for corruption blocking effects
* NEW: Scoresheet entry for best Force Booster effect
* NEW: Scoresheet includes data on damage redirected to shielding
* NEW: Scoresheet includes data on total part integrity restored via all sources of repairs and regeneration
* NEW: Scoresheet includes entries for best trap extraction effect and carried trap counts
* NEW: DM redirect counts recorded in scoresheet
* NEW: Gallery data exporting includes values for Unstable/Entropic weapons
* NEW: Gallery CSV export for power source data includes chain reaction explosion values
* MOD: Increased score value for successful corpse recovery
* MOD: Map export images filename prefix seed uses text form rather than number
* MOD: Gallery CSV export for weapon data splits min/max damage into separate values
  >>>: BUGS
* FIX: One Zion NPC dialogue '?' marker for a particular encounter was still appearing in the wrong color [R-26 Lightspeed]
* FIX: "Derelict Escape" achievement awarded under a certain invalid circumstance [R-26 Lightspeed]
* FIX: Scoresheet "High Alert Combat Kills" no longer awarded in maps where alert levels reported as 0 [R-26 Lightspeed]
* FIX: Destroyed 0b10 cave outposts could contain broken but active Storage Shells [R-26 Lightspeed]
* FIX: Some Derelict dialogues might inappropriately trigger after being assimilated by Programmers, especially in caves [R-26 Lightspeed]
* FIX: Some room-based prefabs could very rarely be disconnected from main corridors [R-26 Lightspeed]
* FIX: Black rectangle could appear at top left of map for a single frame while labeling an exit [R-26 Lightspeed]
* FIX: Gallery item tile/ASCII color affected by knowledge loss in current run in progress [R-26 Lightspeed]
* FIX: Beta 10.2 accidentally injected extra text into Launcher Loader effect description [aoemica]
* FIX: Projectile collision issue caused multiweapon volleys to sometimes be less effective at hitting the intended target [aoemica]
* FIX: Watcher Feed and Patrol Navigation RIF ability data reversed in scoresheet [aoemica]
* FIX: Initial hypermatrix ping reinforcements always available regardless of map type [aoemica]
* FIX: Multitile guard AIs may never return to post if left while partial spotting hostiles in some situations [aoemica]
* FIX: Triggering every hypermatrix ping could potentially crash, or cause other oddities regarding ping notifications [aoemica]
* FIX: Certain extended game NPCs could in rare cases appear inside machinery if space available [aoemica]
* FIX: Potential crash on autonomous weapon destroying itself when firing under certain circumstances [GJ]
* FIX: Potential rare UI crash due to item labeling [GJ]
* FIX: Crash if all members of a certain faction died in an extended map on same turn they want to become hostile to Cogmind [GJ]
* FIX: Spawning into a new map in a narrow corridor straddled by two immediately adjacent open hidden doors rendered Cogmind unable to pass [GJ]
* FIX: Crash on Subatomic Replicator use if no open space nearby to place an item [GJ]
* FIX: Part autopair validity may not always be checked correctly, potentially even crashing on attempting to leave the map [GJ, Leviel]
* FIX: Potential crash when closing certain windows in rare circumstances [CaptainWinky]
* FIX: Non-large robots targeted by Workers for holding could still struggle to move when not adjacent to Worker [CaptainWinky]
* FIX: Workers instructed to hold a larger target were generally not dragged correctly when target moved [CaptainWinky]
* FIX: Unlikely series of events could lead to an unexpected civil war within a certain faction in extended game [CaptainWinky]
* FIX: Special Garrison Access events could soft lock Super Gauntlet challenge [CaptainWinky]
* FIX: Zionite offering Hacking Drone Bay marked in gray rather than green [perseus]
* FIX: Zion dialogue incident recorded under Base category in lore browser [perseus]
* FIX: LMB on unknown hidden door or phase wall with active clickWallsToTarget advanced.cfg option did not activate targeting mode [perseus]
* FIX: LMB on self while standing on active stasis trap displayed same interface message as if an empty space [perseus]
* FIX: Repeated machine-locating non-RIF robot hacks could add intel for same machine multiple times [perseus, nmz]
* FIX: Non-allied bots sucked down a chute would follow player if you jumped in after them, even though not an ally [Valguris]
* FIX: Triggering High Security immediately blocked Zionite terminal integration even before machine network shutdown [Valguris, gammafunk]
* FIX: Extended game event unintentionally cleared all prior item knowledge from the map [Valguris]
* FIX: Under certain conditions warning message for a given map exit might not repeat even after waiting longer than the normal 3-second window [Valguris]
* FIX: Allied Programmers could hack N-00 Fly and N-01 Spotter [Vectis]
* FIX: Crash on Recycler inserting part into Recycling Unit while still labeled from when on ground [Vectis]
* FIX: Hostile Workers could be hacked to dismantle otherwise indestructible machines [Vectis]
* FIX: Mid-run stat dump might show incorrect current build type, and temporarily display it above parts list until recalculated [Tone]
* FIX: Relay Coupler [NC] combined with Signal Jamming RIF ability properly blocks busy Engineer calls for reinforcements [Tone]
* FIX: Some large non-hackable doors remotely opened by AIs would only partially open [Tone]
* FIX: Using the disableInfoWindowCloseAnimation advanced option could cause various unexpected behavior [blelm]
* FIX: Retreat dialogue referencing a certain major NPC might assume they were dead even if not the case [blelm]
* FIX: Hauler inventory could in rare cases be loaded beyond capacity [Runia]
* FIX: Stasis links could persist through newly repaired walls if neither attacker nor victim moved [Runia]
* FIX: Message log incorrectly colored point defense interceptions [Sardaukar]
* FIX: Adventurer/Explorer mode LOADED count reported in HUD may not immediately reset on starting a new run in some circumstances [Sardaukar]
* FIX: Automatically reprogramming a dispatched 0b10 squad unregistered two squads, removing another from the roster as well [styxmp]
* FIX: RIF Ability tutorial still referred to old keyboard shortcut [EltonsKuns]
* FIX: Mobile Refinery could be used to create infinite matter under a particular circumstance [JackNine]
* FIX: Attaching unidentified faulty prototype from ground with full inventory and allied Researcher added it to inventory anyway [Sleekie]
* FIX: "Error 47" achievement description did not include all potential triggers [ThePhoenixTome]
* FIX: Penetrating weapons not properly highlighting likely obstacles/targets on line of fire in some scenarios [Maiker]
* FIX: [Pay2Buy mode] Was still possible to obtain storage units through some indirect means [Salamander]
* FIX: "A New Friend" achievement was only awarded if not using a Datajack [Rathori]
* FIX: Updating player metadata from old versions might not always work depending on version differences [Sylvia]
* FIX: Potential crash during remote shield activation animations if Cogmind outside or near edge of map view [S0ZDATEL]
* FIX: With enough allies and the right garrison layout, allies might spawn in behind unknown hidden doors or phase walls [Sorrydough]
* FIX: Potential crash on opening a robot schematic on some systems [DeadlyBlueApples]
* FIX: Crash on gaining a 677th controllable ally of a single robot variant on a single map [Azken Zutik]
* FIX: Extremely rare crash in multitile ally pathfinding when engaging targets under certain circumstances [skar1ath]
* FIX: Manual command entry might in some cases be able to bypass revoking of Zionite dispatches [Finestep]
* FIX: Typos [Joshua, CaptainWinky, btmk16, whispermusic]
* FIX: Various fixes related to W base events
* FIX: Mobile Refinery could not convert debris already under current location when activated
* FIX: Item lists with dynamic abbreviated prefix fading did not consistently handle it in combination with the new Broken prefix
* FIX: 0b10 Decoder Chip [Skirmisher] opens intel automatically if autoOpenNewIntel option active
* FIX: Two advanced.cfg option descriptions were missing from the manual: disableTerrainScanAnimation, modifiedTncPopupDuration
* FIX: Using mouse close button to cancel log note or item tagging mode required second press
* FIX: Tagged identified resource containers in inventory with names exceeding available width did not properly show their contents
* FIX: Randomized prefab loot in some areas may have not always included all intended categories of parts
* FIX: Quickloading while in targeting mode remained stuck in that mode unless using F2 to toggle cursor
* FIX: Remote shield activation animations did not animate rightmost column if map view shifted left to within range of protected area
* FIX: Scoresheet Best States "Relay Coupler Types"/"Relay Coupler Value" entries reversed
* FIX: Scoresheet final heat description was always Cool, regardless of heat level
* FIX: Sudden machine malfunctions during sterilization and some other events could cause other nearby non-machine terrain objects to indicate "malfunctions"
* FIX: RIF influence reporting should not have been visible in A0

================================================================
Cogmind Beta 10.2 (201030) - "Forbidden Lore: Cogmind the ARG"

* NEW: Unique Halloween mode for 2020, automatically activates on 10/29 for anyone who has played at least 10 runs (lasts through November)
* NEW: Command line argument "-forceMode:Halloween2020" (or "-forceMode:ForbiddenLore") to enable the Halloween mode from 2020, regardless of system date
* NEW: [Forbidden Lore mode] Hunt for clues with help from forbiddenlore.gridsagegames.com to scour the game and internet for passwords to special lore
* NEW: 1 new prototype robot
* NEW: 1 new weapon
* NEW: Most door-access terminals in 0b10 converted to new Door Terminal prop
* NEW: Hostile 0b10 bots that lose track of Cogmind raise alert
* NEW: Relay Coupler [NC] combined with Signal Jamming RIF ability also blocks busy Engineer calls for reinforcements
* NEW: Escape key recenters view on Cogmind if currently following drone
* NEW: Advanced Commands help for message log includes Shift-Alt-z for note-taking
* NEW: Version check now includes build number, allowing for in-game notifications about smaller unannounced updates
* NEW: Screenshots of difficulty selection, title screen, and intro sequence have unique filenames
* MOD: Special-purpose 0b10 terminal functionality limited to locally listed hacks, and special manual hacks where applicable
* MOD: W base defenses changed
* MOD: Data Cores can no longer be stolen by Master Tearclaws
* MOD: Programmers require an active Remote Datajack to hack targets
* MOD: Programmers no longer hack targets once disarmed
* MOD: Sensor layout as learned from a certain NPC's data core behaves differently
* MOD: Field Lobotomy Kit no longer works on unpowered, unconnected, or broken bots
* MOD: Movement due to ramming and knockback makes all the same checks regular movement entails, ensuring the same results in terms of environmental factors
* MOD: Ramming an adjacent target is no longer a valid way to immediately escape stasis
* MOD: Ramming drones without destroying them no longer produces matter
* MOD: Base chance for all Recall() hacks reduced by 10%
* MOD: Master Thief encounters occur under different circumstances
* MOD: Only Master Thieves capable of stealing from inventory and prioritizing target parts
* MOD: Base steal chance of all Tearclaws reduced
* MOD: Thieves have innate bonus to using Tearclaws
* MOD: Nerfed CR-A16's weapon
* MOD: Terrabomb reduced to 1 slot
* MOD: locate_prototypes effect limited to a range of 15
* MOD: Threat Obfuscation RIF ability level progression effect reduced from 25,50,75 to 25,40,50
* MOD: Armor Integrity Analyzer effect description clarified to specify no impact on any AOE attacks, rather than singling out launchers
* MOD: Transmission Jammer toggle animation highlighting of jammed bots changed from red to yellow
* MOD: Core Cannon critical hit chance reduced to 0%
* MOD: Satisfying the conditions for a Warlord response from cave seals overrides the effect of core reset
* MOD: Launcher-using bots take ally resistances into account when deciding whether to fire on targets in close proximity
* MOD: Extended game C prefab added in Beta 10 reduced in size, composition adjusted
* MOD: Map export images prefix filename with current world seed
* MOD: Font config file format updated to maintain compatibility with engine changes
* FIX: Murdering more than one Exile did not count any beyond the first in the scoresheet for the Uniques/NPCs Destroyed tally [zxc]
* FIX: Hostiles would not attack unconnected drones [zxc]
* FIX: Unconnected drones could follow through map exits [zxc]
* FIX: Using a Reconstructor while standing on a Slip Node moved to the side instead of remaining at the same position [zxc]
* FIX: Dormant bots ignored enemy cloaking effect when checking for wakeup [zxc]
* FIX: C-40 Crushers might get stuck and fail to pathfind to otherwise reachable target [Valguris]
* FIX: Was possible to simultaneously activate two Remote Datajacks by removing a launcher while autoUnreadyLauncher option active [Valguris]
* FIX: Robots disabled while transitioning into/out of siege mode would allow the process to finish even while still disabled [Vectis]
* FIX: Ally with PICKUP or COLLECT order could overflow inventory capacity if final acquired item is multislot [Vectis]
* FIX: Recalled squads, coupler squads, and fabrication retrieval Haulers could be blocked by a Sentry standing on their intended exit [MTF, JackNine, Tone]
* FIX: Beta 10 caused Transmission Jammers to no longer block non-combat robot calls for reinforcements in certain situations [MTF, JackNine, Terminus]
* FIX: Core reset interactions with Beta 10's new extended endings was broken, fixed in earlier silent hotfix [GJ, Terminus]
* FIX: Beta 10 part drop destruction warning system caused Go Naked command to leave one part attached if insufficient space to drop everything [GJ]
* FIX: Self-destructing before depth -9 reused total score from previous full run in same session on game over screen [Hippasus]
* FIX: Log messages for ramming terrain and machines did not match up with the type of method used [MTF]
* FIX: Siege mode did not prevent ramming terrain or robots [NikolayAg]
* FIX: Matter decay due to overheating was deducting energy instead [aoemica]
* FIX: Beta 10 new endings broke game over screenshot tags for w8 and several types of losses [CaptainWinky]
* FIX: [Player 2 mode] Player 2 situational dialogue typo [sterv]
* FIX: Ally with a PICKUP order would move to nearby Scrap and Derelict Logs even though unable to acquire them

================================================================
Cogmind Beta 10.1 (200921) - "Warlord Forever More"

* NEW: Removing or dropping a part that will be destroyed due to insufficient space gives a warning and requires confirmation
* NEW: Matter/energy storage utility descriptions indicate that stored matter can also be extracted directly if on the ground at current position.
* NEW: Simply waiting long enough in W base is enough to trigger the event without interacting with any other triggers
* MOD: Field Recycling Units now only collect parts when activated a second time for new COLLECTING mode, also collect more quickly (once/turn)
* MOD: Field Recycling Units no longer limit parts they'll collect based on remaining scrap storage, always top off regardless of waste
* MOD: Borebot Coring immunity is now full Critical immunity
* MOD: Swarm Drones now melt down if parent destroyed or lost bay
* MOD: Updated core reset interactions with Beta 10's new extended endings
* MOD: Transport Network Couplers and Trojans relaying 0b10 bot positions now only report active bots
* FIX: Some conditions for a certain scoresheet history log message were not being checked against one of the new endings [JackNine]
* FIX: Potential freeze if a distant battle triggers a group of Gamma Bomb Traps allied with Cogmind [JackNine]
* FIX: [Player 2 mode] Crash on bringing Player 2 to one of the new endings [Minty]
* FIX: Multitile robot AI update in Beta 10 caused Behemoths to sometimes fail to return to their original guard location after losing all targets [Tone]
* FIX: Q-Series were unable to relaunch drones after the first retrieval
* FIX: Direct dropping currently attached Storage Unit containing items did not give warning or require confirmation like unequipping to inventory did
* FIX: Unequipping a part under certain conditions did not deduct energy
* FIX: Beta 10 fix to improve rapid label closing via Escape broke both advanced options: disableEscMenuAccessKeyboard, disableEscMenuAccessMouse

================================================================
Cogmind Beta 10 (200915) - "Warlord Forever!"

* NEW: 117 new sourced ambient sounds (total = 134)
* NEW: 24 new mapwide ambient tracks (total = 26)
* NEW: 6 new RIF abilities
* NEW: Expanded Warlord arc
* NEW: 2 new endings (total = 9), each with new end-game challenges and lore
* NEW: 1 new unique superweapon
* NEW: 1 new prototype robot variant
* NEW: 5 more derelict encounters
* NEW: 5 new items (multiple with new mechanics or special effects)
* NEW: 2 lore entries related to a new mechanic
* NEW: Extended game C layout expanded with additional prefab
* NEW: 9 new types of drones (some with new mechanics/behaviors)
* NEW: Drones require Cogmind to have an attached functional matching type of bay to operate (does not need to be active)
* NEW: Drones shut down due to lack of matching bay have new Unconnected status
* NEW: Drones can RETURN to an available matching bay in Cogmind's inventory if attached matching types already full
* NEW: All drones can detect traps in their FOV, at the same base rate as Cogmind
* NEW: Cycle through, center on, and follow controlled drone FOV via view centering command (Enter / Alt-KP5 / CMB)
* NEW: Centering on a controlled drone highlights its FOV
* NEW: Blue 'n' marker appears to indicate the direction of each active drone's position when offscreen
* NEW: Dedicated intel markers record locations of drone destruction when it occurs outside remaining FOV
* NEW: Combat drones automatically RETURN if disarmed
* NEW: Fleeing drones always RETURN automatically
* NEW: Fleeing controllable allies appear differently in allies menu, explicitly refuse orders with a warning message
* NEW: Opening an ally order list via the Allies console centers display on that ally if they are outside the map view
* NEW: Additional "force melee attack" command option Ctrl-Shift+LMB now documented in manual
* NEW: Force melee commands used without an active melee weapon allow ramming into machines and walls
* NEW: Warned on attempting to fire a volley from a position where doing so might cause a cave-in
* NEW: Warned if line of fire is currently blocked by another robot
* NEW: Spotting a new interactive machine automatically plays intel acquisition SFX
* NEW: Multirail weapons have new, slightly different sound effect
* NEW: Optional audio log to list all ambient sounds, as well as non-ambient sounds originating outside FOV (toggle via the options menu)
* NEW: "Audio Log" subsection in the Advanced UI section of the manual summarizing its features
* NEW: Option to have audio log include non-ambient sounds within FOV (advanced.cfg: audioLogIncludesFovSounds)
* NEW: Option to decide whether fluff machine ambient sounds appear in audio log (advanced.cfg: audioLogIncludesFluffMachines)
* NEW: Option to adjust maximum length of audio log  (advanced.cfg: audioLogMaxLength)
* NEW: Option to adjust the duration of non-ambient sounds in the audio log (advanced.cfg: audioLogDuration)
* NEW: Option to mute all audio whenever program loses focus (advanced.cfg: muteAudioOnFocusLoss)
* NEW: Option to block achievements in challenge modes and special modes, toggle in options menu via "Achievements Anywhere" button
* NEW: Allied Mechanics report in message log once they've depleted integrity repair supplies, and change appearance in allies list
* NEW: Add notes to message log with Shift-Alt-z
* NEW: In Tactical HUD mode, damaged parts retain a box around their integrity until next action (deactivate via advanced.cfg: partDamageIndicatorsRetained)
* NEW: Antimissile system effect descriptions explicitly mention their ability to shoot down Remote Datajack projectiles as well
* NEW: Log messages for allies and enemies affected by part severing, sabotage, and thievery now also specify the robot affected
* NEW: Allied follower history message on entering new map also lists names of any major NPCs
* NEW: Manual "Alternative Rules" section explicitly indicates that multiple special modes cannot be combined
* NEW: Gallery CSV export includes "Hackable Schematic" entry
* NEW: Gallery data exports include fabrication stats for all parts with theoretically obtainable schematics, not only hackable schematics
* NEW: Tutorial messages regarding Cogmind's dedicated Achievements UI, and that Steam global achievement rates are significantly underreported for Cogmind
* NEW: Tutorial message referring to the many advanced options you can configure outside the game, and where to get more info
* NEW: Tutorial message introducing the Alternative Rules section of the manual with details on challenge modes and special modes
* NEW: Holding a wait key to pass turns is temporarily blocked if a hostile Zionite in view suddenly arms itself
* NEW: [RPGLIKE mode] Added special indicator for when Sensor Range upgrade is being jammed or scrambled as per that Sensor Array mechanic
* NEW: Option to disable flash animation for terrain scanning process (advanced.cfg: disableTerrainScanAnimation)
* NEW: Scoresheet records initial influence on each 0b10 map
* NEW: Scoresheet Best States includes Relay Coupler Value, Relay Coupler Types
* NEW: All Alpha supporter names registered since Beta 9 added to in-game list (see Credits menu)
* NEW: All patron supporter names registered since Beta 9 added to in-game list (see Credits menu)
* NEW: All patron item-attribution names registered since Beta 9 added to the item collection gallery
* MOD: Drone bays never autoactivate on attach, regardless of part autoactivation settings
* MOD: Drones no longer benefit from Cogmind's Structural Interface RIF ability
* MOD: Increased mass of Mapping Drone Bay and Adv. Drone Bay
* MOD: Reduced coverage of Mni. Drone Bay
* MOD: Accessing the ally order list via keyboard displays it adjacent to the ally rather than below Allies console
* MOD: Removed GOTO order for allies
* MOD: Unarmed allies following Cogmind will slightly trail behind rather than gathering around
* MOD: Releasing a drone directly from a bay on the ground (e.g. with '>') can only be done if a functional matching type of bay is already attached
* MOD: Zionite Recon dispatches now arrive as a Z-Drone Bay
* MOD: Loading a saved game containing intel displays all intel immediately even if Intel console not active on startup
* MOD: Map-wide ambient audio volume lowered dynamically based on volume of nearby machines
* MOD: Increased base volume of map-wide cave ambiance
* MOD: Removed Audio mute from options menu (to achieve the same effect, set Master Volume to 0)
* MOD: Updated context help for Locale volume setting in options menu
* MOD: Removed Ambient Music section from Credits page and README file
* MOD: Weapon salvage context help clarified to indicate the value is applied each time target is hit by a projectile
* MOD: Allied Mechanic integrity repair supplies reduced by approximately half
* MOD: Coupler Efficiency RIF ability level progression effect increased from 4,10,20 to 6,12,20
* MOD: Derelicts assimilated by Programmers in caves will not self-destruct their parts on death
* MOD: Walls and Reinforced Barriers 50% and 25% less resistant to impact damage, respectively
* MOD: Armor of Reinforced Barriers in two extended areas increased
* MOD: Disabling a Transfer Station reduces initial non-combat robot numbers across Complex 0b10, rather than only affecting their restore rate
* MOD: Removed advanced.cfg "onlyRegularModeAchievements" option (now handled by higher-level options menu option)
* MOD: W base event timer behavior changed, making the area easier to explore with slower builds
* MOD: Certain Mines reward encounters no longer require randomly visiting a hidden location, instead now visible as Scrap (ex: Exp. Sensor Array)
* MOD: Attacking from a space prone to cave-ins increases that chance even when using a melee weapon, rather than only when firing projectile weapons
* MOD: Guided weapon waypoint recall now also works for points outside view, but all stored waypoints are cleared on movement
* MOD: Perun now has an Exp. Energy Well
* MOD: Scrap piles push items away as they are opened
* MOD: Toned down Intercept squad dispatching behavior
* MOD: Immobilizer range reduced from 22 to 14
* MOD: Linked Autogun range reduced from 22 to 14
* MOD: Integrated Tracker Drive movement speed adjusted from 10 to 15
* MOD: Gui. EMP Blaster range and waypoints decreased, matter and energy costs increased
* MOD: Firepult has a potential side effect when fired
* MOD: Recalibrator effect description specifically refers to the new "Broken" prefix rather than simply "non-functional" part state
* MOD: 0b10 Terminal database lockouts no longer summon an investigation squad
* MOD: Re-entering Access via an Access-level Garrison results in less severe consequences
* MOD: Access-level Garrison interior more dangerous
* MOD: Hidden doors outside FOV revealed by Access(Emergency) hacks and Emergency Access intel always show as closed, regardless of their current state
* MOD: Multiple adjustments to behavior around "remote opening" of locked doors
* MOD: [Player 2 mode] Player 2 part list displays raw integrity values rather than percentages
* MOD: Cannot simultaneously open Cogmind status info and that of another robot
* MOD: Updated Warlord terminal entry query results
* MOD: Core reset also clears trap knowledge
* MOD: Allies under standard Cogmind-following behavior no longer step on known traps near Cogmind
* MOD: Scoresheet "Average Influence" now simply listed as "Average" under "Peak Influence" section
* MOD: Scoresheet "Database Lockouts" only counts the initial lockout, rather than including any subsequent attempts on the same map
* MOD: L2 Power Cell cannot be detonated via Trojan
* MOD: Rogue abbreviation in score history difficulty column changed to "Rog"
* FIX: Beta 10 prerelease bugs hunted down by: [alice_fexa, Tone, CaptainWinky, Ape, NikolayAg, Joshua, MTF]
* FIX: [Player 2 mode] Attacking a machine then a wall on the same floor would encourage Player 2 to attack that wall [Valguris]
* FIX: One or more known traps installed at positions completely blocking the output of a Fabricator prevented it from producing items [Valguris]
* FIX: Spotting a new interactive machine while other machine intel active but Intel console not visible caused all machine intel to deactivate [Valguris]
* FIX: Drones using prototype propulsion might launch with a STAY order and immediately start wandering [Valguris]
* FIX: Running while being attacked by single-weapon volleys from outside view (and possibly other scenarios/conditions) would not stop the run [Valguris]
* FIX: L2 Power Cell might not always detonate even after being hacked [Valguris]
* FIX: Rebooting a target paused any active Molecular Deconstructor effects [Valguris]
* FIX: Display error of sensor layout knowledge from a certain NPC's data core if shifted outside map view area [Valguris]
* FIX: Attached broken multislot parts fixed by a Mechanic did not update their "Broken" prefix for additional slots automatically [Valguris]
* FIX: [Player 2 mode] There were a few consumables that Player 2 could pick up but not use [Valguris]
* FIX: Pathfinding for multi-cell robots in a certain layout that should be pathable had stopped working [Valguris]
* FIX: Parsing a robot added unobtainable parts to the art gallery (retroactively removing from player data as of this version) [Valguris]
* FIX: Since Beta 4 tweaks, hostilities against W base caused Demented to ally with Cogmind, and local traps targeted wrong faction [Valguris]
* FIX: In rare cases a machine might be embedded in a Reinforced Wall [Valguris]
* FIX: W base "mobilizing sentries" reaction did not play out as usual if Cogmind already hostile to the locals [Valguris]
* FIX: Assimilating a siege mode Behemoth or robot with rebooting propulsion gave it a STAY order and caused it to wander [Valguris, Kerapace]
* FIX: Addition of Dirty Bomb Traps caused all AOE trap effects to affect both score and alert [Valguris, NikolayAg]
* FIX: NPC dialogue flashing '?' markers for some encounters might appear in the wrong color [Valguris, DDarkray, Malthusis]
* FIX: [Player 2 mode] New AI system in Beta 9.6 prevented Player 2 from attaching more than one tread part [CaptainWinky]
* FIX: Extra word in message log text for allies and enemies affected by Tearclaws [CaptainWinky]
* FIX: Crash possible on attempting to transition to a new map after leaving a part inside a Repair Station [CaptainWinky]
* FIX: Surface exit prefab had begun always appearing in the same orientation [CaptainWinky]
* FIX: Using Field Lobotomy Kit on certain NPCs might cause undesirable side effects [CaptainWinky]
* FIX: Heart of Steel effect description missing <parallel_ok, resume_ok> tags [Chrome]
* FIX: Relay Coupler [NC] description referred to Engineers rather than Builders [Chrome]
* FIX: Possible gallery crash under rare circumstances [Chrome]
* FIX: Typo [Chrome]
* FIX: Discovering a trap, hidden door, or phase wall then immediately moving out of view did not retain that info in map memory until viewed again [Joshua]
* FIX: JSON output for online scoresheet data unable to differentiate between consecutive maps of same type at same depth for history log [Joshua]
* FIX: Detecting a trap, hidden door, or phase wall before the first turn on an 0b10 map after evolving showed messages before evolve results [Joshua]
* FIX: Scoresheet relative alert level distribution values incorrect if a mid-run stat dump was previously performed on that run [NikolayAg]
* FIX: Repeatedly and quickly pressing ESC after opening map object labels restarted their close animation each time [NikolayAg]
* FIX: ">>" in message log were converted to "&gt;&gt;" if optional HTML log dump was performed alongside stat dump for current run [NikolayAg, Torako]
* FIX: Context help for schematic fabrication matter contained reference to old mechanics [Vectis]
* FIX: Assimilated/fabricated 0b10 ally name assignment ordering was reset between saving/loading [Vectis]
* FIX: Compactors affected by ignore_targets could intermittently raise alert level while in view [Vectis]
* FIX: Earlier fix for part info comparison misalignment due to manual tagging had broken gallery item comparisons [alice_fexa]
* FIX: Opening schematic list via keyboard when inventory part info already open could only close new window via mouse rather than Escape key [alice_fexa]
* FIX: Stat comparisons with non-part items revealed hidden mass values despite N/A designation and no bearing on mechanics [Decinym]
* FIX: History log message for triggering Deep Caves wall could appear twice [Decinym]
* FIX: Killing self by ramming a target off stairs to next depth with low core integrity would put game in an unrecoverable state [TBExtent]
* FIX: Modified TNC manifest lists allowed too much mixing of characters when multiple lists overlapped [TBExtent]
* FIX: Mechanics attaching an unknown backup part to Cogmind identified it but did not show name unless manipulated [Tone]
* FIX: Benefits of Operator allies listed in the manual still included their robot hacking bonus under the old system [Tone]
* FIX: Scoresheet history log messages for core heat dissipation and energy generation adjustments did not properly display the amount [lsend]
* FIX: Clicking on any special mode's unique on-map window button with a pathable cell behind it would immediately path to that cell [Cmdr Jslin]
* FIX: Was possible to use a combination of machine destruction and drones to block all assault squad spawning during High Security [skar1ath]
* FIX: Earlier fixes to to prevent repeated awarding of bonus points for certain actions had been undone by new scoresheet system [Trione]
* FIX: [RPGLIKE mode] Mechanics affected by deconstruct_bot could successfully give access to Core Shielding by removing it from a Rogue [IAMCRAIG]
* FIX: Delayed Scan window armor values for unknown Phase Walls and hidden doors revealed that they were not in fact walls [stormcleaver5]
* FIX: Gallery data TXT and CSV exports included fabrication stats for Matter, even though it cannot be fabricated [Ape]
* FIX: Manual hacking autocompletion for schematics could suggest Matter as an option, which has no effect [Kerapace]
* FIX: Successful indirect database hack on 0b10 terminals in caves could alert about investigation dispatch even if not possible [Captain Croissandwich]
* FIX: Machine intel obtained via 0b10 Decoder Chips and robot hacks did not glow like other intel for undiscovered machines
* FIX: Machine and stockpile intel obtained via 0b10 Decoder Chips and robot hacks wasn't immediately applied to Intel console
* FIX: YI-UF0 encounter recorded wrong message to history log
* FIX: Crash on attaching AS-neutralizer No. 17b while within 16 cells of a map edge
* FIX: Ambient sound for large interactive machines was not always originating from the terminal section
* FIX: Dynamic build type analysis conditions for "Messiah" prefix were not being checked correctly, showing it more often than it should've been
* FIX: Explosion-caused screenshake in sprite mode might cause inventory items to appear incorrectly until redrawn for some other reason
* FIX: Visiting the game menu for a time before the HUD finished startup animation prevented the HUD from ever fully appearing
* FIX: "Broken" prefix included in log messages for AI overheating, part deterioration, autonomous weapons, and some robot hack side effects before the break
* FIX: Short circuits caused by destabilization could break an already broken part
* FIX: Potential crash on firing a second guided attack via mouse using recalled waypoints without moving the cursor since the first attempt
* FIX: Using fully allowable item tag input length could not display the tag in part info without overlapping the window border
* FIX: Online JSON run data for all Beta 9 series releases has incorrect values for discovered exit destinations (no effect on text scoresheet content)

================================================================
Cogmind Beta 9.6 (200414) - "Core Friends"

* NEW: [Player 2 mode] Added dedicated "Player 2" section to scoresheet with 15 new entries
* NEW: [Player 2 mode] Player 2 better understands the tactical use of launchers when conditions permit it
* NEW: [Player 2 mode] Player 2 can now swap parts from ground into a full inventory to improve type and quality of spares
* NEW: [Player 2 mode] Player 2 much less likely to stack utilities that won't benefit from it
* NEW: [Player 2 mode] Player 2 tendency to use heat sinks as armor toned down
* NEW: [Player 2 mode] Player 2 part loss also contributes to alert level reduction, as per the Cogmind mechanic
* NEW: [Player 2 mode] 2 more dialogue situations (total = 83)
* NEW: [Player 2 mode] More dialogue lines (total = 660)
* NEW: AI-controlled bots with a large energy-based volley may proactively deactivate one or more weapons if it will enable them to fire immediately
* MOD: [Player 2 mode] Player 2 no longer considers wasting turns on smaller integrity upgrades when rebuilding from salvage
* MOD: [Player 2 mode] Increased frequency of Player 2 dialogue
* FIX: Beta 9.6 prerelease bugs hunted down by: [CaptainWinky]
* FIX: AS-neutralizer No. 17b applied effect across entire map rather than limiting to specified range [Valguris]
* FIX: Scoresheet "Unauthorized Hacks" tally higher than intended [Valguris]
* FIX: Part info comparisons with a part using a manual tag misaligned the values by one row [Pimski]
* FIX: Scoresheet history log message for bump-rewiring detected and displayed incorrectly
* FIX: autoActivateTreadsOnAttack option caused inactive treads to appear active on automatically switching back to core propulsion on a move after attacking
* FIX: [Player 2 mode] Potential load issue under certain conditions

================================================================
Cogmind Beta 9.5 (200401) - "Player 2"

* NEW: Unique AFD mode for 2020, automatically activates on 4/1 for anyone who has played at least three runs
* NEW: Command line argument "-forceMode:AFD2020" (or "-forceMode:Player2") to enable the AFD mode from 2020, regardless of system date
* NEW: [Player 2 mode] Join forces with Player 2, another Cogmind with most of your same capabilities
* NEW: [Player 2 mode] Adds a special interface displaying Player 2's class and movement data, with persistent access to their loadout (toggle w/'9' or LMB)
* NEW: [Player 2 mode] Cogmind and Player 2's core integrity levels are linked
* NEW: [Player 2 mode] Multiple smarter AI behaviors for Player 2
* NEW: [Player 2 mode] Over 600 lines of situational dialogue
* NEW: [Player 2 mode] 1 new unique superweapon
* NEW: List of item schematics during manual hacks darkens any that are already known
* NEW: Option to block achievement earning while in challenge modes and special modes (advanced.cfg: onlyRegularModeAchievements)
* NEW: Manual "Difficulty" section includes explicit subsection for Rogue setting
* NEW: Manual part list data visualization descriptions further clarify meaning of heat mode values
* MOD: Part autoreplacement feature compares items based on based on current integrity rather than percent integrity remaining
* MOD: Part autoreplacement feature never swaps in known faulty or broken parts
* MOD: Advanced option "ignoreAscendConfirmation" no longer prevents warnings about leaving allies behind
* FIX: Size 36 fonts had become unusable on 4K screens [mudshark]
* FIX: [RPGLIKE mode] Pressing '0' with an open ally order list would open RPGLIKE upgrade menu [NikolayAg]
* FIX: [RPGLIKE mode] Protomatter might have a negative value under some conditions [Terminus, Rumbl3]
* FIX: Part autoreplacement feature was sometimes making undesirable swaps with regard to relative integrity [sunqingyao]
* FIX: Automatic waypoint recall for guided weapon attacks had stopped working [Valguris]
* FIX: Changes for RPGLIKE mode broke Sensor Arrays and Visual Processing utilities, allowing them to stack [Kerapace]
* FIX: Beta 9.5 prerelease bugs hunted down by: [CaptainWinky, Xii, lsend]
* FIX: [Pay2Buy mode] Hotkey for closing CogShop was still '0' rather than the newer '9'
* FIX: New "Broken" prefix for non-functional parts did not automatically update until part changed in some other way
* FIX: New "Broken" prefix for non-functional parts was included in log messages regarding that state change
* FIX: [Abominations mode] Abominations more effectively switch between propulsion modes when more than one available
* FIX: Since AI modifications to support autonomous weapons, disarmed combat bots might continue chasing targets rather than fleeing after loading a save
* FIX: Regular map exit warnings were not displayed if attempting to exit while somehow already on top of stairs
* FIX: Starting XP for RPGLIKE mode was added to score data even outside that mode

================================================================
Cogmind Beta 9.4 (200107) - "Plot Armor"

* NEW: [RPGLIKE mode] All Armor-type utilities transfer only 40% of damage to core (reflected in new description)
* MOD: [RPGLIKE mode] Mass Support upgrade cost increase per upgrade increased from 100 to 500
* MOD: [RPGLIKE mode] Terrain Scan Density upgrade cost increase per upgrade increased from 20 to 40
* MOD: [RPGLIKE mode] Protomatter amounts somewhat reduced at higher depths, less so in Adventurer mode and unchanged in Explorer mode
* MOD: [RPGLIKE mode] All types of Core Shielding unavailable
* MOD: All COGMIND.EXE command line arguments and parameters now case-insensitive
* FIX: Tearclaws could in some cases still remove parts from target that should not be removable [MitchellFJN]
* FIX: Repeated quickloading after visiting Proximity Caves base eventually caused loading to take excessively long [MitchellFJN]
* FIX: [RPGLIKE mode] Level raise notice would remain visible in Adventurer/Explorer modes if loading a quicksave while notice still flashing [MitchellFJN]
* FIX: [RPGLIKE mode] Crash on entering a Garrison where the transition provides enough XP to raise a level [Solar Sloth, Terminus]
* FIX: [RPGLIKE mode] In extremely rare cases a Resource or Heavy resupply dispatch might contain storage units [Horse]
* FIX: Item info window reversed types of "Item" and "Protomatter" due to RPGLIKE mode [Rumbl3]
* FIX: 'p' menu partially broken by a 9.2 update, could result in frozen UI state [Atherys, Mx. Eldritch]
* FIX: Some incomplete back corridors made their way into the Data Miner layout [Valguris]
* FIX: Disabling Cetus Manufacturing Module while inactive did not affect the outcome of a later event [NikolayAg]
* FIX: Garrison Doors inside Garrisons might unintentionally be opened "remotely" [3.14]

================================================================
Cogmind Beta 9.3 (191217) - "RPGLIKE"

* NEW: Special event for Winter 2019, automatically activates between 12/17 and 1/1 (inclusive) for anyone who has played at least 10 runs
* NEW: Command line argument "-forceMode:Winter2019" (or "-forceMode:RPGLIKE") to enable the Winter mode from 2019, regardless of system date
* NEW: [RPGLIKE mode] Cogmind does not evolve, instead uses leveling mechanics with an XP system enabling free-form assignment of permanent upgrades
* NEW: [RPGLIKE mode] Gain XP by exploring and/or raising the alert level
* NEW: [RPGLIKE mode] Start with much higher core integrity, but only one of each slot type (can upgrade immediately in Scrapyard)
* NEW: [RPGLIKE mode] 80% of incoming damage to parts instead transferred to core, thus losing parts is relatively rare
* NEW: [RPGLIKE mode] Use Protomatter to restore integrity of core and parts
* NEW: [RPGLIKE mode] Storage units do not exist and Cogmind starts with no base inventory, optionally expand capacity with level upgrades
* NEW: [RPGLIKE mode] Dynamic build type analysis always shown above parts list, even before activating showBuildType advanced.cfg option
* NEW: [RPGLIKE mode] Fewer Relay Couplers spawn, but all that do have double their normal value
* NEW: [RPGLIKE mode] Extra "RPGLIKE" section in scoresheet containing mode-specific stats
* NEW: "Alternative Rules" section of manual describes all previous special modes/events and how to access them
* NEW: Mouse movement pathfinding and running via keyboard both stop on spotting a hidden door or phase wall
* NEW: Keyboard mode pathfind to cursor (Shift-Alt-g in examine mode to set, same key outside examine mode to continue approaching if stopped)
* NEW: Ctrl-Alt in keyboard mode also highlights path to most recent keyboard pathfinding target, if still valid
* NEW: Pathfinding directly to an interactive machine automatically initiates hacking on arrival
* NEW: Scan window shows faint map label buttons while no object info loaded
* NEW: Item labels outside FOV remember which are Faulty or Rigged, include this status in label name
* NEW: Item labels both within and outside FOV also reflect the "Non-functional" status (marked as "Broken")
* NEW: Option to always close robot/item info windows instantly rather than animating the close (advanced.cfg: disableInfoWindowCloseAnimation)
* NEW: Option to adjust movement interval for running and pathfinding (advanced.cfg: movementDelayInterval)
* NEW: Option to have parts list always sort destroy-on-removal parts like Processors to the top (advanced.cfg: partSortSeparatesDestroyOnRemoval)
* MOD: Running via keyboard stops before reaching corners and doors rather than continuing one space past them
* MOD: Running via keyboard now supports layout-based autostopping on diagonal movement as well
* MOD: Removed disablePersistentScanInfo/disablePersistentAccuracyInfo advanced.cfg options, both now default behavior by necessity
* MOD: Keyboard running behavior matches mouse pathfinding when approaching stairs, allowing a run to exit a map if recently confirmed the exit action
* MOD: All Gyrokinetic Inverter overweight penalties increased from 30 to 40
* MOD: "Perfect Aim" achievement description specifies accuracy bonus from utilities only
* MOD: Class name modifier "Mechanic" renamed to "Machinist"
* MOD: Unidentified parts no longer display their integrity in Scanalyzer lists
* MOD: Sorting inventory by type or integrity groups all unidentified parts together
* MOD: Allies reactivated via Datajack no longer recalled automatically for subsequent "attacks"
* MOD: Updated some major NPC parse text
* MOD: Temporary allies gained via streamctrl_ hacks no longer follow to other maps
* MOD: Dormant bot systems no longer accessible for RIF hacking purposes
* MOD: High Security dispatch composition expanded to deal with a wider range of threats
* MOD: More time to explore W base, tweaked composition of later attacking squads
* MOD: [Pay2Buy mode] Hotkey for opening Cogshop change from '0' to '9'
* MOD: [Pay2Buy mode] Cogshop windows displaced from bottom/left edges of map view to avoid covering intel markers and exit labels
* MOD: Special game modes now override challenge modes, rather than the other way around
* MOD: Toggling special modes or challenge modes via command line or advanced.cfg will not apply the effect unless game started for a fresh run (no saves)
* MOD: "-forceMode:" command line argument's mode name no longer case-sensitive
* MOD: "Challenge Modes" list in manual moved under new section "Alternative Rules"
* MOD: Simplified Hacking immunity context help accessed via robot info page 
* MOD: All achievements are allowed to be earned regardless of active challenge modes or special modes
* FIX: Holding cursor stationary while using 'f' to retarget a previously targeted robot that moved displayed incorrect base hit chance [Valguris]
* FIX: Ejecting Relay Couplers from a just-opened Garrison Access might not be able to create the Couplers in some layouts [Valguris]
* FIX: Any type of damage that didn't destroy a door could cause a malfunction, instead of just EM [Valguris]
* FIX: Unpowered/Broken bots could still have active parts which might cause side effects [Valguris]
* FIX: Controllable ally names might be the same if allies of same class acquired on different maps at the same depth [Valguris]
* FIX: Crash while pathfinding to a distant location and using keyboard to order nearby drones to RETURN and have a Drone Bay with free space [Valguris]
* FIX: Hostile Programmers assimilating Protectors converted them to non-threat faction, causing Cogmind allies to stop targeting them [Valguris]
* FIX: Warlord outpost in caves might have two Commanders, both of which could offer an escort in rare cases [CaptainWinky]
* FIX: Crash in rare layouts while closing hacking window when that target machine is indirectly destroyed by the hack itself [CaptainWinky]
* FIX: 0b10 Decoders attached to a hostile could give Cogmind info [NikolayAg]
* FIX: Abominations update began allowing Cogmind to use autoswapping to swap in unidentified parts [core_nxt]
* FIX: Crash during a certain special event if player had specifically muted Prop audio levels, or had system audio off at the time [MitchellFJN]
* FIX: Terminal dynamic key increased difficulty of hacks with negative chances of success, sometimes noticeable with hackware or Operator allies [Joshua]
* FIX: Part autopair validity may not always be checked correctly, potentially even crashing on attempting to leave the map [Driana]
* FIX: Becoming enemies with Zion after imprinting could still allow for terminal network hard line cut in 0b10 [Finestep]
* FIX: Post-streamctrl_high behavior of Operators unusual [Benjamin]
* FIX: "Winner's Signature" achievement was still possible if scanned by any Researcher, rather than only in a certain map [sideriver81]
* FIX: Comparing different Datajacks showed a numeric difference next to their effect even though irrelevant to player [aperiodic]
* FIX: Any potential [C]-type Relay Couplers unattached but in inventory on acquiring Crosswire RIF ability became usable from inventory [Pimski]
* FIX: Crash on a Worker following deconstruct_machine orders on a Network Hub [Xii]
* FIX: Beta 9.3 prerelease bugs hunted down by: [Terminus, Zyalin, NikolayAg, Tone, Xii]
* FIX: Stopping a running/pathfinding movement in progress was not completely reliable
* FIX: Potential crash if a Core Expander used while any info window open
* FIX: Temporary allies gained via overwrite_iff hack or Autooverride RIF ability would follow to a new map if exited quickly enough after hacking

================================================================
Cogmind Beta 9.2 (191112) - "Robotic Riches"

* NEW: [Steam] Supports Rich Presence, sharing current build, location, and status with friends
* NEW: [Steam] Option to deactivate Steam Rich Presence (advanced.cfg: disableSteamRichPresence)
* NEW: Options menu "Colorblind Adjustment" setting to modify certain color schemes to be more colorblind friendly
* NEW: Option to display remaining integrity in item/robot popup labels (advanced.cfg: mapLabelsShowIntegrity)
* NEW: Option to fully highlight visible cave-in areas rather than the low-distraction default (advanced.cfg: highlightCaveinAreas)
* NEW: Manual explicitly mentions "Ctrl-Alt (Hold)" also highlights areas that can cave in
* NEW: Manual explicitly documents "Ctrl-+/-" as global volume up/down commands
* NEW: Scoresheet records current movement-related variables under Cogmind header
* NEW: Scoresheet relative alert level percentages now also recorded on a per-map basis
* NEW: INVERT renderFilter variable
* NEW: [Abominations mode] Explicit log message when Paradox Anomalies repair Cogmind parts
* NEW: [Abominations mode] Final boss also has unique parse text
* MOD: [Abominations mode] Fire/Sundering Anomalies won't appear until -7/-8 respectively
* MOD: [Abominations mode] Negative Anomaly effects no longer applied to themself if affiliation modified via Field Lobotomy Kit
* MOD: Complex 0b10 capable of remotely opening blast doors under certain additional circumstances
* MOD: Scoresheet Parts and Peak State lists now align part names taking into account any prefix
* MOD: AI combat pathfinding and targeting behavior updated, less likely to be blocked by non-combatants
* MOD: "More Dakka Please" achievement condition more specifically requires kinetic projectiles
* FIX: New pushing algorithm for machines releasing parts might unnecessarily destroy parts under special circumstances [Valguris]
* FIX: External issues likely caused by Steam cloud for runs played across multiple sessions could cause incomplete scoresheet achievements list [Valguris]
* FIX: A8 manual hacking code wasn't reported in message log in a certain scenario, even though properly received [Valguris]
* FIX: No longer able to enter Proximity Caves directly via large 0b10 bases [Terminus]
* FIX: Possible crash under extremely rare circumstances involving a controllable ally attempting to attack Cogmind [Gitida]
* FIX: New scoresheet game number tally incorrect for Rogue mode if previously played Adventurer or Explorer mode [Solar Sloth]
* FIX: Part autopairs weren't remembered between maps [Benjamin]
* FIX: New scoresheet system wasn't handing out score threshold-based achievements for current run, instead based on previous run in same session [5taquitos]
* FIX: New scoresheet "Challenges" subsection did not list applicable challenges [sideriver81]
* FIX: Field Recycling Units could be used to refine matter into even more matter [NikolayAg]

================================================================
Cogmind Beta 9.1 (191029) - "Abominations!"

* NEW: Unique Halloween mode for 2019, automatically activates on 10/31 for anyone who has played at least three runs
* NEW: Command line argument "-forceMode:Halloween2019" (or "-forceMode:Abominations") to enable the Halloween mode from 2019, regardless of system date
* NEW: [Abominations mode] 20 new robots, most with unique new capabilities
* NEW: [Abominations mode] Other event-specific mechanics
* NEW: [Abominations mode] 1 new hidden map
* NEW: Added explicit status indicators for quicksave/load buttons once activated, since process might cause a wait on slower machines, or larger maps
* NEW: Robots detected outside FOV via RIF/FarCom can now be labeled all at once through the normal means
* NEW: All patron supporter names registered since Beta 9 added to in-game list (see Credits menu)
* NEW: All patron item-attribution names registered since Beta 9 added to the item collection gallery
* MOD: Confirmation delay block on quicksave/oad buttons reduced from 1000ms to 250ms
* FIX: Excessive mouse clicks on quicksave/load buttons in game menu could cause unintended movement once returned to main UI [Ms Vella]
* FIX: New scoresheet result printed after reloading at least one quicksave from game over screen included extra string data [Ms Vella]
* FIX: Crash in Beta 9 handling of part loss streak data for scoresheet in runs loaded at a certain point [Ms Vella]
* FIX: Using the cursor to hop over an allied 2x2 bot when no hostile in view would succeed but then immediately hop back to the origin [Valguris]
* FIX: New scoresheet wasn't recording "Final Capacity"/"Final Carried" entries for every map [Valguris]
* FIX: Control(Seal) hack could be manually accessed a second time any time before effect triggered [lsend]
* FIX: Target datajacked by Cogmind that later died of unknown cause might be attributed to Cogmind, even though Datajacks no longer considered hostile [Xii]
* FIX: Typo [Level 255 Snoopkirby]

================================================================
Cogmind Beta 9 (191022) - "Wizardry"

* NEW: 17 new items (4 new mechanics)
* NEW: 2 new unique superweapons
* NEW: 89 new scoresheet entries (total = 888)
* NEW: 1 more Garrison Access hack
* NEW: 1 more Trojan() hack (secret)
* NEW: 1 more brute force hack (secret)
* NEW: 2 more robot variants
* NEW: 1 new robot hack: amplify_resonance
* NEW: 1 new cave encounter
* NEW: 6 more parse_system text entries for NPCs
* NEW: Relay Interface Framework now upgradeable by connecting to more RIF Installers
* NEW: RIF abilities UI accessed through new HUD button when available (or via keyboard: Shift-Alt-f)
* NEW: Added dedicated difficulty selection menu on first startup
* NEW: Adventurer/Explorer difficulty settings include a manual quicksave/load slot (Ctrl-F7/F8, or in game menu)
* NEW: Option to remove quicksave/load feature for Adventurer/Explorer modes (activate in advanced.cfg: noManualSaving)
* NEW: Manual includes a section on "Saving/Loading"
* NEW: Additional tutorial message on first time using a RIF Installer
* NEW: Siege mechanic available to all multislot treads via overloading, enforces temporary immobility but provides numerous buffs
* NEW: Item info window lists Siege stat for all treads, either N/A, Standard, or High
* NEW: Robots entering siege mode temporarily show as a flashing a yellow X on map
* NEW: Option to automatically activate treads when attacking, if possible (activate in advanced.cfg: autoActivateTreadsOnAttack)
* NEW: Option to automatically transition applicable treads out of siege mode on attempting to move (activate in advanced.cfg: autoDeactivateSiegeModeOnMove)
* NEW: Most robots with Critical immunity converted to the new Coring immunity, only protects core instead of both core and parts
* NEW: Scoresheet analyzes and records class distribution of Cogmind builds, and dominant class per map
* NEW: Option to show dynamic build type analysis above parts list (activate in advanced.cfg: showBuildType)
* NEW: Scoresheet includes ASCII map of surroundings at run end
* NEW: Scoresheet data divided into more subcategories
* NEW: Scoresheet records per-map values for many stats
* NEW: Scoresheet records hacks counts at non-Terminal machines as well
* NEW: Scoresheet explicitly lists all Trojans installed
* NEW: Scoresheet includes brute force hack records
* NEW: Scoresheet robot destruction tallies differentiate between subtypes
* NEW: Scoresheet indicates specific cause of death, if lost
* NEW: Scoresheet "Parts Attached" subsection divided into subtypes
* NEW: Scoresheet fabrication list also indicates whether schematic preloaded
* NEW: Scoresheet includes breakdown of all slot types and when added
* NEW: Scoresheet subdivides average slot use by subtypes as well
* NEW: Scoresheet includes last 20 message log lines preceding end of run
* NEW: Scoresheet lists complete history of notable actions and events during the run
* NEW: Scoresheet stats tally actions individually
* NEW: Scoresheet "Game" and "Options" section entries have their values aligned
* NEW: Scoresheet parts/inventory list includes content/attribute details, e.g. Drone Bay and Relay Coupler contents
* NEW: Added score component "Regions Visited"
* NEW: Several new sources of bonus points
* NEW: Output stat dump for in-progress run (Shift-Alt-s or via Records menu)
* NEW: Mid-run stat dumps also output full message log based on Log Output settings
* NEW: Part swap menu includes autopairing detection for easier reswapping of multiple parts
* NEW: Parts with an applicable autopair have a tick next to them
* NEW: Show all applicable autopair names by holding Shift-Alt-a, or hovering cursor over an autopair tick for 500ms
* NEW: Swap all applicable autopairs with Shift-Alt-w
* NEW: Manual hacking autocomplete shows available relevant options as a list in most cases, including item schematics which are filtered while typing
* NEW: Manual terminal hacks use the direct hack chance if an identical hack is listed at that machine
* NEW: Added a way to teach new players about extermination squad tracking mechanics and assault dispatches
* NEW: Advanced commands help explicitly lists F12 as a screenshot key alongside PrtScn
* NEW: Manual "Advanced Commands" section lists every command, including a few otherwise previously undocumented special (rare) commands
* NEW: Manual explicitly states that damage overflow from non-gun weapons has no additional defenses applied to it
* NEW: Robot data CSV export includes precise core exposure beside percentage value
* NEW: Robot data CSV export includes total energy generation
* NEW: Alternative type of Proximity Caves base
* NEW: Doubled the duration of Modified TNC Hauler realtime manifest popups
* NEW: Control Modified TNC Hauler realtime manifest popup duration via advanced option "modifiedTncPopupDuration"
* NEW: Integrity/mass sorting of inventory also subsort by integrity (high-to-low) for otherwise matching items
* NEW: parse_system robot hack gives component IDs even for targets with otherwise special text
* NEW: Scan window includes abbreviated explosion data for explosive props
* NEW: Starting to move via overweight flight requires confirmation
* NEW: Player-dropped parts crushed due to lack of room now reported in message log
* NEW: Score data that should be uploaded but fails because offline or bad connection will be reattempted on subsequent startups until success
* NEW: Scores and stats now uploaded to a proper database
* NEW: Scoresheet appends URLs for online TXT/JSON access to that run, if uploaded
* NEW: Special codes menu for manual hacking includes explicit notification about using Esc to enable typing in that mode
* NEW: Tutorial message explicitly indicating that machine info contains effect descriptions for installed Trojans
* NEW: Will Glynn added to credits for leaderboards database
* NEW: All Alpha supporter names registered since Beta 8 added to in-game list (see Credits menu)
* NEW: All patron supporter names registered since Beta 8 added to in-game list (see Credits menu)
* NEW: All patron item-attribution names registered since Beta 8 added to the item collection gallery
* MOD: Removed a number of scoresheet entries (obsolete under new format)
* MOD: Renamed a number of old scoresheet entries
* MOD: Degree of system corruption-induced component data loss differentiated in message log by text instead of only color
* MOD: Scoresheet High/Max Security percentage folded into same system as lower alert levels
* MOD: Scoresheet "Average Slot Usage (%)" and "Naked Turns" entries no longer tallied in Scrapyard
* MOD: Scoresheet "Salvage Created" includes that from machines
* MOD: Scoresheet "Spaces Dug" now records only intentional digging, while new "Terrain Destroyed" entries refer to all wall/earth destruction
* MOD: Scoresheet "Major NPCs Destroyed" renamed "Uniques/NPCs Destroyed," includes broader range of non-primary plot characters
* MOD: Scoresheet "Play Time" and cumulative value formats changed
* MOD: Scoresheet speed records use time-based speed rather than percentage-based
* MOD: Scoresheet no longer lists Prototype IDs
* MOD: Scoresheet propulsion-related entries always list legs before wheels, matching part ordering behavior
* MOD: Scoresheet route no longer records discovered exits blocked by special modes like Gauntlet and Super Gauntlet
* MOD: A number of low-value sources of bonus points removed from scoresheet (included in history log instead)
* MOD: Increased bonus point value of Zhirov's final act
* MOD: Changed command line syntax for forcing AFD modes ("-forceMode:AFD[year]")
* MOD: Command line parameter for preventing AFD/special modes now "-noSpecialMode"
* MOD: Hvy. Explosive Trap (in deployed form) renamed to Heavy Explosive Trap
* MOD: Gui. Missile Launcher slightly weakened
* MOD: Quantum Capacitor size and integrity doubled
* MOD: Weapon Cycler effect cap lowered to 30
* MOD: Humpback mass doubled, capacity increased 25%
* MOD: Doubled defensive hackware protective effect against allies being hacked by hostile Programmers
* MOD: Greatly improved Q-Series loadout algorithm
* MOD: Linked Autogun rating increased from 5 to 7
* MOD: Cld. Cesium-ion Thruster coverage reduced
* MOD: Cld. VTOL Module support reduced
* MOD: Burnout rates on all hover/flight units increased
* MOD: Desublimator matter output increased
* MOD: Significantly increased mass of all Powered Armors
* MOD: Mass of heavy armors increased 50%, medium armors increased 30%
* MOD: Increased range of Sensor Array and Improved variant
* MOD: Increased range of Terrain Scanner and Improved and Makeshift variants
* MOD: Increased effectiveness of Seismic Analyzer and Terrain Scan Processor
* MOD: Heat Shielding and Thermal Generators less common
* MOD: High-tier slashing weapon delay increased, along with other smaller adjustments
* MOD: Greatswords' coverage decreased
* MOD: All electromagnetic weapons consume twice as much energy
* MOD: All Datajacks once again compatible with autoswapping system
* MOD: Damaging a Garrison Access randomly destroys some of the Relay Couplers inside
* MOD: Ejecting Relay Couplers from a Garrison Access never dispatches an investigation from that source
* MOD: Coupling squads now always composed of a single Programmer
* MOD: "Signature Confirmed" achievement conditions more specific
* MOD: "Equal Opportunity Bot" achievement requirement increased to 30 to account for additional class divisions in new scoresheet
* MOD: Being scanned by a Researcher no longer has the same effect in all Research branches
* MOD: show_paths robot hack uses same coloring for Swarmer paths as for other common squads
* MOD: Temporary input mode indicators at top of parts list now use background color matching UI borders
* MOD: Overweight indicator at top of parts list now matching UI border color, and overweight flight/hover use yellow instead of red
* MOD: Manual hacking autocomplete uses a two-step process where a command includes a variable, rather than treating a full command as one
* MOD: Manual hacking autocomplete adds new content only via Tab, rather than Tab or Space
* MOD: Ctrl-Backspace while typing a manual hack erases back to the previous '(' if there is one, rather than always clearing the command
* MOD: Robot analyses from conduit interaction now included in scoresheet total
* MOD: Breaching an Access Garrison triggers maximum security at turn 3 instead of 5
* MOD: Scoresheet "Regions Visited" value excludes Scrapyard
* MOD: High-rating Phase Shifter effect reduced
* MOD: "Fragile Parts" challenge no longer applies its rule to any storage units
* MOD: Disabled Programmers cannot be rewired with Datajacks
* MOD: Disabled Imps can once again be rewired by bumping without a Datajack
* MOD: Rebalanced one of the final branch fights
* MOD: Assault squads are somewhat more powerful
* MOD: High Security dispatches grow increasingly deadly with each dispatch
* MOD: Proximity Caves base can only appear once per run
* MOD: Piercing weapons double target core exposure for hit location calculations (was x1.33)
* MOD: Coupling squads no longer appear randomly in -8/Materials
* MOD: Machines that release parts push away nearby items if no immediate room to place, rather than rolling over to furthest available position
* MOD: Ferrying EX-Prototypes out via allied Haulers will be caught as usual
* MOD: Component Analysis Suites also show a log message when re-identifying common part data lost to corruption
* MOD: Relay Coupler [NC] rating dropped to 1
* MOD: advanced.cfg disablePersistentAccuracyInfo option itemLabelRelativeRatingCutoff does not affect Relay Coupler labeling
* MOD: Adv. Salvage Targeting Computer no longer a prototype
* MOD: Lab cheese tactics addressed (x2)
* MOD: Core reset also clears sensor layout knowledge from a certain NPC's data core
* MOD: 8R-AWN can no longer appear in Materials during Gauntlet or Super Gauntlet challenges
* MOD: Difficulty modes rebranded, now referred to as Rogue/Adventurer/Explorer instead of default/easier/easiest
* MOD: Reversed order of difficulty modes in options menu, hardest listed last
* MOD: Manual "Difficulty" section updated
* MOD: Options.cfg "easyMode" setting renamed "difficultyMode"
* MOD: Removed log message reporting difficulty level at beginning of new runs
* MOD: No Operators spawn at depth -10 in Adventurer/Explorer modes
* MOD: No Operators spawn within view of starting location below depth -8/-7 in Adventurer/Explorer modes
* MOD: No Alarm Traps found below depth -7 in Explorer mode
* MOD: Increased brightness of bars and numbers for data visualization of inactive parts in Parts and Inventory windows
* MOD: Gallery prompt for player name also mentions Sage+ patrons
* MOD: References to "0.10" versioning removed from all changelogs
* MOD: [Steam] Achievements retroactively downloaded from the cloud no longer count as achieved in the current run, CSV exports indicate ? for Game Number
* FIX: Certain special/plot-related Terminal hacks could be accessed manually outside of the intended locations [lsend]
* FIX: Explosives could reveal invisible triggers which protected floor cells from destruction [lsend]
* FIX: Terrain Scanner activation animation temporarily pinpointed unrevealed traps [lsend]
* FIX: Crash on passing time via 'p' menu action while an item inspection window is open when Chronowheel reversion takes effect [lsend]
* FIX: Attaching a 1-integrity Chronowheel had no effect, but would continue the animation indefinitely [lsend]
* FIX: Entering a backslash while tagging an inventory item briefly opens the full-size Evasion window [lsend]
* FIX: Having a second info window open to inspect a target's part while tagging an inventory item would cover part of the tag UI [lsend]
* FIX: Using the keyboard to open attached part info while dragging a part with the mouse then releasing the drag hard locked the interface [lsend]
* FIX: If advanced.cfg stopOnThreatsOnly option set to 1, holding wait key wouldn't pause action for ARCs coming into view [Tone]
* FIX: Holding wait key didn't pause action for approaching hostiles if no FOV changes involved [Tone]
* FIX: Transport Network Couplers included inactive Haulers in mapwide Hauler count [Tone]
* FIX: drop_inventory hack reported wrong numbers in message log when Hauler carrying multiple part types [Tone]
* FIX: FarCom prevented specific robot variant name popups outside FOV [Tone]
* FIX: Two log messages during a particular extended run battle appeared in reverse order [Tone]
* FIX: Inventory item predicted coverage visualization values were incorrect, did not take into account the part itself [Tone]
* FIX: Bypassing inventory via direct drop/attach of part in coverage or relative vulnerability mode did not update inventory visualization [Tone]
* FIX: Scoresheet "Combat Hostiles" melted tally wasn't accrued in all cases, nor was "Pyromaniac" achievement always checked [Raine]
* FIX: Gallery HTML export Drag stat added in Beta 8.1 caused misalignment in propulsion stat headers [Raine]
* FIX: Phase Shifter effect description did not indicate they only work against ranged attacks [Raine]
* FIX: Impact-caused corruption always showed as "1%" in the message log, regardless of the actual value [Raine]
* FIX: advanced.cfg hudHeatPerMoveTurnwise/hudEnergyPerMoveTurnwise options displayed incorrect results in the HUD [Raine]
* FIX: Assault squad support units dispatched against groups always favored Demolishers, and dispatched more than intended [Raine]
* FIX: "Overflow Damage" in scoresheet was not being tallied based on player attacks [Valguris]
* FIX: Derelict Logs pre-locating and identifying specific exits was broken in some cases [Valguris]
* FIX: Letting the Chronowheel take effect removed the multiconsole buttons until restart [Valguris]
* FIX: Triggering a single Alarm Trap in the Extension main corridor did not deactivate others in same array [Valguris]
* FIX: advanced.cfg disablePersistentAccuracyInfo option blinked the per-weapon targeting info rather than removing it [Valguris]
* FIX: Crash on Mines cave-in encounter if no room for excavation squad's escort to enter map [Valguris]
* FIX: Broken or unpowered bots could be considered threats in some cases [Joshua]
* FIX: Slowdown when a squad leader stuck in any area inaccessible to other squad members [Joshua]
* FIX: Allied A* bots normally capable of activating kill switch for Enhanced bots did so even when the latter are allied [Joshua]
* FIX: Random traps could still spawn in special encounter rooms [Joshua]
* FIX: Derelict Logs recording an entrance to a later map only showed popup label when applied, no corresponding log message [Joshua]
* FIX: "Fragile Parts" challenge crashed on attempting to swap parts affecting inventory capacity when at maximum capacity [CaptainWinky]
* FIX: One of three Researcher part identification situations referred to Cogmind instead of the Researcher in message log [CaptainWinky]
* FIX: Hallucinogenic terminal effect modifying sprite mode settings retained permanently if entered a new map while in progress [CaptainWinky, Pimski]
* FIX: Targeting mode could not autotarget/tab to enemies currently on right or bottom edge of map [Maiker]
* FIX: Gunslinging would never choose enemies currently on right or bottom edge of map [Maiker]
* FIX: Taking a shortcut to Zion after visiting Exiles did not appear correctly on the world map [Maiker]
* FIX: Researchers being disrupted while holding target in stasis kept the beam active for a bit afterward [3.14]
* FIX: Data Miner dispatch redirects could still occur despite player having affected DM in certain ways [3.14]
* FIX: Left an unintended clue about a secret superweapon [Trione]
* FIX: A Beta 8.1 alert modification made it unlikely to trigger Ride The Lightning achievement [Gobbopathe]
* FIX: Potential PHP issue related to score uploading [antifed]
* FIX: "Label Object Under Cursor" command removed from in-game list since that already occurs automatically [Gerhard]
* FIX: Some sources of system corruption might show in message log even after Core Membrane took effect [Happylisk]
* FIX: Attempting to keyboard swap parts while the status window closing left swap menu open until '/' pressed again [Suslik]
* FIX: Regular Thieves could steal as effectively as Master Thieves [Zyalin]
* FIX: Autonomous weapons might target broken or unpowered targets [Sylvia]
* FIX: Attacking Exiles while they're already under attack by others made the hostility announcement but did not turn them hostile [Decinym]
* FIX: Hallucinogenic terminal effect modifying sprite mode settings did not correctly revert if applied a second time while already in effect [roushguy]
* FIX: Dropping the SCP then attempting exoskeleton activation would make it impossible to successfully execute that command when SCP reacquired [muxecoid]
* FIX: Comparing Latent Energy Streamer stats with other weapons did not match up explosion data properly [JSLIN]
* FIX: Dropped items did not avoid turret positions, making them irretrievable until turret destroyed [MTF]
* FIX: Opening a Scanalyzer Insert() list containing an unidentified non-scannable part would show it in blue, revealing otherwise unknown info [zxc]
* FIX: Using Escape to close robot hacking menu to cancel hacking ended background SFX, but using close button would not [SirMrDrProf]
* FIX: Scoresheet records of autonomous weapon attacks weren't limited to Cogmind only [NikolayAg]
* FIX: Typos [Joshua, Rumbl3, Nxg, Valguris, Trione]
* FIX: Beta 9 prerelease bugs hunted down by: [MTF, CaptainWinky, Sylvia, Raine, Joshua, Tone, SirMrDrProf, Suslik, Zyalin]
* FIX: A Beta 8.1 tweak to the hacking UI architecture caused a crash in one of the special win animations
* FIX: A Beta 8.1 tweak to one of the special endings could cause the animation to crash under certain conditions
* FIX: Assimilating Q-Series renamed them incorrectly
* FIX: Indirectly hacking an explicitly listed item or robot schematic that would normally be beyond the given Terminal's authorization wouldn't work
* FIX: "DIRECT" and other temporary keyboard state indicators could appear over temporarily opened Evasion window
* FIX: Defensive hackware did not block machine trace feedback effects as often as it should
* FIX: Overflow damage destroying subsequent parts did not report them to the message log
* FIX: 01-MTF sprite changed from Grunt to Programmer, to match propulsion
* FIX: Misfires due to corruption could trigger autonomous weapons as well
* FIX: Scoresheet "Download EX-ID Prototypes" entry renamed to fit within standard name width
* FIX: Subspace Access Node destruction could be heard from any location on map, regardless of distance

================================================================
Cogmind Beta 8.2 (190612) - "Systems Online"

* FIX: News, leaderboards, and error reporting functionality restored after an unexpected server change broke the previous connection system

================================================================
Cogmind Beta 8.1 (190401) - "Pay2Buy"

* NEW: Unique AFD mode for 2019, automatically activates on 4/1 for anyone who has played at least three runs
* NEW: 1 new unique superweapon
* NEW: Special NPC encounter under certain circumstances
* NEW: Additional improvements to reduce turn delay when holding wait key or moving at extremely high speeds
* NEW: Command line argument "-forceMode:AFD2019" (or "-forceMode:Pay2Buy") to enable the AFD mode from 2019, regardless of system date
* NEW: Command line argument "-forceMode:AFD2018" (or "-forceMode:Launchers") to enable the AFD mode from 2018, regardless of system date
* NEW: [Pay2Buy mode] Includes a special interface for "purchasing" items with CogCoins, an event-specific mechanic
* NEW: [Pay2Buy mode] Earn CogCoins by raising the alert level
* NEW: [Pay2Buy mode] Other event-specific mechanics
* NEW: [Pay2Buy mode] Scoresheets include list of all purchased items at the end
* NEW: Any AFD mode scores can now be uploaded as well for aggregate stats and potential special leaderboads, but are still excluded from main leaderboards
* NEW: Added Phase Armor and Phase Redirector mechanics to manual's Attack Resolution section
* NEW: List of patrons added via Credits menu
* MOD: Tweaked various Exiles scenario reactions
* MOD: Master Thief behavior changed to make them more dangerous
* MOD: New internal turn system, harder to game for free peeking around corners
* MOD: Dropped items/salvage allowed to fall to other side of map exits (on same map)
* MOD: Overloaded Fabricator effects no longer count as Cogmind kills, or for alert purposes
* MOD: Signal Generator only works in 0b10-controlled areas
* MOD: Firepult damage reduced
* MOD: Keyboard's Pause key no longer has an effect
* MOD: Alpha Supporters shortcut command changed from '0' to '9'
* MOD: Lore no longer has '9' as an optional shortcut (access via Records page)
* MOD: AFD runs no longer added to scorehistory.txt
* FIX: An active Stasis Generator brought into a new map has no effect unless toggled off and on again [Joshua]
* FIX: Ejecting couplers from certain unlocked Garrison Access instead destroys them [Joshua]
* FIX: "Batter Up" achievement description did not specify melee impact damage only, despite kinetic cannons now being capable of knockback as well [Joshua]
* FIX: Gallery CSV/HTML exports were missing a header for the new propulsion Drag stat [Mx. Eldritch]
* FIX: Rare crash on an allied Mechanic seeking a repair target after robot it was following is destroyed [Horse]
* FIX: In rare layouts a special hidden area of a certain map might be slightly disconnected from the rest of the map [8fpsbossfight]
* FIX: Possible to crash the UI by switching into the game menu extremely quickly while also switching pages [geedmat, Horse, 8fpsbossfight]
* FIX: Crash on hitting a controllable ally with a Field Lobotomy Kit [ApolliniaD, alice_fexa]
* FIX: Manual seeds could be applied incorrectly in some cases, resulting in different seeds producing the same world [Suslik]
* FIX: Combining any Thermal Generator and Cryofiber Web could show a net negative energy readout in HUD, even though still positive [lsend]
* FIX: Advanced flashProjectileVictims option could in some locations cause flashes outside of combat as well [Puzzlebark]
* FIX: Integrity Redistributor could result in the wrong effect if core integrity near 50% of a total value greater than 1000 [MTF]
* FIX: Crash on accessing the Z-Roster if earlier on same map summoned a hero and in the turn immediately afterward a new hero was added to roster [Rumbl3]
* FIX: Fixing a separate issue in previous release broke schematic list highlighting while hacking a Fabricator [Malthusis]
* FIX: Typo [mindcog]
* FIX: Scrollable lists containing multiple keyboard ASCII colors may not align properly with list items when more than 26 items, after scrolling
* FIX: Hacking Prototype ID Banks did not immediately update identified inventory items if any happen to be matching unknown prototypes
* FIX: Multiple Stasis Generators being used at once may not always remain active depending on relative toggle states

================================================================
Cogmind Beta 8 (190212) - "Forbidden Science"

* NEW: Branch map "Exiles"
* NEW: Special sensor ability obtainable early on, with long-term effects
* NEW: 5 more unique named NPCs
* NEW: 3 new robots
* NEW: 38 new items (mostly uniques, many with completely new mechanics) (total = 936)
* NEW: 2 more alien artifacts
* NEW: 18 more sound effects (total = 890)
* NEW: 29 new scoresheet entries (total = 799)
* NEW: Several dozen more lore entries
* NEW: Potential random NPC encounter in Materials and Mines
* NEW: Regular doors hit by EM now malfunction, remain open
* NEW: DISPOSABLE weapons have a unique log message when expended
* NEW: Quantum Capacitor and Weapon Cycler effect descriptions indicate incompatibility with autonomous weapons
* NEW: All treads grant +2% accuracy per slot
* NEW: Added random NPC encounter in Storage
* NEW: Flight/hover speed now slowed by attached inactive non-airborne propulsion parts (see new "Drag" stat on treads/legs/wheels)
* NEW: The fabled Hcp. Storage Unit has returned!
* NEW: Activating Transport Network Coupler reports the number of Haulers across the map, and the number currently in view
* NEW: -8/Mines map (inaccessible from -8/Materials)
* NEW: Manual explicitly indicates heat-based accuracy modifiers only apply when heat is positive
* NEW: Maximum Security, for times when High Security simply isn't enough
* NEW: Option to disable Cogmind self-destruction (activate in advanced.cfg: noSelfDestruct)
* NEW: Option to stop drag-dropping inventory item to non-slot location in parts list from applying autoequip assist (advanced.cfg: disableDragDropAutoEquip)
* NEW: Option to replace per-move HUD net energy display with turnwise value including movement (advanced.cfg: hudEnergyPerMoveTurnwise)
* NEW: Option to replace per-move HUD net heat display with turnwise value including movement (advanced.cfg: hudHeatPerMoveTurnwise)
* NEW: Option to show real-time clock on HUD (advanced.cfg: showClock)
* NEW: Option to show real-time run timer on HUD (advanced.cfg: showRunTimer)
* NEW: Option to show per-weapon accuracy chances in parts list only while cursor over a robot (advanced.cfg: disablePersistentAccuracyInfo)
* NEW: Option to have Scan window only show object info while cursor/examine marker is over an object (advanced.cfg: disablePersistentScanInfo)
* NEW: Option to silence all SFX played for non-plot-related global alerts with on-map indicators, such as assaults (advanced.cfg: muteGlobalAlertSfx)
* NEW: Part swap menu lists any currently disabled parts in orange, and known faulty prototypes in red
* NEW: Part swap menu includes a removal option (button or 'z') as long as source is not an empty slot
* NEW: Robots hacked with streamctrl_low/streamctrl_high now display a ring around themselves, inside which control can be maintained
* NEW: no_distress robot hack also blocks calls for local garrison reinforcements
* NEW: Item gallery export data marks non-repairable items
* NEW: Three new advanced options for on-map indicators for Cogmind part loss (see cogmindPartLossMapIndicator in manual)
* NEW: Right-click on machine hacks (or Shift-a~z) for context help describing the function of each (total = 95)
* NEW: RMB over machine Hacking or Results window closes the hacking interface
* NEW: Recycling Units automatically process parts once their contents exceed a certain threshold
* NEW: Even when outside FOV, machines processing fabrication and repairs display their on-map countdown timer, and report completion to the message log
* NEW: Having RIF installed removes one of the requirements for one of the special endings, and also affects the animation for that ending
* NEW: RIF enables 100% chance to seal any Garrison Access
* NEW: Closing an active robot hacking UI using any method other than the close button requires confirmation to avoid accidentally forfeiting the hack
* NEW: Advanced option to automatically activate all non-launcher projectile weapons on detaching an active launcher (advanced.cfg: autoUnreadyLauncher)
* NEW: Added a helpful alert message during a Warlord-related plot event
* NEW: Scan window shows solid terrain armor value if cursor or examine marker stationary for 500ms
* NEW: Scan window shows machine/prop armor value under name if sufficient space
* NEW: Recalibrator info explicitly states inability to repair alien technology, and prototypes above rating 8
* NEW: All Alpha supporter names registered since Beta 7 added to in-game list (see Credits menu)
* NEW: All Alpha item-attribution names registered since Beta 7 added to the item collection gallery
* MOD: Advanced option showMapBorders now activated by default for new players
* MOD: Core reset also clears any known manual hacking codes
* MOD: Maintenance intel markers changed from green to dark gray
* MOD: Reduced delay on all stasis weapons
* MOD: Instead of automatically opening adjacent Garrison Access doors, RIF gives 100% to open via Unlock Access command
* MOD: Recycling Unit matter cap and other parameters differ by security level
* MOD: First central database lockout check ignored, guaranteeing at least one successful indirect database hack (more guarantees on easier difficulties)
* MOD: Z-hack mapwide cutoff threshold higher on easier difficulties
* MOD: Treads minimum ability to escape stasis increased 50%, legs increased 25%
* MOD: All armored treads slowed by 10
* MOD: All tread coverage increased by 40, and base tread overweight penalty dropped from 30 to 20
* MOD: Investigators don't start accompanying some High Security assaults until -3/Research
* MOD: Transport Network Coupler only works in 0b10-controlled maps, and ignores any inactive Haulers
* MOD: DISPOSABLE part label includes number of uses remaining, which may be greater than 1 for some weapons
* MOD: Can no longer swap positions with immobile allies, will push past them instead
* MOD: Immobile allies no longer follow to another map, or into chutes, nor warn about leaving them behind
* MOD: "The Most Popular Achievement" renamed to "First Step to Greatness"
* MOD: "Explosive Specialist" achievement renamed "Launcher Specialist"
* MOD: "Hehehe" achievement description explicitly indicates Datajack requirement
* MOD: "Wheee!" achievement description more specific
* MOD: "Curiosity Killed The Cat" achievement description less specific
* MOD: "Brute Force" achievement awarded even for the one Force() hack that has a second test which might fail
* MOD: Plasma Storm info displayed using same format as Potential Cannons
* MOD: Warp Cannon eventually breaks down
* MOD: Datajacks always disarm Alarm and Ambush Traps rather than have a chance to also reprogram them
* MOD: Item info window no longer repeats part name across the bottom unless there is a prefix to expand, also now appears in parenthesis
* MOD: Succeeding at hacking machine targets with an exact 0% chance no longer possible
* MOD: Manually entered schematic hack targets simply indicate "unknown schematic" if N/A, rather than distinguishing between two possibilities
* MOD: Attempted attachment of a Faulty part warns about that before most other potential issues
* MOD: Phase Shifter part list info ('q') mode ability abbreviation changed from CLOK to SHFT
* MOD: Intercept squad composition and behavior changed
* MOD: Garrison Access Trojans have no effect on Prototype bots
* MOD: Momentum damage modifier displayed in status window now rounded rather than truncated
* MOD: Zion generation parameters slightly more constrained to improve layout consistency
* MOD: Advanced renderFilter values for SHIFT_HUE now automatically wrap negative values to be within range
* MOD: Manual updated to reclassify Cogmind core movement type
* MOD: Manual clearer on conditions for increased detection chance when accessing an interactive machine multiple times (must have been previously hacked)
* MOD: Thermal Generator effect now reflected in HUD net energy readout (though may not be completely reliable)
* MOD: Traps manipulated via Terminals now count towards various trap-related scoresheet stats
* MOD: Options menu "Log Calc. Detail" renamed "Combat Log Detail" (existing player setting reset!)
* MOD: Line-of-fire and explosion AOE visualization not shown on map while any info windows open
* MOD: Autosaves no longer take place while machine hacking or evolution UI open
* MOD: Autosave system restores game to turn prior to exiting a map if restoring a run that was force quit during evolution UI
* MOD: Robot info page Integrity and Temp stats prefixed by "Core" instead of "Est."
* MOD: Mass support range is inclusive before overweight penalties beyond the first penalty
* MOD: Bonus points for fast wins reduced overall; curve is steeper and only awarded below 6000 turns
* MOD: Keyboard examine mode no longer replaces weapon info ('q') mode with per-weapon accuracy readouts (only occurs in firing mode)
* MOD: Updated context help for broadcast_data/disrupt_area robot hacks to indicate their effect stacks when installed on multiple bots
* MOD: Removed Datajack Penetration from scoresheet
* MOD: RIF Influence readout in HUD moved below Location
* MOD: Relay Coupler [NC] rating upped to 4
* FIX: Derelict Logs providing exit/entrance intel might end up identifying the wrong access points [Valguris]
* FIX: Pre-learned intel for machines would not show log message on entering an applicable floor if no locations currently within map view [Valguris]
* FIX: Beta 7 broke scoresheet hit/miss streak tallies [Valguris]
* FIX: Part list info ('q') mode did not update melee weapon damage display in real time while toggling propulsion when momentum positive [Valguris]
* FIX: Fusion Compressors and Desublimators not factored into HUD net energy readouts [Joshua]
* FIX: Random traps could spawn in special encounter rooms [Joshua]
* FIX: Recycling Unit hacking interface crashed if attempt to list contents while more than 50 parts [Joshua]
* FIX: Robots could still leave scan signal markers within FOV under rare circumstances [MTF]
* FIX: Achievement threshold achievements not earned until completion of subsequent run if threshold was reached via a subset of run-end achievements [MTF]
* FIX: "Guerilla Style" achievement could be earned via certain unintended means [Raine]
* FIX: Watcher map_route hack did not ID exits under easiest difficulty mode [Raine]
* FIX: Rare condition could allow armed hostile patrol to spawn within view at Materials depths on entering map [UlyssesB]
* FIX: Crash while using an applicable Data Core and sabotaging an explosive machine which destroys the active Terminal [UlyssesB]
* FIX: Opening part info via keyboard before hacking list appears while connecting to interactive machine superimposed item info over targets [Mojo]
* FIX: Layout(Zone) Terminal hack did not ID exits under easiest difficulty mode [Mojo]
* FIX: World seeds could randomly diverge for individual maps if a schematic or similar player-held data were also present on the map [kiedra]
* FIX: Disabled/rebooting/shut down 0b10 bots might summon reinforcements from a nearby Garrison Access [PlasticHeart, kiedra]
* FIX: Some renderFilter values for SATURATION advanced customization option could decrement by 1 when saved on exit [Bravo]
* FIX: NPC dialogue referred to traps triggered on 0b10 robots raising alert, which was no longer the case since adding Trap Extractors [KernelPanic]
* FIX: Melee attacks against aware targets still considered sneak attacks if true base hit chance is 120% [GJ]
* FIX: Some types of map labels could appear below the HUD on certain resolutions [JackNine]
* FIX: Certain renderFilter combinations could cause map to blink while accessing machine hacking UI [yoggo]
* FIX: Performing a certain action within a few-turn window during a special event would result in an unintended line of dialogue (spoiler) [Decinym]
* FIX: Allied robot info inventory list did not distinguish between faulty and non-faulty version of same prototype if contains both [Pimski]
* FIX: Possible crash on exiting game while temporary popup info still visible on map [XenoFiery]
* FIX: Potential crash if Borebot destroys itself while clearing an explosive machine [Tone]
* FIX: Ramming a hostile bot off an exit with allies in tow but outside transfer range took the exit without warning about leaving them behind [whitenitro0]
* FIX: Potential oddity during a particular extended game event interaction (spoiler) [lsend]
* FIX: Original Wizard analysis text inconsistent with new robot hacking-related lore [Heavyrisk]
* FIX: Simply targeting bots would aggro them even if outside range or the line of fire and sight are obstructed [Terminus]
* FIX: Colemak keyboard configuration included an incorrect key assignment [ericmoyer]
* FIX: Typos [Raine, Snelheid]
* FIX: Auto-replacement skipped the usual warning when attempting to swap in a Faulty part directly from the ground
* FIX: Ctrl-RMB and examine mode ('x') would not show info for open doors
* FIX: Updated weapon cycling system introduced for Beta 7.1 incompatible with advanced autoReadyLauncher setting
* FIX: Knockback resulting in triggering traps was excluded from some scoresheet stats
* FIX: Part swap menu failed to include manual item tag for unidentified items
* FIX: A certain (spoiler) launcher's explosion radius visualization showed incorrectly when targeting positions near edge of map view
* FIX: Imp. Core Analyzer art contained an extra character revealed only by animation
* FIX: AI ignored additional time cost of attempting to escape various forms of stasis (Stasis Beams etc. now somewhat more effective)
* FIX: An item on a newly-unlocked Garrison Access door or newly-created shortcut exit would be inaccessible (now pushed away)
* FIX: wipe_record hack did not prevent ARCs from deploying

=================================================================
Cogmind Beta 7.2 (181204) - "Terminal Love"

* NEW: Relay Coupler base value higher based on depth
* NEW: Robots flash when hit by projectiles (toggle in advanced.cfg: flashProjectileVictims)
* MOD: Tweaked composition of squads attacking W base
* FIX: Machine hacking was more difficult than intended in Beta 7/7.1 [Suslik]
* FIX: Armor Integrity Analyzer effect protected user's armor rather than helping during attacks on armored targets [kiedra]
* FIX: Researcher pre-attack warnings would not always trigger if certain utilities were attached (broken by Beta 7.1) [Raine]
* FIX: Advanced option alwaysWarnAboutResearchers description missing from manual

=================================================================
Cogmind Beta 7.1 (181023) - "RIF+"

* NEW: RIF adds precise real-time alert level readout to HUD
* NEW: RIF automatically detects nearby Garrison Access points
* NEW: Garrison Access automatically open for Cogmind with RIF upon stepping adjacent to door location
* NEW: If RIF installed, alert level no longer increases passively while inside a garrison
* NEW: Garrison exits automatically open if Cogmind has RIF installed
* NEW: Manual indicates BRIGHTNESS renderFilter can be used to increase brightness as well
* NEW: Weapon cycling (' or [CYCLE] button) treats all guided, melee, and datajack weapons as separate options
* MOD: While RIF installed, Unlock Access hack at Garrison Access always has a 100% chance
* MOD: -8/Materials Garrison Access is always lowest security level
* MOD: Relay Coupler [Swarmer] base value increased 40%
* MOD: Operator purge_threat hack cost dropped from 20 to 10
* MOD: A certain 5-letter bot that starts with a G (spoiler) now has the Disruption immunity
* MOD: Non-hostile Researchers are not alerted by distress calls
* MOD: Researchers ignore Datajack attacks against both self and allies
* MOD: Thermal Generator effect description adjusted so it's harder to mistake for a type of heat sink
* MOD: Tactical HUD mode energy readout displays both values separately even when stationary and movement turnwise deltas are identical
* MOD: Non-zero ambient heat display is shown outside Tactical HUD mode as well, if applicable
* FIX: Enumerate(Coupling) terminal hack gave no results [Valguris]
* FIX: Dropped salvage would not remain in map knowledge if Cogmind stepped out of view prior to any FOV update [Valguris]
* FIX: Melee sneak attacks were impossible against Researchers [GJ]
* FIX: Loading a "Fragile Parts" run wouldn't apply the rules in subsequent sessions beyond the first [GJ]
* FIX: -exportRobots command line argument inaccessible in release build [Raine]
* FIX: Tactical HUD mode energy readout failed to show inventory-stored energy when stationary and movement values are identical [Trione]
* FIX: Easiest difficulty mode didn't reduce the number of Garrison Access machines by 1 as intended
* FIX: Drone Bay info in parts list sometimes didn't reflect correct number of remaining drones

=================================================================
Cogmind Beta 7 (180904) - "Hack the Planet"

* NEW: 65 new robot hacks
* NEW: Garrisons now contain a RIF Installer (required for most robot hacks)
* NEW: 12 Relay Couplers (available from numerous sources), required to execute better robot hacks
* NEW: 1 more brute force hack (secret)
* NEW: 3 new items (new mechanic)
* NEW: 75 new scoresheet entries (total = 772)
* NEW: Added several encounters
* NEW: Info window for part types that cannot be repaired precedes the maximum integrity value with a *
* NEW: Derelict Logs that give an exit location for the current map when Cogmind already knows it explicitly indicate that in the log
* NEW: Blue '@' marker appears to indicate the direction of Cogmind's position when offscreen
* NEW: New kind of squad dispatch under certain conditions
* NEW: Standard robot hacks also accessible via manual entry
* NEW: Manual robot hacking UI includes autocompletion and fully-featured command buffer (data stored in /user/buffer_robot.txt)
* NEW: Option to alphabetize coupler-based robot hacks instead of based on cost (advanced.cfg: alphabetizeCouplerHacks)
* NEW: Option to not have map center on Cogmind with every move, requiring manual panning instead (advanced.cfg: viewFollowsCogmind)
* NEW: Option to disable mouse-based movement in mouse mode (advanced.cfg: disableMouseMovement)
* NEW: Vi-keys (j/k) can be used to change selected entry in item/robot info page
* NEW: Datajacks can be used on any bot
* NEW: parse_system robot hack is an additional way to add items to gallery collection (and won't aggro friendlies)
* NEW: Lower difficulty modes give Relay Couplers more uses
* NEW: Additional lore giving the new robot hacking system a background
* NEW: Shift-Alt-m exports PNG of entire current map, showing explored areas
* NEW: Worker latching onto a disabled bot now has its own SFX and color
* NEW: Assign text tags to inventory items (Shift-Alt-t + inventory item number)
* NEW: Kinetic cannons can cause knockback, where the chance is a function of damage, range, and target size
* NEW: Kinetic and Impact weapon knockback that causes one robot to hit another can damage and displace the second robot
* NEW: Additional Garrison layouts
* NEW: Export robot data with the "-exportRobots" command line argument (massive spoilers!)
* NEW: Explicit log message for failure to rewire disabled bot via Datajack
* NEW: Tutorial message reminding that items held in inventory do not themselves add to total mass
* NEW: Explicit interface message about large part non-swappability when using dedicated swap mode ('/')
* NEW: "Part Auto-Replacement" manual section expanded with an explanation of why the rules list is fairly short
* NEW: "Volley" manual section expanded with description of resource cost timing
* NEW: Non-forced melee attacks while flying require confirmation (toggle in advanced.cfg: ignoreFlyingMeleeConfirmation)
* NEW: Numpad '/' behaves as regular slash, activating part swap mode
* NEW: Heat flow errors due to corruption temporarily block movement (like part rejection)
* NEW: Hit chance modifiers due to attacker/defender recent moves reset on ramming and knockback
* NEW: Deploying ARCs list robots in message log
* NEW: Active ARCs engage emergency deployment system just before destruction (effects vary)
* NEW: Watchers can always jam sensors as long as Cogmind within their sensor range, even if using inferior Sensor Arrays
* NEW: Fully modal part management system (in addition to existing systems), press 'p' to open new menu for part toggle/attach/info/remove/drop
* NEW: Z-terminal access has limitations on each map
* NEW: All 0b10 bot calls for reinforcements that didn't already have one now display that notification as an on-map ALERT message
* NEW: Garrisons activated in response to calls for backup also display that notification as an on-map ALERT message
* NEW: All Alpha supporter names registered since Beta 6 added to in-game list (see Credits menu)
* MOD: Destroying Garrison Relays has a different effect
* MOD: Hacking Suites no longer apply to robot hacking; chance-based robot hacking system removed
* MOD: No longer any benefits from hitting target with multiple Datajacks
* MOD: Target corruption no longer a factor when hacking a robot
* MOD: Programmers no longer assimilate other Programmers
* MOD: Less garbled text results from brute force hacks, just enough to more or less fill the window
* MOD: PARSE/LINK/REBOOT/OVERLOAD/ASSIMILATE robot hacks removed
* MOD: Rewrote Hacking Robots section of manual
* MOD: Engineers far less likely to get stuck in groups when many of them try to to repair the same area
* MOD: Disarmed Researchers won't trigger an attack warning
* MOD: Machine hacking uses a new kind of RNG
* MOD: Borebot weapon once again a prototype (since it can be discovered via parse_system)
* MOD: Datajack hits against any robot are not considered an attack
* MOD: For now the "Factory Defaults," "Error 47," and "Assimilation Complete" achievements refer to the hacks reboot_system, overload_power, and formatsys_
* MOD: Robots assimilated by Programmers no longer immediately activate, require some reboot time
* MOD: Updated offensive and defensive hackware effect descriptions to reflect changes in mechanics
* MOD: All Datajacks always have a 100% to achieve system access (i.e. penetration mechanic removed)
* MOD: All melee Datajacks' attack speed increased by at least 50%
* MOD: All Remote Datajacks' stats adjusted, including significant reduction in matter cost and an increase in speed
* MOD: Dirty Datajacks don't deteriorate as quickly
* MOD: Remote Datajacks work like guided weapons in that they must be fired solo
* MOD: RIF Installer incompatible with Super Gauntlet challenge 
* MOD: Removed some pieces of lore related to obsolete hacking mechanics
* MOD: Robot info window no longer also displays speed as a percent in Tactical HUD mode
* MOD: Robot hacking UI no longer closed by RMB
* MOD: Shift-cursor method of panning map now ignored while robot hacking UI open
* MOD: Robots with temporarily disabled weapons more readily return to fight once weapons reactivated
* MOD: Executioner loadout improved
* MOD: Desublimator now a prototype
* MOD: Inventory scrolling keyboard commands under advanced help displayed as "]/[" instead of "[/]"
* MOD: No turn progression or input allowed during special CRM and conduit interface animations
* MOD: itemLabelRelativeRatingCutoff option no longer applies to any items that aren't placed randomly (always labeled)
* MOD: Zhirov profile reduced from 7x7 to 5x5
* MOD: Dedicated mapshift mode (`) no longer automatically recenters on completion (Enter is another option)
* MOD: Mouse-based movement and other map commands disabled while cursor hidden in keyboard mode
* MOD: Devolution challenge scoring formula now purely depth-based rather than slot-based
* MOD: "Executioner" achievement description reworded for clarity
* MOD: Updated "Turtlemind" achievement icon
* MOD: "Hit/Miss Streak" scoresheet entries changed to "Robot Hit/Miss Streak," and only shots targeting robots count towards them
* MOD: "Crack Shot" and "Storm Trooper" achievements only count shots targeting robots, and exclude melee attacks
* MOD: "Adventurous" achievement renamed to "Ooh, Shiny!"
* MOD: Mines cave-in event can no longer kill low-integrity Cogmind
* MOD: Melee follow-up attacks incur no additional time cost aside from the weapon's halved time delay
* MOD: Exit labels for offscreen exits not shown if any part of the primary label for that exit is showing
* MOD: Message on inapplicable use of '>' command refers to traps and drone bays as well, rather than just stairs
* MOD: Secondary targeting (gunslinging) by guns is now guaranteed wherever applicable (100% chance)
* MOD: Follow-up attacks when multiwielding melee weapons will always automatically switch to the next available target if any in range (100% chance)
* MOD: Materials Terminals no longer list direct hacks for robot or item schematics
* MOD: Field Recycling Units operate on purely turn-based checks rather than an action- or wait-based counter, so take effect faster if moving more slowly
* MOD: S7 guaranteed to contain 1x TR
* MOD: Core Expanders more rare
* MOD: Part Auto-Activation feature active by default on a fresh install (still available in options menu)
* MOD: Part Auto-Activation hotkey switched to F10
* MOD: Tutorial messages involving part activation updated
* MOD: While a modal input label is visible across top of map simultaneously with an interface message, the latter is pushed down to avoid overlap
* MOD: Alert level decay from passing turns has diminishing returns over time (except in easier difficulty modes)
* MOD: Revision 17 never spawns in Scrapyard if using the quickStart option
* MOD: "SW" no longer much more likely to die from impact damage
* MOD: Super Gauntlet challenge Garrison Access cannot have traps next to their interactive section
* FIX: Under default config settings, faulty/broken unidentified prototypes excluded from mass labeling, revealing their state [zxc]
* FIX: Attached faulty power sources still contributed to energy storage capacity [zxc]
* FIX: Guided weapon waypoints were retained between maps [zxc]
* FIX: Crash on destroying a machine as first action on entering a new map before machine-relevant Derelict Log data displayed [zxc]
* FIX: "Spaces Moved" entry in scoresheet didn't account for robot jumping by flight propulsion [zxc]
* FIX: "Average Speed (%)" entry in scoresheet included stasis escape attempts [zxc]
* FIX: Derelict intel could ID the L exit [zxc]
* FIX: Opening world map in keyboard mode unable to select a map if just left Waste or Garrison and previously visited another on the same route [Joshua]
* FIX: "Watch This!" achievement couldn't be earned [Joshua]
* FIX: "Oh No You Don't!" achievement could be earned if Cogmind last damaged Saboteur later destroyed by another non-specific attacker [Joshua]
* FIX: "No Explosion For You" achievement also earned when your missiles shot down as well, not just those fired by hostiles [Joshua]
* FIX: "Just Shoot The Terminal" achievement awarded if a hostile bot achieved the same effect via misfire [lsend]
* FIX: "Fragile Parts" challenge was only applying rules to subsequent runs after game start, not the first [lsend]
* FIX: Adjustments required to accommodate a certain possibility during special Z+M@C event [lsend]
* FIX: Scrolling map view away from certain NPCs prior to dialogue skipped their dialogue, affecting the results [lsend]
* FIX: Sticky Parts challenge also blocked inventory parts from dropping [Raine]
* FIX: Sticky Parts challenge increased inventory contents beyond capacity if using get-attach shortcut on an already full inventory [Raine]
* FIX: "Executioner" achievement wasn't obtainable by way of normal evolution [Raine]
* FIX: Exposed keybinds file contents misaligned since previous release [Raine]
* FIX: Several typos in various messages and context help [Mhorre, Tzan, Rumbl3, Raine]
* FIX: "Collateral Damage" achievement couldn't be earned [Mojo]
* FIX: Certain late-game special event message might be shown globally even though it should require line-of-sight [Mojo]
* FIX: As of Beta 6, prototypes in gallery info didn't show their full name at the bottom [Mojo]
* FIX: Particular garrison layout could spawn any random disabled drone type, should be N-00 Fly [Mojo, GJ]
* FIX: Ally distance warning before level exit may report incorrect number for some at edge of radius [Valguris]
* FIX: Hacking bonus from allied Operators counted first Operator against the total, starting it at +5% instead of +10% [Valguris]
* FIX: Central database lockouts in Recycling would still cause investigation dispatch [Valguris]
* FIX: Full-sized evasion readout still listed Cloaking as a bonus, renamed to Phasing to match new corresponding utility name [PhenomPhear]
* FIX: Unique swords weren't playing any hit SFX [PhenomPhear]
* FIX: "Cya!" achievement was earned by flying over only two bots [PhenomPhear]
* FIX: Tutorial messages about gallery and lore collection still mentioned old key commands [b_sen]
* FIX: Drag-swapping parts with between 19 and 30 energy would only complete the first half of the action instead of giving the low-energy warning [b_sen]
* FIX: Simultaneously using any Thermal Generator and Cryofiber Web dropped energy reserves, allowing them to even go negative [IrishDemon]
* FIX: In rare cases an unknown open cell within ally transfer range may be highlighted while leading allies and standing adjacent to exit [DDarkRay]
* FIX: Quickly pressing an up/down arrow key after closing a robot's part info window in keyboard mode would place the cursor incorrectly [Jivya]
* FIX: RMB on hidden doors wouldn't enter targeting mode, revealing their presence [Malthusis]
* FIX: Fleeing Workers continue pushing previously disabled bot even if bot rewired while fleeing [Laida]
* FIX: Reaction Control Systems dodging a trap could jump Cogmind into a neighboring phase wall [Pimski]
* FIX: Individual Researchers normally only call reinforcements once, but after a run save/load could call again immediately
* FIX: <x2> consecutive message counters would not appear if not enough room remaining in the previous message log line
* FIX: "Missiles Intercepted" scoresheet entry tallied all instances rather than only Cogmind's
* FIX: "Batter Up" achievement could be earned if an enemy Brawler knocked any bot into an exploding machine
* FIX: Due to earlier changes, world map unable to display both a Waste and Garrison visit from the same map, or current Garrison marker
* FIX: Multiwielding impact melee weapons allowed attacks to continue even after target already knocked away

=================================================================
Cogmind Beta 6 (180508) - "Achievements Unlocked"

* NEW: 256 achievements (available both on Steam and in offline/DRM-free versions)
* NEW: 35 new scoresheet entries (total = 697)
* NEW: Achievement names and their icon appear over the map when earned (deactivate or change duration in advanced.cfg: achievementPopupDuration)
* NEW: Achievements earned reported in message log (toggle in advanced.cfg: showAchievementMessages)
* NEW: Achievements earned specifically at end of a run appear in new area to right of end game stats
* NEW: Achievements newly earned throughout a run listed towards end of scoresheet
* NEW: Composite achievement percent listed among scoresheet meta data and and scorehistory.txt
* NEW: Achievements browsing UI (contents sortable and filterable)
* NEW: Bidirectional automatic syncing between achievements in your local game meta data and Steam records
* NEW: Optimized startup time, reducing it by about one-third
* NEW: RTS-style map panning in true fullscreen mode, and new menu option for controlling speed
* NEW: Added to manual's Key Holding section a mention of holding "wait" key while waiting for a hostile
* NEW: Updated Dismemberment immunity trait description with explicit notice that it does not prevent the side effect of slashing weapons
* NEW: Optional Terminus style map glyphs for size 12 and 14 ASCII mode players (see manual under Advanced UI > Fonts)
* NEW: Optional classic IBM VGA style map glyphs for size 14 ASCII mode players (see manual under Advanced UI > Fonts)
* NEW: Datajack descriptions explicitly indicate their base chance to rewire traps (10%)
* NEW: Scoresheet records number of moves per propulsion type
* NEW: Game over screen shows total number of new achievements earned during run
* NEW: challengeSuperGauntlet description in manual explicitly mentions lack of garrisons at -10/-9
* NEW: Two challenging (spoiler) plot points that didn't originally earn bonus points now do
* NEW: "Records" submenu added to game menu, containing links to Gallery/Lore/Achievements data
* NEW: Export achievements data to TXT, HTML, or CSV for external reading/processing (exports based on selected filters/sorting)
* NEW: Pre-attack warning about Researchers in view takes effect even if previously scanned (can disable in advanced.cfg: alwaysWarnAboutResearchers)
* NEW: Core Analyzer effect description explicitly states that critical hits and disruption effects are also applied to affected cores
* NEW: Dedicated section about achievements added to the manual
* NEW: Multiple previous autosaves from current run are stored in parallel (adjust number of saves in advanced.cfg: autosaveCount)
* NEW: While manual hostiles/allies/parts labels active, panning the map view automatically calls up same-category labels where applicable
* NEW: Escape also clears active map object labels even if disableEscMenuAccessKeyboard/disableEscMenuAccessMouse true
* NEW: Traps with damaging AOE effects now include salvage mod in their description
* NEW: Gallery item info includes description for those items which have them (e.g. important for traps)
* NEW: Melee weapon info explicitly lists the disruption stat (only two melee weapons have that property)
* NEW: Projectile weapon info explicitly lists the spread arc stat (very few weapons use that relatively new mechanic)
* NEW: Extreme slow movement warning also applies when attempting to swap positions with allies
* NEW: Items crushed by cave-ins reported in message log
* NEW: Safe to hold a wait key while waiting for System Backup Module (etc) to reduce corruption to 0% (autoblocks command for 2s on task completion)
* NEW: Use '>' on top of a Drone Bay to automatically release all its drones without attaching it (RMB on self for mouse users)
* NEW: Melee Analysis Suites increase minimum damage of melee weapons
* NEW: Specific amount of corruption caused by impact destruction revealed in manual and context help
* NEW: Manual includes step-by-step Attack Resolution section outlining defensive order of operations once an attack hits a robot
* NEW: All Alpha supporter names registered since Beta 5 added to in-game list (see Credits menu)
* MOD: Cave Seal allied faction priority changed
* MOD: Removed "Parts Merge Repaired" from scoresheet since no longer possible for now
* MOD: Removed "Zionite Hack Detections" from scoresheet since no longer possible
* MOD: Removed "Impact Corruptions" from scoresheet under Highest Corruption (unused)
* MOD: Timer length doubled on the "final" Archives event
* MOD: Log message for critical strikes on immune robots only shown if the attack hits armor (which still confers the damage bonus)
* MOD: While using any LOW_CONTRAST renderFilter, on-map resource alerts override default color with black lettering
* MOD: While using any LOW_CONTRAST renderFilter, path visualization shown lighter to be more visible against brighter background
* MOD: Part range circles and robot motion trails appear much more nicely when combined with LOW_CONTRAST background settings
* MOD: While using showMapBorders option combined with a LOW_CONTRAST renderFilter, map edges displayed with a brighter line rather than modified wall color
* MOD: While using ` or dedicated mapshift mode, if LOW_CONTRAST renderFilter active the surrounding known cells are brightened even more than usual
* MOD: Floor foreground darkened more than usual under LOW_CONTRAST renderFilters to make FOV edges easier to distinguish
* MOD: Updated rendering of LOW_CONTRAST renderFilters to improve visualizations for: SFX, potential cave-ins, ally transfer area, explosion targeting AOE
* MOD: Improved LOW_CONTRAST animations: Sensor Arrays, Terrain Scanners, Structural Scanners, Spotter scans, Triangulator, and some processor activations
* MOD: Exposed ground appears slightly lighter in low-contrast mode (applies to both tiles and ASCII modes)
* MOD: Improved header line drawing on Advanced commands page animation when viewed in a low-contrast mode
* MOD: Part autosorting defaults to on
* MOD: Hardlight Generator effect description more specifically lists types of incompatible shields
* MOD: Scoresheet "Communications Jammed" entry expanded to include distress signals from non-combat to combat bots
* MOD: Scoresheet "Damage Inflicted > Projectiles" entry split into "Guns" and "Cannons"
* MOD: Scoresheet ally-related tallies exclude drones
* MOD: Removed turn numbers preceding special messages for machine hacking output (e.g. unique door access codes)
* MOD: Gallery/Lore buttons removed from game menu top-level button list and Credits menu (still accessible via hotkeys and new Records menu)
* MOD: Game menu submenu buttons horizontally centered in widescreen layouts
* MOD: Default hotkey for Alpha Supporters list now '0'
* MOD: Pre-Beta 3.1 cogmind.cfg file no longer converted to multifile format on importing
* MOD: Game count not incremented for aborting ("quit, delete save") below -9
* MOD: Total game time not incremented for self-destruction below -9
* MOD: High Security response dialogue no longer delivered by ARC
* MOD: Item info window simultaneously displays any description and gallery collection status
* MOD: Gallery item info no longer includes fabrication stats (still available via export feature)
* MOD: Label Supporter Items option no longer required for '!' marker items not yet collected for gallery (always shown by default)
* MOD: Scan Cloaking entry removed from robot info window since it became accessible via the new Traits popup in Beta 4
* MOD: Borebot weapon no longer a prototype to reveal its name (since it cannot be acquired)
* MOD: Improved visibility of explosion count on info page for multi-explosion weapons (consistent with multi-projectile weapons now)
* MOD: Derelicts of classes with variants at more than one tier list them all in Analysis() output
* MOD: Prototype ID Bank terminal hack has a static base chance rather than being based on the number of prototypes, which is now based on security level
* MOD: Stricter penalties if Zion repeatedly calls loyalty into question
* MOD: Roster dispatches a little more likely to refill used squad slots
* MOD: Tweaked targeting behavior of AOE-equipped robots
* MOD: Desublimator slot count reduced to 1, mass lowered to 6
* MOD: Quantum Capacitor no longer compatible with Weapon Cyclers
* MOD: EMDS energy and matter costs increased
* MOD: Hyp. EM Gauss Rifle spectrum changed to Fine
* MOD: Base penalty for overweight hover increased from 40 to 60
* MOD: Base penalty for overweight flight increased from 50 to 80
* MOD: While overweight, robots running on flight propulsion lose the ability to fly over other robots
* MOD: Traps always trigger while overweight, rather than using a mass-based multiplier
* MOD: Investigator movement speed increased 50%
* MOD: Scoresheet Melee Sneak Attacks no longer counts those against broken or unpowered targets
* MOD: Upload Scores option now off by default
* MOD: Anonymous player scores no longer uploaded
* FIX: Combining Transmission Jammer w/Transport Network Coupler to block Hauler reinforcements didn't count as Communications Jammed in scoresheet [Joshua]
* FIX: Additional energy capacity provided by LRC Energy Wells not automatically restored on entering a new map [Joshua]
* FIX: Certain types of followers stuck in a separate unattached part of the complex could slow down the game, especially on large maps [Joshua]
* FIX: Trap Extractors did not count trap for gallery collection purposes [Joshua]
* FIX: Unable to insert-ID an alien artifact at a Scanalyzer if no other scanalyzable items current in inventory [Joshua]
* FIX: Unable to indirectly hack analyses for a number of derelict classes [Joshua]
* FIX: Unidentified prototype energy/matter containers in inventory reflected their actual contents in HUD readout if preloaded [Joshua]
* FIX: Impact weapons not showing new momentum-modified damage values in inventory and part list info ('q') mode like other melee weapons [Joshua, zxc]
* FIX: Core reset while info ('q') mode active later created empty schematics lists on status page and at Fabricators [Joshua, Valguris]
* FIX: Followers sucked into chutes remained allied but would not follow again if you meet up with them later [Valguris]
* FIX: DC usage would leave out random map locations that should be revealed [Valguris]
* FIX: Active Particle Chargers destroyed or removed in info ('q') mode did not immediately modify damage data for affected weapons [Valguris]
* FIX: If no unfiltered label parts in view, not possible to use '3' to call up filtered labels [Valguris]
* FIX: Having two info windows open and right-clicking inside the second at the position of an object under it opened its info instead of closing [Valguris]
* FIX: Core resets rendered Z-Drones unable to explore or share FOV data [GJ]
* FIX: Still possible for 0b10 Decoder Chips to crash on attempting to reveal an item outside FOV under special circumstances [GJ]
* FIX: Loading a Fragile Parts challenge run in progress failed to apply the mechanic [GJ]
* FIX: Tiny decimal values close to zero showed as larger numbers in Tactical HUD energy-change-per-move readout [Pimski]
* FIX: Researcher hostility checks did not take into account active Cloaking Devices [Pimski]
* FIX: Workers pushing disabled bots on floors with only one chute located in hidden corridor could cause slowdown in Factory [Laida]
* FIX: Hostile Programmers assimilating Watchers made them neutral rather than hostile [Laida]
* FIX: Crushing DM with treads triggers the normal reaction [8fpsbossfight]
* FIX: Under certain conditions attempting to exit Waste might warn about leaving behind more allies than known [fpsbossfight, b_sen]
* FIX: Tutorial message referencing Gallery/Lore access commands referenced old key commands [Rob Hewitt]
* FIX: Options menu Upload Scores context help referenced old URL [Ezghoul]
* FIX: New part caches added to Materials may overlap Storage stairs if latter placed in a room rather than corridor [Jazzer]
* FIX: Item info ALIEN type label followed by a dark 'd' [Amphouse]
* FIX: Game hangs if attempt to move while completely surrounded by walls/earth and corruption causes a misdirection [NoCreativeNames]
* FIX: A certain Zion dialogue encounter was slightly too long to fit in the popup window [nuzcraft]
* FIX: Attempting to use the swap menu on an empty slot with less than 30 energy prevented the action, even though the requirement is 20 [zxc]
* FIX: Counterattack warning event may come on the following map if escaped fast enough and at exactly the right time [lsend, Sherlockkat]
* FIX: Potential crash on startup when using a certain LOW_CONTRAST renderFilter in advanced.cfg
* FIX: advanced.cfg did not properly bound values for mapCombatLogMaxLength, mapCombatLogDuration, mapAlertDuration
* FIX: While using any LOW_CONTRAST renderFilter, black lettering of temporary part status labels would change to a non-black value when updating
* FIX: Scoresheet undercalculating Robots Melted entry (excluded non-delayed melting)
* FIX: Beta 4 robot label behavior update unintentionally removed all labels from non-FOV hostiles

=================================================================
Cogmind Beta 5 (180124) - "Zionic Revolution"

* NEW: 9 new unique named NPCs
* NEW: 13 more unique items
* NEW: 1 new wheel variant
* NEW: 3 new types of resupply dispatch
* NEW: 1 new 0b10 terminal record, along with several random lore dialogues available in the usual places
* NEW: 25 new scoresheet entries (total = 662)
* NEW: Several additional special encounters
* NEW: 3 new optional map styles for ASCII mode players at size 16: Terminus, Verite, Kaypro (see manual under Advanced UI > Fonts)
* NEW: Some methods for tweaking colors/brightness/saturation/etc (advanced.cfg for now: renderFilters, see manual under Color Customization)
* NEW: Roster dispatches potentially include allies from a new category
* NEW: Mechanic for automatically locating nearby terminals (spoiler)
* NEW: Operators reset their terminal under a certain condition (spoiler)
* NEW: Special animations for connecting to Z-hack-capable terminals
* NEW: First connection to a Z-hack-capable terminal gives instruction regarding intel retrieval
* NEW: Added EM damage spectrum class "Fine"
* NEW: Enforced projectile spread mechanic for certain weapons
* NEW: Line-of-fire for volley including a spread-enforced weapon highlights entire potential spread area
* NEW: Option to always display the edges of the current map (advanced.cfg only: showMapBorders)
* NEW: Option to completely disable the standard printing/text SFX (advanced.cfg only: muteTextSfx)
* NEW: All Launcher Guidance Computers prevent launcher misfires otherwise caused by system corruption
* NEW: Robots sending distress signals to alert nearby allies display the range of that signal
* NEW: Effect description for matter/energy storage utilities explicitly states their ability to collect resources while in inventory
* NEW: Active Particle Accelerators show modified damage values for applicable weapons in inventory and part list info mode ('q')
* NEW: Effect of current momentum on melee weapon damage is shown directly next to applicable weapons in inventory and part list info mode ('q')
* NEW: Discovering exits purely via Terrain Scanners in easiest difficulty mode reveals their destination as if sighted
* NEW: Advanced quickStart option also available in easier difficulty modes
* NEW: "Trapped" challenge mode prevents gaining trap knowledge from hacks, Zionite intel, 0b10 Decoders, and friendly Operators
* NEW: Prototypes and other unknown parts identified by attaching them accompanied by explicit log message
* NEW: Component Analysis Suite identification effect log message also specifies name of utility doing the identifying
* NEW: Manual includes additional subsection explaining overload mechanic for some power sources and energy weapons
* NEW: It's safe to hold a wait key while a nearby Fabricator or Repair Station is processing (autoblocks command for two seconds on task completion)
* NEW: Manual includes additional subsection on Key Holding, under Key Commands
* NEW: Starting position in Scrapyard will never overlap with an item
* NEW: Map areas discovered via Terrain Scanners and other methods but never actually seen displayed in greenscale rather than color
* NEW: Active Garrison Access dispatch countdown timers now visible on map when using a Signal Interpreter
* NEW: Heat transfer damage may outright melt struck part of an already overheating robot (chance matches weapon's heat transfer value)
* NEW: Filter mass item labels by applying an integrity percentage cutoff via itemLabelIntegrityPercentCutoff (advanced.cfg, currently defaults to 26%)
* NEW: Filter mass item labels by applying a minimum depth-relative rating cutoff via itemLabelRelativeRatingCutoff (advanced.cfg)
* NEW: Known faulty and broken items not labeled on map when using mass item labeling (can change behavior via advanced.cfg)
* NEW: Mass labeling items a second time within 5 seconds ignores all label filters
* NEW: If exiting a map will fail to bring some allies due to their distance, shows dedicated warning message and puts a longer block duration on the move
* NEW: All Alpha supporter names registered since Beta 4 added to in-game list (see Credits menu)
* MOD: Imprinting prevents direct and indirect hacks at most 0b10 terminals (special manual hacks okay)
* MOD: Z-hacks can no longer be detected, traced, nor blocked across an entire floor
* MOD: Some items may appear in more than one type of resupply
* MOD: Cave seal disengage behavior different if imprinted
* MOD: Mak. Sword uses regular melee impact sound rather than heavier sound
* MOD: Updated color of Centrium wheel variant art to match other items of same material
* MOD: Potential cave-in areas on map are always highlighted (tactical HUD mode not required)
* MOD: Rocket Arrays and Scatter Rocket Arrays significantly improved, though can no longer be focused via targeting
* MOD: Hero class renamed to Knight, ASCII changed from 'O' to 'K'
* MOD: Hvy. Hardcell Cannon resource costs reduced
* MOD: AM-PH4 propulsion tweaked
* MOD: Behemoth cannot appear on top of cave exit stairs, and much less likely to be too near any cave entrance
* MOD: "Trapped" challenge mode trap count multiplier upped from 5 to 10
* MOD: Hack given by the so-called "annoying derelict" in caves causes the victim to follow instead of remain stationary
* MOD: "Armor Coverage" best state entry in scoresheet refers to raw total coverage of attached armor instead of percentage value
* MOD: "Suicide/Restart" button on Game menu renamed "Self-destruct"
* MOD: Robots sending distress signals to allies out of view only reveal that ally's position in easier difficulty modes
* MOD: Robots calling for help or reinforcements from a garrison only reveal that garrison's position in easier difficulty modes
* MOD: Removed Game menu, Save/Restart/Quit buttons now appear on Basic commands page
* MOD: Removed tutorial message explaining how to save and exit
* MOD: Removed "Show Non-FOV Color" from options menu, always on by default
* MOD: Removed Ctrl-` command for toggling non-FOV color display
* MOD: Weapon Cycler and Quantum Capacitor effect descriptions reworded for specificity, no longer refer to "projectile weapons"
* MOD: Alarm Traps in Garrisons no longer trigger an investigation, they simply alert any nearby hostiles
* MOD: Mechanics that clear robot memory (e.g. the Reconstructor) now also clear off-turn partial spot records
* MOD: Melee momentum damage bonus applies to all melee weapons, not just I/S/P damage types (piercing still gets its double bonus)
* MOD: Melee damage type modifiers on Status page merged into a single "Melee" value (extra piercing damage bonus only displayed by the weapon)
* MOD: Only non-zero values are listed under the Status page's resistances and damage modifiers
* MOD: Data Miner dispatch redirects no longer occur during late-game wars
* MOD: With Label Supporter Items option on, the few items not applicable for gallery collection show standard description at bottom of info window
* MOD: Easiest difficulty mode puts Med. Storage Unit in Scrapyard, rather than Sml.
* MOD: A certain Exoskeleton's overweight penalty reduced from 30 to 20
* MOD: Robot core damage popups in Tactical HUD mode default to showing actual remaining integrity rather than as a percent
* MOD: Replaced advanced.cfg preciseCorePopup option with its opposite, percentCorePopup
* MOD: "No X in view" message displayed when there is no applicable object for the given label type instead shows "No X to label"
* MOD: Targeting will not autosuggest a previous target whose relation with you has changed since you last attacked it
* MOD: Super Gauntlet challenge mode keeps the lone target Garrison Access available even under High Security lockdown
* MOD: A single resupply dispatch can have no more than one faulty prototype
* FIX: Crash on right-clicking directly into second robot info while analysis or traits of first robot still open [Valguris]
* FIX: Overloaded weapons did not apply damage bonus again walls [Valguris]
* FIX: Walls/doors not applying damage resistances correctly [Valguris]
* FIX: Schematics for items only available by special means did not display fabrication info when opened via fabricator/schematics list [Valguris]
* FIX: Credits list contained some duplicate supporter names [zxc]
* FIX: Insufficient energy for overloadable propulsion upkeep might overload the propulsion instead of autodeactivating it [zxc]
* FIX: Typo in options.cfg (fix resets your calculation log setting; if you want a non-default option you'll need to redo) [zxc]
* FIX: Penetration values missing from gallery export data [Raine]
* FIX: While on-map combat log active, any visible messages could partially overlap an open Status window [Raine]
* FIX: Typo in screenshot tags and filenames for game over screen [johnicboom]
* FIX: Advanced quickStart option could also be activated in tutorial mode despite lack of Storage Unit in that layout [Zoticus]
* FIX: New corrupted AI misfire mechanic could in some cases affect player UI target recall [Happylisk]
* FIX: Could continue hacking record queries at a locked terminal prior to closing window by using number keys if keyboard mode active [neutral]
* FIX: Pressing 'f' during the exact frame a major NPC enters view and opens dialogue window blocked commands once window closed [nuzcraft]
* FIX: STAY command issued to ally with a previous destination allowed them to reach it before returning to intended stay location [GJ]
* FIX: Subatomic Replicator used without effect then dropped into inventory remained unidentified until inventory redrawn due to another interaction
* FIX: A certain type of Derelict Log could reveal exit to Zhirov's location, which they shouldn't know
* FIX: Moving multi-cell robot sensor scans not displayed correctly in sprite mode
* FIX: RMB on robot then opening Analysis or Traits and closing again prevented further right-clicks on other robots until info window closed
* FIX: "Max Gunslinging Chain" entry in scoresheet was not being tallied

=================================================================
Cogmind Beta 4 (171220) - "Data Mining"

* NEW: Export stats for all discovered gallery items to TXT, HTML, or CSV for external reading/processing
* NEW: Lore and gallery exporting shows destination file name once export complete
* NEW: Materials maps may have one or two special stockpiles
* NEW: Added guaranteed Sml. Storage Unit to Scrapyard
* NEW: Option to automatically attach/collect all parts/matter in Scrapyard and start at the exit to Materials (advanced.cfg only: quickStart)
* NEW: "Fragile Parts" experimental challenge mode (for now set in advanced.cfg: challengeFragileParts)
* NEW: "Sticky Parts" experimental challenge mode (for now set in advanced.cfg: challengeStickyParts)
* NEW: "Simple Hacker" experimental challenge mode (for now set in advanced.cfg: challengeSimpleHacker)
* NEW: "Trapped" experimental challenge mode (for now set in advanced.cfg: challengeTrapped)
* NEW: 1 new corruption effect
* NEW: AI corruption can cause misfires and temporary IFF failure
* NEW: Consecutive on-map items can be compared in keyboard mode, where previous item remembered for stat comparison as long as no other actions taken
* NEW: Applicable major NPCs and some late-game robots list immunities under their resistances, including context help describing each
* NEW: Robots with special effect (e.g. Samaritans) now have a Traits button in their robot info window that gives access to all relevant details
* NEW: Pacifist bonus score applied for each depth reached with no prior kills, increasing with proximity to surface
* NEW: Programmers can reset nearby allied robot systems (0b10 variants only) to clean corruption
* NEW: Super secret hidden door opens in response to relevant NPC's data core
* NEW: Option to show actual remaining integrity for damaged robot core popups, rather than a percentage (advanced.cfg only: preciseCorePopup)
* NEW: Operators summoning reinforcements via their terminal also display an on-map ALERT message
* NEW: Part swap list distinguishes broken inventory items by displaying their names in red
* NEW: Tutorial message about non-stacking effects when simultaneously attaching two parts that will not combine their effects
* NEW: Numpad Enter also centers map view on self
* NEW: WASDQEZC command set
* NEW: Optional "-nonportable" switch applies to all player file saving, including settings, scoresheets, screenshots, and the backup system
* NEW: Support for custom save paths, specified via "-customFilePath" switch (see manual under Advanced UI > File Options)
* NEW: Option to hide precise values in part coverage visualization mode even when Tactical HUD active (advanced.cfg only: noPreciseCoverage)
* NEW: Scoresheet Best States also records Energy Generation and Matter Stores
* NEW: Optional Terminus style map glyphs for size 18 ASCII mode players (see manual under Advanced UI > Fonts)
* NEW: Added explanation of Vulnerability mode visualization to manual (Advanced UI > Parts Window)
* NEW: Option to block all vi-key input, to prevent unintended movement by those who don't use vi-keys anyway (advanced.cfg only: blockVi)
* NEW: All Alpha supporter names registered since Beta 3.1 added to in-game list (see Credits menu)
* NEW: Robots sending distress signals to an ally out of view temporarily reveal that ally's position with a blinking yellow marker
* NEW: Robots calling for help or reinforcements from a garrison temporarily reveal that garrison's position with a blinking red marker
* NEW: Easier/Easiest difficulty modes have free +10/20% chance to hack both direct and indirect interactive machine targets
* NEW: Easiest difficulty mode always has a 100% chance to succeed at direct Record hacks
* MOD: Robot info window provides Analysis button with separate access to that text, instead of directly displaying it all (some didn't fit)
* MOD: 't' button no longer sorts inventory while robot info window open
* MOD: Robot/machine/terrain damage modifier info display now represented as Resistances, using negative values for weaknesses
* MOD: "Dispatching garrison force" log message in a certain mid-game branch changed to "dispatching additional forces" to avoid confusion
* MOD: Masking an area prevents Recyclers from even collecting there, rather than simply blocking item knowledge at a distance
* MOD: Reduced size of -10/Materials by 44%
* MOD: Scanalyzers removed from -10/Materials
* MOD: Reduced number of Terminals and Repair Stations in -10/Materials
* MOD: Fewer bots in -10/Materials, and Swarmer patrols always 3 bots rather 3-4
* MOD: Maximum preloaded Fabricator schematic rating bonus increased from +2 to +3
* MOD: "Data loss" message due to corruption effect more specifically indicates that lost data is component knowledge
* MOD: Corruption misfire attacks against Demented outside W base no longer cause faction-wide aggro
* MOD: Bump- and forced-melee attack targets no longer recalled automatically for subsequent attacks
* MOD: On-map label for object under cursor only appears once if cursor remains on that object
* MOD: On-map label for multi-cell robots no longer recreated when moving cursor (via kb or mouse) around between that robot's sections
* MOD: Wall/door destruction value (for alert purposes) now based on depth, reducing it for much of 0b10 though later maxing out at its Beta 3.1 value
* MOD: Item stat comparison no longer available via Repair Station repair list
* MOD: Core Stripper effectiveness reduced by one-third
* MOD: A few corruption side effects require passing a minimum system corruption threshold rather than anything being possible from 1%
* MOD: Core resets also wipe all intel data
* MOD: Easier/Easiest mode accuracy bonus now 20%/30%
* MOD: Hvy. Machine Gun buffed
* MOD: AM-PH4 propulsion tweaked
* MOD: A single terminal will only ever explicitly list one Prototype ID Bank
* MOD: Chance to trigger traps increased while overweight
* MOD: Removed Ctrl-F1 hotkey for cycling combat log verbosity (legacy 7DRL command now available in options menu)
* MOD: Cannibalization Units removed
* MOD: Robots sending distress signals to an ally show no log message if that ally already visible to Cogmind
* MOD: Lore export button style changed, and keyboard players now access them via T/H/C (upper case) instead of 1/2/3
* FIX: Chance to avoid self-damage from kicking was calculated per leg rather than per slot, and therefore incorrect for the one multi-slot leg [Valguris]
* FIX: Network Hubs destroyed outside both view and audible range did not correctly apply effect [Valguris]
* FIX: Certain bonus points could be earned multiple times, despite intended limits [Valguris]
* FIX: Potential crash if Borebot destroys itself while clearing an explosive machine [Valguris]
* FIX: Particle Accelerators only applied effects against on robot targets, not terrain or machines [Valguris]
* FIX: W might fail to spawn for a particular late-game event [GJ]
* FIX: Zhirov terminal missing a lore entry [GJ]
* FIX: Holding 'f' before and while dialogue transmission window opening would ignore all commands once window closed [GJ]
* FIX: Opening super secret hidden door with the proper manual code triggered the security system anyway [GJ]
* FIX: Crash on a temporary patrol spawning into a map under certain rare conditions [Hopeless Situation Warrior]
* FIX: Containment Facilitator explosion type context help message missing [Hopeless Situation Warrior]
* FIX: Core Analyzer effects were checked on the defender rather than attacker, making it useless to attach one [Hopeless Situation Warrior]
* FIX: Allied Programmers wiped friendly trojans from 0b10 terminals [Hopeless Situation Warrior]
* FIX: Allied 0b10 Operators revealed friendly derelict traps outside 0b10 [Joshua]
* FIX: Materials storage cache prefab could in rare cases allow a hostile bot to spawn near Cogmind's entrance location [Joshua]
* FIX: Easier difficulty modes were getting a higher accuracy bonus than advertised/intended [DeanSherman]
* FIX: Version number stored multiple times within compressed game.bin metadata (no impact on functionality or data integrity) [kiroist]
* FIX: 3.1 caused Command internal name misalignment for some commands.cfg entries (no impact on functionality, though) [Raine, JamesVagabond]
* FIX: Crash on hypermatrix ping effect triggered while simultaneously tunneling deep into earth [dak]
* FIX: Implementation of tread crushing effect made autoreplacement of some tread types incompatible with the replacement rules [zxc]
* FIX: Specific Cetus terminal query topic accessible only directly rather than indirectly as a reference (affected keyboard mode only) [ozer0]
* FIX: Scrolling a repair/scanalyze item list of greater than 26 items resulted in incorrect color coding [Snow_Cat]
* FIX: Allied programmers could rewire shutdown robots that were otherwise unhackable [Quelan]
* FIX: Temporary pop-up labels for robots would remain visible and track the robot even after it leaves view if enough turns are passed [Star Weaver]
* FIX: Crash on attempting to spawn a squad to a map with a Garrison Access that was disabled after hacking the stairs open
* FIX: If the new advanced.cfg noFluffLogMessages option activated, no autogenerated messages would appear in log
* FIX: Data backup system incompatible with "-nonportable" command line parameter
* FIX: Scoresheet "Absorbed by Shields" data not tallied correctly

=================================================================
Cogmind Beta 3.1 (171111) - "In the Cloud"

* NEW: [Steam] Steam Cloud support
* NEW: ALERT log messages also appear over the map at the top left (adjustable via advanced.cfg: mapAlertDuration)
* NEW: Most ALERT log messages/announcements accompanied by a sound effect for emphasis
* NEW: Triggering High Security is accompanied by a special sound effect
* NEW: Message/combat logs prefix lines with turn numbers in Tactical HUD mode (toggle via advanced.cfg: disableMessageLogTurnNumbers)
* NEW: noFluffLogMessages option to never show purely atmospheric log messages related to some robot actions (toggle via advanced.cfg)
* NEW: Ctrl-RMB on walls/doors for their stats (if a info window already open, simple RMB works too)
* NEW: Custom cursor support (see manual under Advanced UI)
* NEW: Descriptions for all 49 advanced.cfg-only options added to manual under Advanced UI
* NEW: WORKMAN keyboard layout file
* NEW: Partial keyboard layout files for QWERTZ, ABNT2, UK
* NEW: Numpad Enter also closes context help, advances transmission text, and works on game over screen to restart
* NEW: Tutorial message explicitly indicates purpose of matter on first acquiring it (same as item description)
* NEW: Several situational tutorial messages regarding energy management
* NEW: Weapon penetration stat context help explicitly mentions that Huge robots count as a single object
* NEW: "Inventory Autosorting" in options menu toggles automatic type-sorting of inventory items (equivalent to 't')
* NEW: Attached part relative coverage visualization also shows specific values in Tactical HUD mode
* NEW: All Alpha supporter names registered since Beta 3 added to in-game list (see Credits menu)
* NEW: All Alpha item-attribution names registered since Beta 3 added to the item collection gallery
* MOD: All maps accessible in all difficulty levels (most challenging areas no longer blocked off in easier modes)
* MOD: Structural Scanner no longer required to get explosion data in machine info (but still required to know if such a machine has been destabilized)
* MOD: Structural Scanner effect description explicitly states that it <stacks>
* MOD: All keyboard map-shifting commands now jump the map by default (single-space shifting no longer possible)
* MOD: Shift modifier no longer required for keyboard mode to shift map view (Alt-only), except for vi-keys
* MOD: vi-keys no longer need Shift or Alt modifier in dedicated mapshift mode (`), simply hjklyubn will do :)
* MOD: /user/cogmind.cfg split into three files: system.cfg, options.cfg, advanced.cfg
* MOD: "Show Part Range" and "Invert Map Pan" removed from options menu (now in advanced.cfg)
* MOD: advanced.cfg autoSortInventory renamed to matchSortInventory
* MOD: Lowered integrity of all Coolant Injectors
* MOD: Slightly nerfed Mak. Salvage Targeting Computer
* MOD: Tread crushing effect description includes explicit notice of max core integrity to be crushable (50)
* MOD: Removed critical hit stat context help mention of effect on machines, large doors, and barriers (no longer applicable)
* MOD: Walls/doors destroyed by launchers cause alert increase as with other weapons
* MOD: Experimental/pre-release builds no longer warn about version number not matching server records
* MOD: Scan window uses a much quicker, quieter sound to prevent overlap when hovering cursor across groups of items
* MOD: Text printing/scrolling SFX replaced by a more subtle version with lower pitch and volume
* MOD: Doubled matter extraction rate of all Field Recycling Units
* MOD: Save file naming scheme changed to reflect internal save version, and extension changed to .sav
* MOD: Tunneling hack more useful
* MOD: Resource containers no longer have a LOAD setting (since the desired behavior is now automatic anyway)
* MOD: Integrity-wise sorting of inventory now orders by absolute integrity rather than percent remaining
* FIX: Attaching Core Expander from inventory via any means of direct swapping would crash game on subsequent key press [russomatroso]
* FIX: 0b10 Decoder Chip [G/L] crashed on attempting to reveal an item outside FOV dropped on a chip-discovered trap [Darg]
* FIX: Manual referenced older damage modifier for critical strikes against armor (is 20%, not 25%) [zxc]
* FIX: Clicking 'X' button to close robot manual hacking window with code list open didn't also close the latter, and would later crash the UI [Valguris]
* FIX: Potential to crash in the combat log if a certain sequence of messages quickly appeared under rare conditions [LordKee]
* FIX: Using a Reconstructor while affected by a Stasis Beam to move outside the beam range would maintain the hold as long as no new obstructions [DDarkRay]
* FIX: Unidentified prototypes in inventory indirectly revealed coverage and integrity values through respective visualization modes [DDarkRay]
* FIX: Saving files would silently fail if player manually deleted the target directories [The Renderer]
* FIX: Ctrl-CMB to toggle volley range visualization not working under some conditions [Uninstall Wizard]
* FIX: On some Linux/Wine setups online News update feature might occasionally have a trailing 0 causing repeat news content to flash as if new [Joshua]
* FIX: Typo in lore [zill]
* FIX: Unidentified prototype resource containers held in inventory could still indirectly collect and store energy/matter
* FIX: With non-green console border colors, the first item comparison in the gallery would still have two inside corners appear green
* FIX: Removed critical strike stat context help mention of props being destroyable by crits

=================================================================
Cogmind Beta 3 (171017) - "Steam"

* NEW: Basic Steam integration
* NEW: [Steam] Overlay-free screenshot uploading via standard Print Screen key
* NEW: [Steam] Screenshots uploaded to library are tagged by location
* NEW: F12 also takes screenshots (in addition to PrtScn)
* NEW: Scoresheet records include "Steam" indicator under Options
* MOD: Scoresheet no longer contains "X=" string
* MOD: Leaderboard submissions on by default (can still be manually deactivated in options)
* MOD: Screenshot filename format changed from simple counter to "cogmind_[YYMMDD-HHMMSS]_[LOCATION]"
* MOD: Core Stripper buffed
* MOD: [Steam] No download email reminder when new versions are available
* FIX: Opening info for a map object while in kb mode, then toggling off that mode and closing the window, would cause cursor to jump [DDarkRay]
* FIX: Multislot part sever immunity added in previous update also indirectly prevented them from being salvaged [GJ, lsend]
* FIX: Subatomic Replicator could cause a subsequent crash if used on a certain plot item which was then picked up [lsend]

=================================================================
Cogmind Beta 2.2 (170926) - "Shields for All"

* NEW: 17 new items (several with new mechanics)
* NEW: 2 new minor encounters in Mines
* NEW: Many terminals now also contain random item schematics
* NEW: Hack failure output also displays the chance of success, including for indirect hacks
* NEW: "Survival Tips" added to beginning of manual, including in-game reminders to check them out
* NEW: Researchers also react to spotting ramming/kicking/crushing attacks
* NEW: Attempted ramming/kicking/crushing attacks in view of a Researcher displays warning, as with other attacks
* NEW: run.log records the number of loaded rebinds and keyboard layout changes
* NEW: A few straggler Alpha supporter names registered since Beta 2 added to in-game list (see Credits menu)
* MOD: All multislot parts immune to severing
* MOD: Swapped support of Imp. Q-thruster and Cld. Q-thruster
* MOD: Cmb. Antigrav System coverage lowered from 55 to 35
* MOD: Hyp. Gauss Rifle and Hyp. Railgun recoil set to 1
* MOD: Adjustments to lore CSV and HTML output to avoid confusion between two particular categories with the same name
* MOD: Removed all references to "direct fire" weapons from utility effect descriptions to avoid confusion
* MOD: Ramming/kicking/crushing damage is capped at 100, before the damage roll
* MOD: Remote Shield Generators renamed to Remote Shields
* MOD: Remote Shield (and similar utility) effects no longer stack with each other, regular Force Fields, or other shielding effects
* MOD: VFP coverage tripled
* MOD: Art for many shield utilities swapped around to suit new sets
* MOD: Energy Mantle renamed to Remote Force Field
* MOD: Quantum Shroud renamed to Energy Mantle
* MOD: Looping through Access-depth Garrisons no longer advised
* MOD: Network Hub bonus increased, but multiple hubs provide diminishing returns
* MOD: On-map item labels always show rating where applicable, even if Tactical HUD off
* MOD: Robot salvage in caves does not self-destruct in the easiest difficulty mode
* MOD: "Armored" items renamed to use "Arm." new prefix
* MOD: Removed Com. Heavy Treads
* MOD: Dur. Treads and Dur. Medium Treads replaced by Armored variants
* MOD: Spiked and Heavy tread variants now move at same base speed as regular treads
* MOD: Base penalty for overweight treads increased from 20 to 30
* MOD: Heavy tread variants have increased support
* MOD: Many special tread-based robot variants switched to new types of treads
* MOD: Most wheel stats adjusted, particularly even lower overweight penalty and somewhat lower coverage
* MOD: Imp. Spread Laser range increased from 8 to 10
* MOD: Ambush traps no longer appear in Materials
* MOD: Allied drones ordered to return to their bay will always do so even if under fire and otherwise attempting to flee
* MOD: Tutorial message memory no longer completely resets itself when new additions are made (file format changed)
* FIX: Opening a hacking window within 5s of loading a game that logs an internal warning shows a line of garbled characters behind window [DDarkRay]
* FIX: Crash on triggering a trap while sound card disabled [mungomongol8]
* FIX: Crash if Phasing AFG resulted in an item overlapped with a non-cardinally adjacent door attempting to close [GJ]
* FIX: Crash if allied drone parked at edge of map view spotted a self-destructing part just outside view [GJ]
* FIX: Tread crushing effect description did not cap chance value, causing largest tread type in world to display incorrect percentage [GJ]
* FIX: Schematic(Matter) was accessible via indirect hack (albeit meaningless) [GJ]
* FIX: Rewiring of disrupted robots via datajacks was possible even on hack-immune bots [GJ]
* FIX: Relative value coloring of regenerative plating inverted [GJ]
* FIX: Cannibalization Units could in some cases restore parts to greater than max integrity [GJ]
* FIX: Actual botnet effect was lower than advertised in the tooltip [GJ]
* FIX: Newly allowed inventory item ID retention on core reset was also identifying previously unknown prototypes [Sherlockkat]
* FIX: A random dialogue encounter still referenced an old renamed NPC class [Sherlockkat]
* FIX: An earlier adjustment to a Zion encounter could cause certain allies to join before intended contingent on map layout [Sherlockkat]
* FIX: Typo in newly added dialogue [Sherlockkat]
* FIX: Typo in lore export category named after a major NPC [lsend]
* FIX: Multiple core resets would erase artifact knowledge without restoring it [lsend]
* FIX: Missing period in Propulsion Shielding description [Amphouse]
* FIX: Prototypes, Schematic(), and Analysis() terminals hacks listed incorrect chance of success (somewhat lower than advertised)

=================================================================
Cogmind Beta 2.1 (170718) - "0b10 Decoder"

* NEW: Item gallery UI also gives access to item info
* NEW: Added more manual sections, including how to activate the on-map combat log and a description of how Cogmind is different from other roguelikes
* NEW: Dedicated \\ZION-REPORT command for intel retrieval
* NEW: 4 new items (utility with unique mechanics)
* NEW: 1 more Trojan() hack (secret)
* MOD: Core resets no longer unidentify items held in inventory
* MOD: Fabricating any variant of Cmb. hover now produces a pair instead of one
* MOD: Maul and Hvy. Hammer differentiated by giving latter wider damage range
* MOD: Tweaks to experimental Z-armor stats
* MOD: Spread Lasers assigned a new "Minimal" heat transfer level
* MOD: Allied Mechanics can only repair the same parts that Repair Stations can
* MOD: Drone Bay shrunk to 1 slot, integrity reduced, art updated
* MOD: Sensor Array scan data erased if it appears within FOV for fast-moving Cogminds, even between turns
* MOD: Partial spotting rules take into account effect of machine obstruction on sight range
* MOD: Upped animation speed for Lgt. Assault Rifles and all weapons that use a similar animation
* FIX: Non-ASCII character filter added to in-game manual for Beta 2 was also filtering out some legitimate special punctuation [zxc]
* FIX: Was possible to auto-extract resources from unidentified containers on the ground [zxc]
* FIX: Credits list contained some duplicate supporter names [zxc]
* FIX: A certain lab terminal was missing, making it impossible to acquire two pieces of tech lore [zxc, GJ]
* FIX: Imp Segregator attacks automatically destroyed Cogmind's top-listed power source instead of the Imp's [DDarkRay]
* FIX: Adding a subdirectory to the /user/ directory would crash game the first time it starts up each day (bug in automated backup system) [DDarkRay]
* FIX: Manifests terminal hack in some cases reported higher item counts than were actually being transported [Sherlockkat]
* FIX: Optional "-nonportable" switch added in Beta 2 didn't fully work [Gexgekko]
* FIX: Some Grunt analyses referenced old resistances [Amphouse]

=================================================================
Cogmind Beta 2 (170705) - "Legend has it..."

* NEW: Export discovered lore collection to TXT, HTML, or CSV for external reading/processing
* NEW: "Lore Collection" and "Item Gallery" manual subsections under Advanced UI, explaining the seek feature and more
* NEW: Support for alternative keyboard layouts (foreign kb support incomplete, but includes presets for Dvorak and Colemak)
* NEW: Command rebinding (currently supported via cfg only, see forums)
* NEW: Battery-based non-part items display remaining power in both inventory list and in on-map name labels
* NEW: Active Stasis Trap fields absorbing damage also have their field strength reduced, and the value is carried across extractions and reinstallations
* NEW: Scan window, item info, inventory info, and on-map labels report field strength of Stasis Traps in item form
* NEW: Optional confirmation required for melee attacks against neutral or inactive targets (on by default, toggle via cfg: ignoreNeutralMeleeConfirmation)
* NEW: HUD energy and matter readouts show total resources stored in inventory containers (tactical HUD mode only)
* NEW: Mouse users can fire guided weapons at open spaces and non-FOV locations without using the keyboard by left-clicking on last waypoint
* NEW: Using up all guided weapon waypoints automatically fires on selecting the next target location, regardless of contents
* NEW: When a guided weapon's waypoint limit is reached, the last one placed appears yellow instead of green
* NEW: Hostile AI may sometimes partially spot targets off their own turn (details in manual)
* NEW: Cloaking Devices also reduce chance of being spotted by hostile AIs when not their turn
* NEW: Sentry AI investigates most recent target's last known position before returning to post (they used to cut out early)
* NEW: Additional Triangulator effect allowing prediction of hostile AI paths
* NEW: Added transmission jamming immunity to some prototype robots and NPCs
* NEW: Transmission Jammer capable of suppressing any visible alarm trap within range, regardless of how it was triggered
* NEW: Weapon stat comparisons show numerical difference between EM spectrums, rather than abbreviations (still colored white because subjective)
* NEW: Thermal weapon info displays precise amount of heat transfer
* NEW: Several more scoresheet entries
* NEW: Optionally have program store /user/ data in your OS user directory ("-nonportable" command line option)
* NEW: 1 more Trojan() hack (secret)
* NEW: All winning challenge mode runs get additional 7000 bonus points
* NEW: Successfully rewiring a robot/trap blocks further input for 1s (i.e. safely hold a move key) (deactivate via cogmind.cfg: noRewireRepeatProtection)
* NEW: Attempting a bump melee attack in view of a Researcher temporarily blocks the attack with a warning message, highlighting all Researchers in view
* NEW: Negative score adjustments for friendly fire
* NEW: A few straggler Alpha supporter names registered since Beta 1 added to in-game list (see Credits menu)
* MOD: All grenades' accuracy increased, range decreased
* MOD: Triangulator and Structural Scanner energy cost lowered to 1
* MOD: Plasma Cutter delay increased from 20 to 100
* MOD: Weight Redist. System (both variants) mass support increased by 1
* MOD: worldSeed value in cogmind.cfg ignores ` character in case entered manually
* MOD: Added explicit info to manual notes section about incompatibility with foreign language characters
* MOD: Potential Cannons' info displays both projectile and explosion stats
* MOD: Adjusted 0b10 responses to jamming or attacking a Garrison Access point
* MOD: Scoresheet "Fabricated" list no longer includes parts built automatically
* MOD: Index(Machines) difficulty slightly increased
* MOD: Enumerate(Maintenance) hack always excludes Operators
* MOD: Tweaked robot demographics in Materials
* MOD: Reclamation Units now provide a static amount of matter rather than at a rate based on integrity
* MOD: "Central database compromised" effect reflected by a new global ALERT, and investigation
* MOD: Updated some A7 dialogue to better reflect newer lore
* MOD: Severing-type attacks now work on Backup parts
* MOD: Drones and fabricated robots no longer cleanly drop severed parts
* MOD: Player-reprogrammed and -installed traps will also target hostile derelicts and other non-0b10 enemies
* MOD: Reduced effectiveness of some "integrated consumables" (vague because spoilers)
* MOD: Win speed bonus not applicable if any challenge modes active
* MOD: Major NPCs immune to part stripping and Blade Traps also now immune to Segregators
* MOD: Increased "High Alert Combat Kills" bonus score rates, and lowered threshold to alert level 2
* MOD: Increased "Follower Combat Kills" bonus score rate
* MOD: Critical hits on props no longer automatically destroy them (no special effect)
* MOD: Ramming and melee attacks against adjacent targets from a stationary (momentum-free) situation made at 0 momentum rather than 1
* MOD: Moving diagonally to the direction of current cumulative momentum reduces it by 1 rather than resetting it
* MOD: Kill streak counter now only counts enemies towards tally
* FIX: A certain random dialogue referenced a pre-change version of an NPC name [MTF]
* FIX: Scoresheet "Damage Taken" was including damage sustained by all robots, not just Cogmind [zxc]
* FIX: A certain major NPC's terminal records appeared out of order in lore collection UI [zxc]
* FIX: Was no additional extermination dispatch delay benefit from disabling more than one garrison [zxc]
* FIX: If Devolution challenge mode removes storage unit, inventory contents could temporarily exceed capacity on entering a new area [zxc]
* FIX: Despite Beta 1 fix, was still one condition under which a dropped Storage Unit causing inventory overflow would be dropped on another item [zxc]
* FIX: Typo in Log L.VFLK3RLK entry [zxc]
* FIX: Exp. Field Recycling Units in inventory would show a value in parenthesis, suggesting what it is [zxc]
* FIX: Zhirov encounter scoresheet entry stopped working in Archives [zxc, GJ]
* FIX: Infinite intercept squad dispatches possible if waiting during the turn they are dispatched [zxc, GJ]
* FIX: Stasis Generator glow effect for affected robots would draw to other sections of map if panned robots out of view [GJ]
* FIX: Stasis Generator may still affect target around a corner given certain layouts [GJ]
* FIX: Message log crash if final shot of an entropic weapon consumed by a misfire [GJ]
* FIX: Toggling between two guided weapons in targeting mode after setting waypoints would enable more waypoints beyond weapon limit [GJ]
* FIX: Targeting a non-FOV space with guided weapons in mouse mode revealed whether it contains a blocking object, e.g. robot or closed door [GJ]
* FIX: Killing two special NPCs via a unique method allowed them to reappear at a later plot point [GJ]
* FIX: Activating even non-weapon items automatically deactivated an active guided launcher [GJ]
* FIX: Disruption-capable weapons could "deactivate" non-togglable parts [GJ]
* FIX: Last line of Imprinter Dialogue 1 cut off in lore collection record [Gexgekko]
* FIX: Hacking UI crash if defensive hackware protects against an effect, but is then itself destroyed by a secondary feedback effect [Sherlockkat]
* FIX: Item schematic list was no longer dimming name prefixes [Sherlockkat]
* FIX: Manual crashes in game if foreign language/non-ASCII characters added to file manually (now ignored) [Gobbopathe]
* FIX: Attempting to trigger already active stasis trap at current position would show warning message, even though impossible [DDarkRay]
* FIX: Three typos in manual [DDarkRay]
* FIX: Trojan to reduce fabrication matter drain was not fully effective [Rylan]
* FIX: Spellchecked complete lore export and fixed a number of typos
* FIX: Entering targeting mode with autoloaded waypoints for a different guided weapon retained them even if count exceeded new weapon's limit

=================================================================
Cogmind Beta 1.2 (170523) - "Path to Success"

* NEW: Mouse movement pathfinding automatically avoids non-hostile blocking robots (can deactivate via cogmind.cfg disablePathfindingRobotAvoidance)
* NEW: When combat log detail set to Full, automatically mirrored to left side of map (tweak via cfg: mapCombatLogMaxLength/mapCombatLogDuration)
* NEW: Armor Integrity Analyzers expanded to a full four tiers (+2 items)
* NEW: Particle Chargers expanded to three tiers (+2 items)
* NEW: Added meaning of part info summary ** and + prefixes to manual
* NEW: Manual available online, too: gridsagegames.com/cogmind/manual.txt
* NEW: Allied followers will not chase down Watchers that leave Cogmind's FOV
* NEW: Allied followers will generally avoid taking incredibly circuitous routes when blocked, preferring to wait instead
* NEW: Player and AI pathfinding both avoid traveling through potential cave-in areas where feasible
* NEW: Attempting to fire in view of a Researcher will temporarily block attacks with a warning message, and highlight all such Researchers in view
* NEW: Programmers capable of remotely rewiring disrupted robots
* NEW: Energy restored to full on heading to new map (also fills any energy containers)
* MOD: Rating 10 items show their rating as 'X' in the part list info summary mode (instead of "10")
* MOD: Exp. Actuator Arrays and Exp. Shock Absorption System now classified as prototypes (though never found faulty)
* MOD: Free peeks inside rooms / around corners no longer guaranteed for fast Cogminds gaming the time system
* MOD: Some utility effects no longer stack: Target Analyzers, Armor Integrity Analyzers, Particle Chargers
* MOD: Some Particle Charger/Accelerator effects weakened, also lowered energy upkeep
* MOD: Armor Integrity Analyzer effect no longer applied to AOE attacks
* MOD: Programmers can no longer remotely repel hacks against allies made via direct melee Datajacks
* MOD: Scoresheet doesn't list tallies for specific effects of overheating or corruption if zero
* MOD: Scanalyzer Insert Component list no longer displays duplicate items with matching integrity
* MOD: A certain well-known stash has gotten even better
* MOD: EM disruption no longer affects inactive robots
* FIX: May crash if standing adjacent to both a door and its terminal when [redacted] remotely unlocks that door [Sherlockkat]
* FIX: Newest secret map may rarely have an unintended tunnel extending from its exit area [Sherlockkat]
* FIX: Adjustments to Command layout generation in Beta 1 introduced the possibility of requiring travel through a garrison [Sherlockkat, zxc]
* FIX: Potential UI crash if in possession of an Omega Cannon with INFO mode active [Nikola Kolodziejczyk]
* FIX: Dedicated robot destruction codes retrieved from [redacted]'s decrypted terminal stopped working after Alpha 14 [MTF]
* FIX: New cave-in system allowing guaranteed passage through wall-earth-wall tunneling scenarios wasn't working as intended, might cave in [MTF]
* FIX: Was possible for fabrication network matter reserves to fall slightly negative if randomly drained close to zero while a build in progress [MTF]
* FIX: New bonus points for Network Hub destruction tallied incorrectly [GJ]
* FIX: Reversed scoresheet ending name (only in header) for two of the seven endings [zxc]
* FIX: The conditions required for a plot-relevant end-game hack that used to be possible to obtain mid-game were no longer possible [zxc]
* FIX: Typo in Thermal Resupply hack name [zxc]
* FIX: Typo "Fabriactor" in new scoresheet entry [zxc]
* FIX: Ramming a target off stairs may in some cases fail to immediately ascend [zxc, DDarkRay]
* FIX: Pair of typos in Zion [DDarkRay]
* FIX: Missing space in intel message revealing a single exit to a particular map [Amphouse]
* FIX: A particular encounter in the Mines could make it impossible to exit from one of the two stairs, though still showed the stair label [Senjai]
* FIX: Scanalyzer Insert Component list showed all items with matching name and integrity as broken if the first in inventory was broken [Senjai]
* FIX: Repeat consecutive messages in calculations log did not immediately show their multiplier suffix unless scrolled out of view and back again
* FIX: Super Gauntlet challenge mode could crash on -8/Materials if no Garrison Access generated for that map

=================================================================
Cogmind Beta 1.1 (170511) - "NERF Cannon"

* NEW: Manual Advanced UI: Map section more explicit about where tunneling is safe through areas that can otherwise cave in
* MOD: Ramming time cost no longer a flat 100 (1 turn); now takes slowest of that and your movement speed
* MOD: Tread crushing only possible against targets with no more than 50 core integrity remaining
* MOD: Tactical Coordination Suite bonus increased from 5% to 10%
* MOD: Removed critical chance from Flak Cannon, Hvy. Flak Cannon, Proton Burst Cannon, Ion Burst Cannon
* MOD: Tri-rail Accelerator critical chance lowered from 3% to 1%
* MOD: Visible sound effect system no longer pinpoints origins of sounds played at less than a quarter of their volume due to relative distance
* MOD: Data Miner ASCII changed from 'm' back to '0'
* MOD: Robot info page doesn't list damage modifiers that don't apply to that robot
* MOD: C Programmers gained critical immunity
* FIX: The new system for preventing duplicate penetration caused consecutive single-projectile shots against the same target to have no effect [GJ]
* FIX: Potential crash if Borebot destroys itself while clearing an explosive machine [GJ]
* FIX: Engineers building rooms could in certain rare layouts manage to build excessively long rows of doors [Widmo, BOYADD]
* FIX: Extermination squad dispatch referred to as incorrect type if affected by Trojan and the dispatch before it was of a different type [zxc]
* FIX: Typo in Transmission Jammer effect description [zxc]
* FIX: soundIgnoresDistance config file option allowed sounds to be both heard and seen across an entire map
* FIX: Map exit information obtained via Derelict Logs showed "exits" (plural) in log message even if only one

=================================================================
Cogmind Beta 1 (170509) - "The End"

* NEW: Branch map "[redacted]"
* NEW: 7 different animated endings, with content dependent on plot-related actions
* NEW: 1 major new NPC (unique robot class)
* NEW: 4 new minor NPCs (unique builds)
* NEW: 3 more prototype robot variants
* NEW: 2 more robot analysis records
* NEW: 21 new items (8 completely new item mechanics) (total = 846)
* NEW: 2 more Trojan() hacks (secret)
* NEW: 1 more Force() hack (secret)
* NEW: 37 more scoresheet entries (total = 626)
* NEW: 48 more sound effects (total = 847)
* NEW: Added content to "Archives" map
* NEW: Scoresheet filename appends win type indicator, and +'s for boss kills
* NEW: scorehistory.txt Location column differentiates between win types
* NEW: "Devolution" experimental challenge mode (for now set in cogmind.cfg: challengeDevolution)
* NEW: "Inhibited Evolution" experimental challenge mode (for now set in cogmind.cfg: challengeInhibitedEvolution)
* NEW: "Gauntlet" experimental challenge mode (for now set in cogmind.cfg: challengeGauntlet)
* NEW: "Super Gauntlet" experimental challenge mode (for now set in cogmind.cfg: challengeSuperGauntlet)
* NEW: "Pure Core" experimental challenge mode (for now set in cogmind.cfg: challengePureCore)
* NEW: "No Salvage" experimental challenge mode (for now set in cogmind.cfg: challengeNoSalvage)
* NEW: Any active challenge modes are listed in log on starting a new run
* NEW: All treads have at least a 5% chance per slot to instantly crush ram targets of medium size and below
* NEW: Ramming with treads active never leads to self-damage or destabilization
* NEW: All legs have a 20% chance per slot to kick a ram target out of the way, avoiding any self-damage but damaging target
* NEW: Sound effect origins heard but not seen temporarily marked on map, color coded by type (can toggle in cogmind.cfg: disableVisibleSfx)
* NEW: More specific result text for final game over screen and scoresheet on a win
* NEW: Scoresheet meta data now records all wins and their type (listed by Game subsection's new "win type" entry)
* NEW: Game over screen includes buttons for mouse users to restart/quit without keyboard
* NEW: Added explicit note to manual about challengeScavenger leaving static stockpiles untouched
* NEW: Will not reload previous target position if entering targeting mode after having fired at a machine, but that machine is now gone
* NEW: "Map" manual subsection under Advanced UI, collecting in one place all reference info on temporary map-related indicators
* NEW: Keyboard mode can inspect walls/doors as other objects, for both armor and resistances
* NEW: Random world seeds composed of word combinations rather than random numbers (creates fake item name via adjective + adjective + noun)
* NEW: Item info for Self-destruct Interrupters and similar disposable non-part items now includes a battery indicator (also in scan window)
* NEW: Non-part items with internal power sources (e.g. Self-destruct Interrupters) flash blue on the map while active
* NEW: Core reset results in a particular additional negative effect, as well as another bonus
* NEW: Explosion/projectile EM damage spectrum listing now shows associated chance of triggering chain reaction
* NEW: Destroying Network Hubs gives bonus points
* NEW: Dedicated RNG for hacking success checks
* NEW: Earn increasing bonus points for destroying hostile combat robots from alert level 3+
* NEW: Follower ally kills earn bonus points
* NEW: Transmission Jammer activation animation highlights robots that will be jammed (also changed appearance)
* NEW: Data Miner more helpful
* NEW: Some Waste areas have additional effects
* NEW: One more way to gain access to Deep Caves
* NEW: Highlighting of all cave-in prone areas now freely available in tactical HUD mode (no Structural Scanner required)
* NEW: Hold Ctrl-Alt to greatly brighten color of visible cave-in prone spaces
* NEW: Power-consuming utilities can be toggled all at once using " (or new CYCLE button, like propulsion/weapons)
* NEW: If no parts to toggle on entering a cycle command (;/'/"), will display a reminder message
* NEW: Overloaded attached power/propulsion/weapons in part list info mode ('q') display their modified stat values, and highlight them
* NEW: Multiprojectile weapons in scan window and part list info mode ('q') have a * between their damage value and type
* NEW: Parts/inventory color-code weapon damage type abbreviations
* NEW: Increased number of tie-breaking rules on "Furthest Area Reached" leaderboards (depth > boss kills > regions visited > date)
* NEW: Unlocking a garrison after installing a trap on the entrance itself gives explicit log message referring to the trap's destruction
* NEW: Commands, targets and results of all successful hacks mirrored to message log
* NEW: Static color for machine trace lockout and Force() hack success reflects Cogmind affiliation/state
* NEW: Robot analyses count as lore, added to collection system (including '!' indicators for uncollected Analysis() targets)
* NEW: Lore collection UI includes better keyboard-based page scrolling support
* NEW: Robot info temperature readout context help contains explicit note about meltdown threshold ("DANGER")
* NEW: Dedicated map shift mode toggled by ` (keyboard mode only, and supports all sets of movement keys)
* NEW: Offensive hackware decreases chance of successful hack repelling by hostile Programmers
* NEW: Part data visualization shows values next to graph in most modes (only available in Tactical HUD mode; can deactivate via cfg: precisePartGraphs)
* NEW: Full list of Tactical HUD features added to manual
* NEW: Simple animated effect for part destruction by impact damage causing system corruption
* NEW: All supporter names registered since Alpha 14 added to in-game list (see Credits menu)
* MOD: Win types are differentiated; none are simply "reached Surface" (the collective term on leaderboards is now "Ascended")
* MOD: Opening an item swap menu via keyboard autocloses open item info windows (matches mouse behavior)
* MOD: Recall(Extermination) hack no longer appears at Materials terminals (useless at that depth)
* MOD: Random traps will no longer be placed within 15 spaces of where Cogmind enters a main 0b10 map (does not apply to branches)
* MOD: Misfires due to corruption less likely to hit allies
* MOD: Adjusted AI movement behavior to theoretically reduce possibility of enemy combat bots "jumping" into rooms
* MOD: Transmission Jammer description updated to more clearly list all of its effects
* MOD: Machine structural analysis (resistances) now provided automatically on viewing info (no Structural Scanner required)
* MOD: Several non-fabricatable utilities and weapons that were not prototypes now categorized as prototypes (though never faulty)
* MOD: Taking any action other than ramming resets the ram permission check, to avoid ramming a previous unintentional ram target that suddenly moved
* MOD: GRD reduced from 4 waypoints to 1
* MOD: C Programmers no longer carry GRDs (guaranteed elsewhere)
* MOD: Shortcuts to special cave areas through Lower/Upper caves can only appear in the first cave map, not the second
* MOD: Data Miner ASCII changed from '0' to 'm'
* MOD: Name changes for "Operators" (the NPC kind)
* MOD: Placeholder location name "Tunnel" given a real name
* MOD: On-map dialogue/scene descriptions limited to ten most recent lines (all still recorded to log as normal)
* MOD: O7 resistances improved
* MOD: Core/part shielding prevents effects of critical hits against protected targets, rather than completely ignoring them
* MOD: Stasis Generator slot count reduced to 1
* MOD: Unstable Evolution challenge only shows instability message on evolution/depth changes rather than during all map transitions
* MOD: Each successful Overload/Assimilate hack increases global system defenses against all future robot hacks by 1/2% (respectively)
* MOD: Options menu Player/Seed entry boxes no longer accept commas
* MOD: Tunneling between rooms slightly more lenient: no cave-ins for wall-earth-wall scenarios
* MOD: Destroyed wall spaces can cave in just like destroyed earth
* MOD: Sensor behavior in "that secret map" no longer has any meta component, and can be learned via specific means
* MOD: Two specific random dialogues in Zion now considered lore despite their low value, to keep them from baiting players seeking new lore (green '?')
* MOD: Multi-cell robots can no longer be hit more than once by penetrating weapons
* MOD: Part autosorting prioritizes EM weapons within their own category (e.g. EM guns before TH/KI guns)
* MOD: Waiting now costs 100 time units, rather than simply canceling any time remaining in current turn
* MOD: Direct Schematic() terminal hacks for items likely to be out of depth (as with preloaded Fabricators)
* MOD: ESC key access to game menu enabled by default in keyboard mode (can disable by setting disableEscMenuAccessKeyboard in cogmind.cfg)
* MOD: Schematic(), Analysis(), and Load() hack readouts referring to robots list their "Tier" rather than "Rating"
* MOD: Intercept squad dispatch timing factors adjusted
* MOD: Ambush Traps can no longer contain Saboteurs, and are capped at 3 attackers instead of 4
* MOD: Hacking command buffer no longer stores manual unique codes or Zion hacks
* MOD: Broadened definition of "ally" for purpose of some scoresheet entries, e.g. Ally Attacks/Total Damage/Kills/Largest Group/etc.
* MOD: Transmission Jammer effect requires visual on target
* MOD: Transmission Jammer works on active Engineers and distress signals from other non-combat robots
* MOD: Messages for jammed distress signals only shown if that signal would have alerted a nearby armed hostile
* MOD: Non-combat robot distress signal message more explicit about results
* MOD: Increased difficulty of rescuing "SW"
* MOD: The most dangerous mid-game maps are inaccessible in the easiest difficulty mode
* MOD: The most dangerous late-game maps are inaccessible in both of the easier difficulty modes
* MOD: Spotting hostiles and dialogue robots while motion trails toggled off now flashes !/? markers rather than using background color marking
* MOD: Flashing '?' indicators for NPCs with uncollected lore dialogue, or benefits, now flash indefinitely until interacted with
* MOD: Part list info mode and on-map part labels differentiate between prototypes and alien items, marking the latter with a second asterisk (**)
* MOD: Internal Heat Shields removed in favor of superior new part with additional mechanics
* MOD: Programmer variant names reworked
* MOD: Programmer defensive hack success rate no longer a static 25%, with high-tier Programmers much more likely to block hacking attempts
* MOD: Upped hacking attack time cost for Programmers, from 100 to 150
* MOD: Programmers have reduced chance to reboot higher-tier robots
* MOD: Higher-tier Programmers more capable of successful hacks
* MOD: Evolution UI rearranged to put confirmation button in a more natural location
* MOD: Causing a positive salvage modifier on a robot can never result in more matter than the upper limit of its salvage potential
* MOD: Busy engineers don't always call for reinforcements when they come under attack at lower depths
* MOD: Removed Auto-ascend from options menu
* MOD: Stepping on an exit/stair position always enters it, but requires confirmation (can disable confirmation via cogmind.cfg: ignoreAscendConfirmation)
* MOD: Ramming a target off an exit automatically takes that exit
* MOD: Part data visualization defaults to Integrity for new players, rather than Coverage
* FIX: Component Analysis Suites were using their old processor tile in sprite mode, and removal would still destroy them [Amphouse]
* FIX: System Backup Modules and other corruption-purging utilities reported their effect to the log even if nothing to purge [Amphouse]
* FIX: Bonus points for Wall Chamber destruction were applied per cell rather than only once [Sherlockkat]
* FIX: Imprinter death not registered properly if enemies with Zion [Sherlockkat]
* FIX: Dispatch and high-security messages continued even after Command garrisons activated [Sherlockkat]
* FIX: Deep Caves entrance was always accessible without key or other special means [Shobalk, Sherlockkat]
* FIX: Certain uncommon types of allies may not follow if outside your FOV [Sherlockkat]
* FIX: A particular Reinforced Shell layout in Armory contained two invisible pieces [Sherlockkat, zxc]
* FIX: Hunter info Scan Cloaking data entry not showing its value [zxc]
* FIX: Under special circumstances some regenerating items might be restored to greater than maximum integrity [zxc]
* FIX: Controlled Mechanics were no longer capable of repairing allies when in AID mode [zxc]
* FIX: Zio. Metafield Generator missing its effect description [Shobalk]
* FIX: Dropping a Storage Unit resulting in inventory overflow would stack it on top of the first item force dropped at current position [Widmo]
* FIX: ISC terminal entry query incorrectly highlighted a reference to "Command" [Widmo]
* FIX: Firing at a target followed by a second target against which entire volley fails to cycle remembered first target for input recall [Widmo]
* FIX: Two status entries and three utility effects with decimal values always appeared negative under some versions of Wine on Linux [MJWkr, gammafunk]
* FIX: New autotargeting system would recall previous misfire targets if still in view [gammafunk]
* FIX: In rare cases Zionites might be completely blocked in by machinery [gammafunk]
* FIX: Friendly O8 hack in Zion stopped working in previous release due to data typo [MTF]
* FIX: Crash during special event in Recycling (broken by Alpha 14) [MTF]
* FIX: Under rare circumstances a valid path between cave entrance and special exits may be blocked off by a wall [MTF]
* FIX: Crash on destroying a specific piece of a certain Manufacturing Module while active [MTF]
* FIX: Was still possible for important NPC allies to stop following into a new map (despite adjustments in previous release) [MTF]
* FIX: Typo in Stasis Generator query [MTF]
* FIX: Data Miner hackware would self-destruct, despite not being an 0b10 bot [GJ]
* FIX: Backup parts auto-identified via refit showed correct name/info if inspected, but still listed as Unknown in parts list until reattached [GJ]
* FIX: Destroying a Network Hub, Energy Cycler, or Phase Generator would not cause the intended effects if unstable at the time of destruction [GJ]
* FIX: UI crash on using a Core Expander while a "G Unit" active [GJ]
* FIX: Removing an incomplete Asb. Biocell Array can drop Cogmind to negative energy [GJ]
* FIX: M Guard AI exhibited odd behavior in combat [GJ]
* FIX: Patrolling ARCs triggered by fire from outside their sight range would not notify deployed robots of the attacker [GJ]
* FIX: Signal Interpreter effect description missing a period [DDarkray]
* FIX: Derelict Logs that reveal later map zones would not label exits which happen to be within those zones [DDarkRay]
* FIX: Manual contained obsolete reference to inventory window ASCII display contents [Bacon]
* FIX: Allied AI followers might accidentally step on known hostile traps [Finestep]
* FIX: Under rare circumstances it was possible to load into a new map with an empty parts list [buthix9]
* FIX: Even-length destination names displayed in left-oriented access labels at right edge of map were offset from their target by 1 cell
* FIX: UI crash if ally transferring to new map moved within 500ms of the transfer to a coordinate that doesn't also exist in target map
* FIX: Taking a Self-destruct Interrupter to a map other than where it was found would deactivate its battery timer, allowing unlimited use
* FIX: Reconnecting to O Command terminal under the right conditions would repeatedly award bonus points
* FIX: Destroying two or more Network Hubs reported to the log a bonus lower than actual value
* FIX: "dangerous territory" base commander dialogue kept repeating every time you stepped next to him
* FIX: Molecular Deconstructor works against machines again (was messed up by special condition added last release)
* FIX: Some generic AIs with scripted attack responses on coming into view would say their dialogue but not actually attack if too far away
* FIX: RMB on undiscovered phase wall would not enter firing mode as expected, meaning it could be used to detect them
* FIX: Dirty Bomb Trap description specified explosive damage but is actually EM

=================================================================
Cogmind Alpha 14 (170228) - "Hack 'n Slash"

* NEW: Branch map "Deep Caves"
* NEW: Multiple major plot events
* NEW: 5 new robots (2 with new art)
* NEW: 25 new items (6 new component mechanics)
* NEW: Easier difficulty modes available in options menu
* NEW: Scoresheet displays difficulty mode at top
* NEW: Separate leaderboards for each difficulty mode
* NEW: Color of parts list divider lines reflects difficulty setting for current run (green/gray/blue), for easy differentiation in screenshots
* NEW: Game over screen uses different highlight colors for each difficulty setting
* NEW: Scoresheet filename reflects difficulty with a new digit inserted before score (0/1/2)
* NEW: 0b10 has a deadly "High Security" state above Alert Level 5
* NEW: Scoresheet now records cumulative play time across all runs
* NEW: Manual expanded with a new section on Difficulty
* NEW: "Unstable Evolution" experimental challenge mode (for now set in cogmind.cfg: challengeUnstableEvolution)
* NEW: "Scavenger" experimental challenge mode (for now set in cogmind.cfg: challengeScavenger)
* NEW: Dedicated scoresheet section for challenge mode list
* NEW: Score history appends challenge modes active for a given run
* NEW: Message log reports what slots were just evolved on entering a new map
* NEW: Additional behavior related to a reset core and special Zionite builds, for lore reasons
* NEW: IMP:G-0014175/C-0630194 now includes ambient SFX
* NEW: Another beneficial random encounter in Mines
* NEW: Relative coverage percent for owned items that would otherwise be displayed as a rounded "0%" instead show a fraction (tactical HUD mode only)
* NEW: Melee multi-wielding
* NEW: Melee Analysis Suites also increase chance of follow-up attacks switching to a second target if first destroyed
* NEW: Melee sneak attacks and follow-up attacks tallied in scoresheet
* NEW: Trojans already installed on target machine will not appear among autocomplete options for manual hacks
* NEW: Hacking feedback effects and results mirrored from hacking UI to the message log
* NEW: Melee Datajacks' item info includes description of how to use one to disarm or reprogram known traps (originally only in manual)
* NEW: Mouse users with full inventory standing on an item can simply left-click on self to invoke smart inventory management rules (same as Ctrl-LMB)
* NEW: Mouse users in tactical HUD mode have access to new parts list CYCLE buttons that toggle propulsion/weapon states (like keyboard ;/' commands)
* NEW: Cursor hidden while Cogmind attack animations play out (can override via cogmind.cfg: cursorVisibleDuringAttack)
* NEW: Option to hide cursor whenever input is blocked for any reason (advanced.cfg only: cursorAlwaysHiddenWhenInputBlocked)
* NEW: Right-clicking anywhere out of sight automatically pans the map to center on that location
* NEW: Empty slots are clickable to pull up a list of all applicable parts for that slot (no Ctrl required)
* NEW: Sound effect played to indicate robot hack failure because repelled by Programmer
* NEW: Non-stackable utility effects now have an explicit description label, "<no_stack>"
* NEW: Destabilized explosive machine countdown timers now visible on map when Structural Scanner data available
* NEW: Dialogue indicators in scan window, robot info page, and on-map flashing '?' all appear in gray if you've already collected that lore
* NEW: Data Miner more helpful
* NEW: Impact damage causes system corruption as a side effect of destroying a part
* NEW: After an Access(Branch) hack that found nothing, calling up exit labels reminds you there is no branch access from the current map
* NEW: Structural Scanner also highlights areas in view which are susceptible to cave-ins due to instability caused by collateral damage from explosives
* NEW: Scoresheet records total damage absorbed by shields
* NEW: Lab contains a new Warp Cannon (replaces Warp Gun)
* NEW: Autosaves occur silently every five minutes (interval adjustable in cogmind.cfg: autosaveInterval), though waits until idle for five seconds
* NEW: Multiple instances of Garrison Access redirects may be discovered and have local consequences
* NEW: Added manual section "Salvage" (under Combat)
* NEW: Remote Datajacks can be used to restart disabled allies from a distance
* NEW: Any Datajack can be used to rewire disabled/disrupted robots at a much higher chance (50%) than standard rewiring (10%)
* NEW: Datajack penetration failure accompanied by log message and unique SFX
* NEW: All supporter names registered since Alpha 13 added to in-game list (see Credits menu)
* NEW: All item-attribution names registered since Alpha 13 added to the item collection gallery
* NEW: ESC key access to game menu disabled by default in keyboard mode (can allow by setting allowEscMenuAccessKeyboard in cogmind.cfg, or just use ?/F1)
* MOD: Option disableEscMenuAccess (cogmind.cfg) renamed to disableEscMenuAccessMouse, only applies outside keyboard mode
* MOD: No scorehistory record or scoresheet produced for suicides below -9
* MOD: \\ZION hacks only accessible from Terminals
* MOD: Infested traps and Garrison Access points now spawn allies if core reset
* MOD: Garrison post-attack effect on patrol size no longer capable of completely eliminating lone Hunter patrols at low depths
* MOD: Garrison Index and Fabricator Index hacks no longer appear on Materials terminals
* MOD: All Trap Extractor ratings lowered (-2) so they may be found earlier
* MOD: Toggling the Tutorial option off also skips the alternative Scrapyard layout
* MOD: LRC Insulator effect description more explicit regarding non-stackability
* MOD: Option entries split out from other game meta data into its own new section in scoresheet
* MOD: Only a single guided or any number of non-guided weapons can be active at once
* MOD: Undoing a guided waypoint in keyboard mode automatically targets that location, to facilitate building a new path from that point
* MOD: Switching from a guided weapon attack to a direct attack in keyboard mode no longer auto-targets the first guided waypoint
* MOD: Last set of previously used guided waypoints remembered even if other direct fire weapons fired in between guided volleys
* MOD: Cetus combat encounter now uses a much more reliable form of counting the trigger requirement, never fails regardless of tactics
* MOD: Garrison exits that link to other maps now always lead to 0b10-controlled areas
* MOD: ASCII art no longer displayed for unidentified alien artifacts
* MOD: Layout(Sector), the secret debug Terminal hack that only a few players knew existed, removed from game
* MOD: Scoresheet critical hit stat tallies now player-only
* MOD: Thieves flee more quickly
* MOD: C-40 Crusher better capable of dealing with high heat
* MOD: Mining Laser/Welding Torch/Plasma Cutters converted from Special Melee Weapons back to Special Weapons; can use more than one at a time
* MOD: Mining Laser/Welding Torch ranges upped to 2
* MOD: Plasma Cutter ranges upped to 3
* MOD: Tri-rail Accelerator damage increased 50%
* MOD: Removed "Walls Built" tally from scoresheet (no longer applicable)
* MOD: rmbWallsToTarget option (advanced.cfg only) now on by default
* MOD: LMB picks up trap items instead of installing at current position; RMB installs traps
* MOD: Adjusted set of scoresheet stats displayed on game over screen (replaced four of them with newer stats)
* MOD: GRD and some other potential forms of special attack that wouldn't incite a hostile response from targets now do
* MOD: Programmers remotely defending against a datajacking attempt now do so immediately on penetration rather than after choosing a hack
* MOD: Controls(Machine) replaced by a new brute force hack
* MOD: Length of shortcut to Zion capped at 3 depths
* MOD: Robot rating calculations use new formula, taking into account special cases
* MOD: Ally transfer to a new map no longer prioritizes controlled allies over non-controlled (is pure level comparison)
* MOD: Full traces while hacking interactive machines at Materials depths don't always trigger investigations
* MOD: Allies excluded from some basic scoresheet entries such as Value Destroyed
* MOD: "Fusion Cannon" renamed "Hardcell Cannon"
* MOD: "Thermal Defense Suite" and "Beam Splitter" name swap, latter now better
* MOD: System Mapper/Ghost Barrier no longer randomly found in the wild, nor can they be fabricated, but may appear in specific locations
* MOD: Core Stripper max damage reduced, faster attack time, tripled integrity
* MOD: Core Cannon integrity +75%
* MOD: Disintegrator integrity +25%
* MOD: Falloff -1 for Hvy. Shock Bomb Launcher, Hvy. Proton Missile Launcher, Com. Tesla Bomb Launcher
* MOD: Increased base power for both Gamma Bomb Array variants
* MOD: Increased accuracy of player idle time calculations for run length reporting
* FIX: Item gallery not recording Scrap collection (incrementing Derelict Logs instead) [Amphouse]
* FIX: Zionite Guard Positions hack displayed incorrect message when none found (referring instead to emergency access) [Amphouse]
* FIX: Typo in new Thermal Converter effect description [Amphouse, DDarkRay]
* FIX: Terrain scanning the same position more than once would reveal whether there's an item/trap there, and its name [zxc]
* FIX: Trying to fire guided weapon beyond its range might give incorrect message "No active guided weapon" [zxc]
* FIX: Typo in new manual section [zxc]
* FIX: Art gallery intro text referring to personal items misaligned [zxc]
* FIX: Redirecting certain dispatches and then seeing them later would flash a '!' when they appear even before they spotted Cogmind [zxc]
* FIX: Integrity Redistributor effect description the reverse of actual effect [zxc, Sherlockkat]
* FIX: Z-Series change to Q-Series in Alpha 13 was not accompanied by intended corresponding ASCII change (Z > Q) [Sherlockkat]
* FIX: Post-imprint Mutant escort wasn't following into Proximity Caves as intended [Shobalk]
* FIX: Borebot capable of destroying stairs [Shobalk]
* FIX: A particular cave encounter with Minesweepers could have them extract a trap from an exit, destroying the exit itself [Shobalk, Raine, buthix9]
* FIX: Crash on using 'f' to enter targeting mode with only a melee weapon active while adjacent to unarmed robot in sight of armed robot [GJ]
* FIX: Crash on retrieving Zionite intel Emergency Access results on a non-square map [GJ]
* FIX: Randomly placed Scrap piles in Zion might be covered by machinery along the walls [GJ]
* FIX: World map not highlighting current location if in a Factory floor following a visit to Waste in keyboard mode [gammafunk]
* FIX: Recycling Units might contain an actual matter item (with value = 0) [Snuffsquee]
* FIX: Evolution screen left an extra '0' after slot counter when decrementing from 10 (impossible now anyway due to Zion shortcut changes) [Xanthos]
* FIX: Setting guided waypoints then activating non-guided weapons allowed entire volley to follow the same waypoints! (undiscovered for two years, hehe)
* FIX: Interactive machine hacking feedback on full trace includes the potential for hackware destruction as intended
* FIX: Interactive machine hacking feedback wasn't being blocked by defensive hackware
* FIX: Scan window integrity indicator and colored on-map item labels weren't using the same value scale and would sometimes appear mismatched
* FIX: Toggling volley weapons while in targeting mode recalculates line of fire in case visible factors changed, e.g. penetration capabilities
* FIX: During inventory-to-parts direct keyboard swapping (/) in sprite mode, the color-inverted item instead appeared as two left halves of the tile
* FIX: Comparing a Plasma Cutter to a non-melee weapon misaligned the resulting salvage stat difference
* FIX: Imp. KE Penetrator art assigned incorrectly (was using same as KE Penetrator)

=================================================================
Cogmind Alpha 13 (170117) - "Rise of Zion"

* NEW: Branch map "Zion" expanded
* NEW: 1 major plot event with potentially far-reaching effects
* NEW: 1 major new NPC (unique robot class)
* NEW: 1 new common robot w/unique behavior, "Thief"
* NEW: 5 new special robots (3 unique classes, 10 variants in all)
* NEW: 32 new items (total = 800)
* NEW: Trap items have a unique sprite
* NEW: New special item type in caves: Scrap (moving onto it automatically searches)
* NEW: Wide-ranging set of ally-sourced hacking abilities to discover, available as part of a new system
* NEW: More reasons to visit Mines (what those are I'll leave you to discover)
* NEW: Several new cave encounters
* NEW: 87 more scoresheet entries (total = 579)
* NEW: 3 new low/mid-tier Fabricators and Recycling Units
* NEW: Ninth damage type (secret)
* NEW: Triangulation mechanics/utility
* NEW: True cloaking mechanic (via new Cloaking Devices)
* NEW: Recycling Unit Retrieve(Components) hack output explicitly states number of components retrieved, since may not equal full contents
* NEW: Repair Stations, Recycling Units, and Scanalyzers color listed items by current integrity
* NEW: Repair Station repairable item list marks those which are broken to avoid requiring opening info window to confirm
* NEW: Explosion falloff stat context help explicitly mentions visual representation in the form of AOE color's brightness relative to the origin
* NEW: Encounter-based optional world map shortcuts
* NEW: "Alert Popups" option that displays flashing on-map warnings and alerts for low integrity/energy/matter
* NEW: "Part Auto-sorting" option that enables automatic sorting parts after changes (occurs once moving again)
* NEW: "Show Non-FOV Color" option to show areas outside with darker colors rather than the green overlay (toggle at any time with Ctrl-`)
* NEW: "Click Walls to Target" option that allows that feature to be toggled (now off by default)
* NEW: "Color Item Labels" option to use integrity-based color scheme for item labels, both manual and automatic
* NEW: Standard item labeling method uses slightly darker shade to indicate items at less than 75% integrity
* NEW: Option to allow right-clicks on walls to enter targeting mode (advanced.cfg only: see rmbWallsToTarget)
* NEW: Manual explicitly states that fliers must switch to another form of propulsion in order to bump-rewire disabled targets
* NEW: Any encounter action in which an NPC drops an item is accompanied by the proper material-based drop SFX
* NEW: Manual and context help clarify specific stat effects of propulsion overloading
* NEW: Confirmation required for suicide/quit game menu options (including a required 1-second delay)
* NEW: Armor auto-replacement breaks ties using each armor's respective rating
* NEW: Added "Multiple Projectiles" section to manual (under Weapons) to explain how they work
* NEW: Sealing a garrison after installing a trap on the entrance itself gives explicit log message referring to the trap's destruction
* NEW: In-game manual's keyboard navigation supports Numpad as well
* NEW: Attached processor to be dropped/removed/swapped flashes until confirmed (or window expires)
* NEW: Numpad 0 equivalent to 'd' key for opening object info; in keyboard mode also identifies item at current location without examine mode
* NEW: Explicit context tutorial message about the drawback of attempting to aim through an obstacle at a target behind it
* NEW: Overhauled autotargeting and target selection system (see new manual section "Targeting Priority" under Advanced UI)
* NEW: Targeting and examine modes both support -/= and Numpad -/+ for cycling through objects
* NEW: Firing at an empty space or other non-robot target is remembered for subsequent shots, automatically targeted again if still visible
* NEW: Repeatedly firing a guided weapon will remember and automatically reload all of previous attack's waypoints, if still visible
* NEW: Shift modifier w/Numpad cursor movement in examine/targeting modes jumps four spaces (customize via cfg: cursorJumpDistance)
* NEW: In targeting mode, Backspace or Numpad Enter centers cursor on self (keyboard mode)
* NEW: Added explicit Notes section to manual
* NEW: All supporter names registered since Alpha 12 added to in-game list (see Credits menu)
* NEW: All item-attribution names registered since Alpha 12 added to the item collection gallery
* MOD: All former optional target cycling methods unified, is now always distance-based (near to far)
* MOD: Target cycling includes only armed hostiles if any, otherwise all non-allied targets
* MOD: Item cycling order in examine mode switched from row-based to distance-based, near to far; also accessible by Ctrl-Numpad -/+ 
* MOD: Entering targeting mode via 'f' with only a melee weapon active will limit target cycling to adjacent targets
* MOD: Diametric Drive now a prototype
* MOD: Upped melee sneak attack base hit chance to 120%
* MOD: Derelict Log ASCII art recolored, rather than matching Data Core
* MOD: Non-hostile Derelicts use much brighter shade of gray
* MOD: Trap Extractors somewhat more commonly found among regular stockpiles
* MOD: Gui. Remote Datajack now a prototype, improved to rating 9
* MOD: Trap items changed from light gray to red (in ASCII mode)
* MOD: Reduced number of sound channels for environment destruction, to lower volume of large-scale collateral damage to machines
* MOD: AI (enemies and allies) spot targets one space further away than previously, more in line with their actual sight range
* MOD: Z-Series renamed to Q-Series
* MOD: Minseweeper variants renamed: Extractor -> Sweeper, Miner -> Extractor
* MOD: Particle Charger integrity increased (+10, all variants)
* MOD: Original set of Cloaking Devices renamed to Phase Shifters
* MOD: Utility Shielding no longer protects Armor parts
* MOD: Allies are tier-prioritized when passing to new map, better ones appearing closer (any lost in transition will naturally be weaker)
* MOD: Drones show their class name in info page instead of "Special"
* MOD: Controllable allied drones appear in blue instead of fuchsia
* MOD: Assimilated prototype robots always appear blue
* MOD: Scanalyzer-listed non-scanalyzable items appear blue instead of yellow
* MOD: Mines infestation less common, and sometimes accompanied by a new encounter
* MOD: Imp. Signal Interpreter displays non-combat classes in a different color
* MOD: LRCs are now their own class
* MOD: Inventory sorting accompanied by sound effect (became silent in Alpha 11 due to removal of interface message w/typing SFX)
* MOD: Removed "Auto-sort Inventory" from options menu (still available in cogmind.cfg as autoSortInventory)
* MOD: Removed "Distance-based Volume" from options menu (still available in cogmind.cfg as soundIgnoresDistance)
* MOD: Removed "Center Cursor on Move" from options menu (still available in cogmind.cfg as centerCursorOnMove)
* MOD: Removed "Animated Volley Range" from options menu (still available in cogmind.cfg as animateVolleyRange)
* MOD: Removed "Target Preference" from options menu (now obsolete)
* MOD: Major NPCs no longer susceptible to core disruption
* MOD: Allies/AIs no longer attack dormant bots (until awoken)
* MOD: Item rating value context help clarifies its importance in simplifying the comparison process
* MOD: Added mechanics details including machine-caused LOS reduction to the manual's "Spotting" section (under Combat)
* MOD: All EM cannon energy costs increased approximately 40%
* MOD: Recycling Unit tunneling more likely to discover areas closer to current depth than further away
* MOD: Log message reporting a world location learned via Derelict Log etc. is different if location was previously known
* MOD: World map will not show additional discovered but unvisited Factory areas at the same depth (may have been learned by tunneling through chutes)
* MOD: Scoresheet "Alien Tech Recovered" renamed to "Alien Tech Used" (behavior unchanged)
* MOD: Confusion due to corruption no longer tries to move into walls, take exits, or otherwise attempt an involved action (rewiring, machine interaction)
* MOD: Recall() hacks no longer appear on Command terminals, nor do they have an effect there
* MOD: Svarog and Perun core integrity +33%
* MOD: Zionites have a new sprite
* MOD: Gaining new intel no longer automatically opens intel window (can reactivate feature via cogmind.cfg: autoOpenNewIntel)
* MOD: Melee attacks never miss walls/doors/machines
* MOD: Mechanics, Protectors, and disarmed combat bots no longer considered a "threat" for movement purposes (requires "Stop on Threats Only" option on)
* MOD: Part rejection side effect of corruption no longer occurs outside combat situations
* MOD: Thermal Generator effect description changed to avoid implying it prevents thermal damage
* MOD: No Garrison Access below -8
* MOD: Assaults and Intercepts no longer dispatch simultaneous with Exterminations
* MOD: Increased effect on alert level from disabling machines and having allies in tow during combat
* MOD: +1 rating to all hackware at the Improved tier and above
* MOD: Adv. Remote Datajack rating +1
* MOD: Hackware stat progression rate reduced significantly
* MOD: Two additional higher robot hacking difficulty tiers
* MOD: Previously hackable prototype robot systems now much more difficult
* MOD: ARCs/Z-Series/Behemoths and many more now fully hackable (difficult but not impossible)
* MOD: Reduced by ~20% the chance of hostile Programmers successfully assimilating allies with average/high hacking defenses (e.g. Grunts/Hunters)
* MOD: Build command at all Fabricators easier
* MOD: Preloaded item schematics at Fabricators now better than usual, even out of depth
* MOD: More Fabricators will tend to have preloaded schematics
* MOD: Slightly reduced mass support for all flight propulsion at and above rating 4
* MOD: World map no longer accessible during examine/targeting modes
* FIX: Getting a Repair Station refit or being repaired by a Mechanic ignored extra slots of multislot items, attaching more parts than necessary [Vectis]
* FIX: Advanced key command listing for evasion info still showed '/' despite having been switched to '\' [zxc]
* FIX: A particular late-game encounter involved a robot that could still take a hostile action even if assimilated before acting [zxc]
* FIX: Under rare circumstances a valid path between cave entrance and exits may be blocked off by a wall [Sherlockkat]
* FIX: Vi-key running via 'r' modifier wasn't working in all cases [Dracunos]
* FIX: Part mass visualization should show relative values for unidentified non-propulsion parts [Dracunos]
* FIX: Removal of BUILD order in Alpha 12 shifted tallies for other ally orders in scoresheet [Widmo]
* FIX: Backup parts which became "Unknown" due to data loss remained unknown even after attachment during Mechanic repairs or Repair Station refit [Widmo]
* FIX: Mechanics headed to resupply at a Repair Station which is then disabled may still resupply if interactive section not completely destroyed [Widmo]
* FIX: Recyclers headed to insert at a Recycling Unit which is then disabled may still use it if interactive section not completely destroyed [Widmo]
* FIX: Recycling Unit's Refit function only available manually rather than via button (until reconnect) if repaired an attached part [Widmo]
* FIX: While flying was possible to swap with a non-flying ally on the other side of a hostile (will now clear them, too) [Widmo]
* FIX: Unable to cycle through World Map in keyboard mode if current or previous locations in Waste or Garrison [Widmo]
* FIX: Inconsistent new map autosave behavior depending on Show Map Intro option setting (now always saves as soon as possible) [Widmo]
* FIX: Manual terminal hacks seeking analyses for robots that have no schematics would always indicate unavailable at current depth [Widmo]
* FIX: Extracting resources from a container by waiting on top of it did not update the scan window if displaying that container [Widmo]
* FIX: While flying, was possible to hack a machine directly on the other side of a blocking hostile [Widmo]
* FIX: Typo in W-25 Informer and B-99 Colossus analysis texts [Widmo]
* FIX: Reclamation Units could reclaim themselves on destruction [Amphouse]
* FIX: Derelict Surgeon variants overheated simply from upkeep costs due to an imbalanced loadout [Happylisk]
* FIX: Allied MAIN.C classes/variants transferred to a new map would be renamed [elite277]
* FIX: Clicking on the evolution UI where the Confirm button will appear, even before assigning slots, advances to next map without new slots [piedol]
* FIX: Allies were causing almost no additional increase to the alert level in combat
* FIX: Traveling through Recycling didn't increment evolution count by the proper amount in scoresheet
* FIX: Confusion due to corruption was warning when a move would ram a robot or step on a known hostile target, making negative consequences avoidable
* FIX: Weapon toggling hotkey (') behavior didn't work properly when autoReadyLauncher option activated in cogmind.cfg
* FIX: In rare cases a horizontal line may appear after a log message and get stuck there until the message was redrawn due to scrolling
* FIX: NPCs that speak on sight were not supposed to flash the green '!' to indicate dialogue, since a bump is not required to trigger
* FIX: "Traps Extracted" scoresheet entry was including non-player tallies as well
* FIX: Chute traps never spawned on Factory depths visited on a previous run in the same session
* FIX: One or more prop-sourced ambient sounds could disappear early when overlapping with others during movement
* FIX: Rebooting, dormant, or otherwise inactive programmers were still capable of protecting nearby allies from hacking attempts
* FIX: Crash in message log system if attacking a wall with a base accuracy of exactly 110%
* FIX: One character (147) in ASCII art contained a few extra pixels when using 14x14 font

=================================================================
Cogmind Alpha 12 (161122) - "The Place No One Lives to Tell About"

* NEW: Branch map "Command"
* NEW: 2 more plot-related NPC encounters
* NEW: 1 major new NPC (unique robot class)
* NEW: 1 new prototype robot variant
* NEW: 1 new common robot class (3 variants)
* NEW: 37 new items (total = 768)
* NEW: Several more machines
* NEW: 1 more cave encounter
* NEW: 25 more scoresheet entries (total = 492)
* NEW: Borderless fullscreen mode (see options menu)
* NEW: Option to automatically deactivate all other weapons when attaching/swapping in a launcher (advanced.cfg only: see autoReadyLauncher)
* NEW: Core Heat Shields raise threshold at which overheat effects occur
* NEW: HUD temperature readout shows modified overheating threshold if currently above regular threshold with an active Core Heat Shield
* NEW: Recalibrator effect replaced with new ability to restore functionality to broken parts, including prototypes
* NEW: Manual hacking now includes autocompletion feature (press Spacebar or Tab to accept current match, or up/down to cycle through all matches)
* NEW: Indirect hacking of lore topics through references now possible via number keys (keyboard mode only)
* NEW: Previously undiscovered lore topics marked in query results using '!' (as also seen in hacking target list)
* NEW: Scoresheet records borderless fullscreen setting in meta data ("2")
* NEW: Damage overflow mechanic (see manual)
* NEW: Expanded manual intro with "Using this Manual" section
* NEW: Manual explicitly states that successful hacks can increase alert level
* NEW: Trap extraction and reuse mechanic
* NEW: Use '>' on top of a trap to force it to trigger (LMB for mouse users)
* NEW: Some power sources can be overloaded to double their energy output (and heat)
* NEW: Less common combat-oriented hover propulsion ("Cmb.") with higher integrity and support, but slower
* NEW: Super fast experimental flight propulsion with relatively low support (rare)
* NEW: Non-scanalyzable parts can still be inserted into scanalyzer to identify them (anything!), with specific messages for why schematic impossible
* NEW: Manual part/robot Schematic()/Analysis() hacks report required depth and security level if target unavailable at current terminal
* NEW: Evolution interface accepts numpad Enter for confirmation as well
* NEW: More possible side effects of system corruption: Matter Fused, Heat Flow Error, Energy Discharge
* NEW: Allied followers prioritize gathering around an exit if Cogmind is adjacent to one, even if under attack
* NEW: Option to block propulsion auto-activation if already have different form active (advanced.cfg only: see disableSecondPropulsionAutoactivate)
* NEW: Wait commands blocked for 1 second on spotting a new enemy (can safely hold/repeat wait) (adjust duration in cfg: pauseWaitDurationForEnemies)
* NEW: System Backup Modules and related utilities report to the message log on taking effect
* NEW: While part swap mode active, indicator now shows at top of parts list as well
* NEW: Alt-free modal inventory management! ('d' to enter drop mode, followed by a~z or 1~0; compatible with ',' direct dropping) (keyboard mode only)
* NEW: Temporary descriptive indicator appears when sorting inventory or changing part visualization mode
* NEW: "World map updated" log messages now indicate precisely what was added/learned
* NEW: All robot info always available (Scan Processors removed from game)
* NEW: Part/inventory data visualization now includes eighth mode: "relative vulnerability" (toggle via coverage 'c' command/button)
* NEW: Thermal projectiles/explosions have a "Heat Transfer" stat that determines how much an impact raises target heat (decoupled from damage)
* NEW: AI robots have some unique overheating side effects, and they'll occur more frequently
* NEW: Meltdowns are more easily triggered
* NEW: Combat robots glow red for a moment when seriously overheating (and are therefore prone to meltdowns)
* NEW: Otherwise salvageable parts may melt on robot death due to heat level at the time
* NEW: Unique animations for robot death to meltdowns and system corruption
* NEW: Scan window also shows robot temperature indicator in a separate block below integrity (tactical HUD mode only)
* NEW: Known map outside FOV auto-reveals regular colors when view not centered on Cogmind (e.g. mouse panning or kb-based map shifting)
* NEW: Melee attacks against unaware targets are "sneak attacks," almost certain to hit and inflict double damage
* NEW: All supporter names registered since Alpha 11 added to in-game list (see Credits menu)
* NEW: All item-attribution names registered since Alpha 11 added to the item collection gallery
* MOD: HUD temperature readout doesn't glow even when hot, if within Core Heat Shielding-modified overheating threshold
* MOD: Most AI robots tweaked to have near optimum heat efficiency, making them easier to forcefully overheat/meltdown
* MOD: Windowed mode blocks fonts that create a game window slightly larger than the screen (for maximum font size use borderless fullscreen instead)
* MOD: Upkeep removed from all Processor-type utilities
* MOD: Exp. Optical Array effect dropped from 8 to 7
* MOD: Component Analysis Suites converted from Processor to Device, have new art, and a mass of 1
* MOD: Repair Stations take longer to repair broken (non-functional) parts
* MOD: Repair Stations can repair broken (non-functional) prototypes
* MOD: Integration Analyzer/Error Protection Suite/Quarantine Testbed removed from game
* MOD: Integration Analyzer effect merged with Integration Mediators (in addition to latter's existing effect)
* MOD: Heat Shielding effect increased from 50% to 75%
* MOD: All Core Heat Shields always prevent power source overheating
* MOD: Increased Core Heat Shield ratings and energy upkeep
* MOD: Recalibrators no longer auto-activate, and require energy upkeep
* MOD: Disposable cooling utilities take effect even if at the overheat threshold, where negative effects are technically still possible
* MOD: All Maneuvering Thrusters' coverage dropped from 80 to 60, integrity approximately doubled
* MOD: All Cloaking Devices' coverage dropped from 100 to 80, integrity slightly increased
* MOD: Updated Integration Analyzer effect description, which still implied removing parts has an associated matter cost
* MOD: Lowered all drone bay mass, to better serve their secondary purpose as armor
* MOD: Increased Mini/Mapping Drone Bay coverage and integrity
* MOD: Removed heat upkeep from all high-tier drone bays
* MOD: Tactical Quantum Warhead damage increased, reduced variability
* MOD: Destructive force of EM-triggered Light/Compact/Mini/Micro power source chain reactions upped to match non-light variants
* MOD: Increased damage and reduced matter cost for Flak Guns/Cannons (projectile count unchanged)
* MOD: Unknown manual hacking commands no longer added to command buffer
* MOD: Manually succeeding at a Query() hack darkens any previous references to that topic in other entries from the same hacking session
* MOD: Indirect hacking modifiers no longer apply to Trojans/brute force hacks (now much easier to succeed across all machine tiers)
* MOD: Haulers escorted through Materials no longer also capable of calling in reinforcements
* MOD: Operators can no longer be stationed at Recycling access terminal
* MOD: Exiting a research branch garrison always advances to another area rather than having a chance to bring Cogmind back to the same one
* MOD: Hauler Manifests containing matter now list the total amount in addition to the number of stacks
* MOD: Weapon heat context help (and manual) explicitly mentions how heat is averaged over the volley turn duration
* MOD: Lowered coverage of Electron Diverter and Imp. Diametric Drive to match other prototypes, and raised integrity and support of latter
* MOD: Slight increase to mass support of Nuclear Pulse Array and Field Propulsion Array
* MOD: Armored Leg increased to rating 5, support -2, heat +1
* MOD: Increased rarity of all Launcher Guidance Computers
* MOD: "AA AOE weapon" converted from explosive to thermal damage (trying to avoid spoilers here)
* MOD: Shock Trap corruption effect now modified by EM resistance (especially meaningful for NPCs)
* MOD: Blade/Segregator Traps no longer capable of affecting strip-immune victims (e.g. major NPCs)
* MOD: Traps triggered on Complex 0b10 robots no longer affect alert level
* MOD: Ally BUILD order removed
* MOD: Flight-capable builds can jump over large allies, movement which was originally blocked because swapping was impossible
* MOD: "Cooldown Period" stat removed from power sources, now use the same random range across entire item category
* MOD: "Heat Stability" stat removed from power source info
* MOD: Power Sources: Mni./Fusion Reactor -energy; F-Cell Engine -energy, +storage; Imp. Quantum Reactor -heat
* MOD: Message log file output ignores pure fluff messages like Serf cleaning, Engineer building, etc.
* MOD: Numerous hover/flight propulsion names and tiers shuffled to make way for new Cld-prefixed overloadables
* MOD: Active heat upkeep of all Cld-prefixed hover and flight propulsion dropped to 0
* MOD: Diametric Drives (and Imp. version) no longer overloadable, speed increased, support and energy drain reduced
* MOD: Nuclear Pulse Thrusters and Array no longer overloadable
* MOD: Dehyphenated several part name words (Antimatter, Antigrav, Antimissile); switched F-Cell/Q-Thrusters to lower case c/t
* MOD: Force Lance renamed to Force Rifle, actual Force Lance piercing melee weapon added
* MOD: All Demolisher variants switched to combat-type hover propulsion (slower!)
* MOD: Scoresheet Most/Average/Final Carried stat records use inventory contents size rather than count
* MOD: Scanalyzer and Recycling Unit selection lists indicate item integrity values to aid differentiation (like Repair Station behavior)
* MOD: Scanalyzers can now operate on broken parts and rating 9/10 prototypes (still excludes unique items found only in certain locations)
* MOD: All part/robot schematics available one floor earlier than before
* MOD: Critical strike damage bonus against armor now 20% (was 25%); Cogmind critical strike part loss threshold down to 33% integrity (from 50%)
* MOD: Obstacles along line of fire in targeting mode have a bright animated glow instead of just highlighted
* MOD: Direct terminal hacks with unchanging permanent mapwide effects (12 in all) are removed from all terminals once successfully hacked once
* MOD: Power generation and energy/matter upkeep drain now occurs before applying any per-turn utility effects
* MOD: Targeting autoselection for large robots prefers the location with open line of fire rather than nearest point with line of sight
* MOD: Removed map data loss side effect of system corruption (AKA "map rot")
* MOD: cogmind.cfg forcePauseForEnemies variable renamed to pauseMoveDurationForEnemies (value reset to default this alpha)
* MOD: Transfer Stations now appear in blue
* MOD: Raised volume of part swap mode activation SFX (and multiconsole switch)
* MOD: Ally AID order can target any other ally, rather than only controllable allies
* MOD: Matter Storage Units renamed to Matter Pods
* MOD: Stasis link color changed from purple to yellow to differentiate from forms of protective stasis
* MOD: Robot destruction log message no longer shown after "terminal corruption" or "critical meltdown" effects (redundant)
* MOD: Core Heat Shield renamed Internal Heat Shield
* MOD: -10% to hit when attacker's previous action was a move no longer applies to melee combat
* MOD: Behemoth core switched from kinetic weakness to thermal weakness
* MOD: Removed Grunt core kinetic weakness
* MOD: Kinetic guns tweaked: most now have recoil, most now salvage-neutral, reduced some excessive critical chances
* MOD: Adjusted distribution and rarity of many utilities
* MOD: Microactuators, Quantum Capacitor and low/mid-tier Weapon Cyclers more common
* MOD: Increased resistance effect of all Focal Shields, Thermal Shields, and the EM Shield
* MOD: Lowered impact of certain events on alert level, most notably machine destruction
* MOD: Alert level increase due to allied activity now based on rating--lowered for low/mid-tier variants, raised for high-tier variants
* MOD: Cogmind base energy storage doubled to 100
* FIX: Mouse movement pathfinding was broken by a regression (fixed in earlier stealth update, credited here: [magi163])
* FIX: Screenshot feature was broken by a regression (fixed in earlier stealth update, credited here: [Sherlockkat])
* FIX: Operators that lose a Datajack might be fitted with Backup Lasers by a Mechanic [Kalkkis]
* FIX: Internal slot counts for robots tallied incorrectly (only a minor affect, on repairs) [Decker, Amphouse]
* FIX: Firing overloaded thermal weapons might crash the UI under certain circumstances [Amphouse]
* FIX: Hackware art misalignment in ASCII spritesheet could reveal names of other art (regression in Alpha 11) [Amphouse]
* FIX: Reactive Armor art not centered [Amphouse]
* FIX: Armory dispatches were blocked from entering area [Sherlockkat]
* FIX: scorehistory.txt recorded occupied slots rather than total slots [Sherlockkat]
* FIX: Trojan intended to speed up fabrication only applied to a build in progress, rather than including all those afterward as intended [Decker]
* FIX: Data Miner Network Hub terminal info referred to old/incorrect effectiveness modifier [Decker]
* FIX: scorehistory.txt Carried Avg not divided by turn count, resulting in huge incorrect values [zxc]
* FIX: Description of "Seed" variable in options menu didn't fit in allotted area [zxc]
* FIX: External log file output excluded dialogue [zxc]
* FIX: Typo in Containment Facilitator record [zxc]
* FIX: Typo in Zion encounter dialogue text [zxc]
* FIX: Scoresheet "Traps Reused" stat tallied incorrectly [zxc]
* FIX: Recall(Extermination) and Recall(Assault) did not actually immediately call off the target squads [zxc]
* FIX: Subatomic Replicator temporarily increased max inventory size if attached directly from the ground with a full inventory [zxc]
* FIX: A pair of very long lore entries were cut short in the lore collection UI [zxc, Amphouse]
* FIX: Part sorting via ':' might not finishing shifting listed items to final position (rare, circumstances unknown) [zxc, Decker]
* FIX: Art gallery excessively incremented collection tallies of matter storage utilities [gressup]
* FIX: Crash on manually entering gibberish for the Fabricator Load() command
* FIX: Using keyboard-based reverse cycling of map robots/items in targeting mode while mouse active would auto-pan the map to center on the target
* FIX: If pure keyboard "DIRECT" drop mode (inventory skipping via ',') left to expire on its own (5s), would take two presses to reinstate it
* FIX: Scoresheet "Database Lockouts" stat wasn't being tallied
* FIX: Special NPCs intended to follow more closely would lose that status and revert to loose follow if brought to another floor
* FIX: Shock Trap and EM Surge Trap had their corruption severity swapped with one another (latter intended to be more powerful)
* FIX: Unique hack missing from some Testing terminals
* FIX: Makeshift hackware art background colors incorrect
* FIX: Impact damage description in game manual still referenced pre-Alpha 6 "durability" mechanic

=================================================================
Cogmind Alpha 11 (161011) - "Megarelease Mk. I"

* NEW: Branch map "Testing"
* NEW: Branch map "Quarantine"
* NEW: Branch map "[redacted]"
* NEW: 55 new items (total now at 739)
* NEW: 10 more alien artifacts
* NEW: 6 unique items
* NEW: 10 superweapons
* NEW: 13 prototype robots (including new classes)
* NEW: 1 new common robot class (2 variants)
* NEW: 1 major new NPC (unique robot class)
* NEW: 51 new machines
* NEW: Taking electromagnetic damage animates HUD window borders (scales with damage, and can be disabled via Corruption Glitches option)
* NEW: Item swap assist UI feature (Ctrl-RMB on attached or inventory item, or '/' followed by a~z/1~0)
* NEW: Part-based volley time manipulation mechanic
* NEW: Disposable heat sink/coolant injection mechanic
* NEW: Momentum boost mechanic
* NEW: Thermal cannons with a charge effect include a UI-draining animation while preparing to fire
* NEW: Access points discovered via terrain scanning, Layout(Zone) hacks, or drone spotters all now auto-labeled as if seen within FOV
* NEW: Movement blocked for a short duration after spotting a new enemy (adjustable via options menu)
* NEW: Inserting unidentified prototypes in a Scanalyzer automatically identifies them
* NEW: Equipping (or swapping in) a known faulty prototype requires confirmation
* NEW: Non-part item info includes general category description
* NEW: Non-part item info shows inventory slot count (now that some might require more than 1)
* NEW: Segregator and Tearclaws info includes explicit descriptions of their unique mechanics
* NEW: All Maneuvering Thrusters / Reaction Control Systems also provide automatic +1 to effective momentum for melee attacks and ramming
* NEW: State information available for items on the ground as well, where the info page reflects their non-functional or temporarily disabled status
* NEW: Option to completely disable manual hacking code assistance, added by request (advanced.cfg only: see disableManualHackingHelp)
* NEW: Confirm ally command targets with KP5 or Enter (alternatives to 'o' and LMB)
* NEW: Scoresheet meta data includes current lore and gallery collection percentages
* NEW: Scoresheet includes breakdown of critical strikes
* NEW: Scores and basic stats from all local runs also recorded in /user/scorehistory.txt
* NEW: Tutorial message explains bump-to-talk mechanic for robots with dialogue on the first time spotted
* NEW: Messages for insufficient slots/inventory space on attaching/picking up items report size of item in question
* NEW: /user/ files (config, meta data, command buffer, save...) automatically backed up to /bak/ once per day for emergency recovery purposes
* NEW: All supporter names registered since Alpha 10 added to in-game list (see Credits menu)
* NEW: All item-attribution names registered since Alpha 10 added to the item collection gallery
* MOD: B-90 Cyclops buffed with new type of utility
* MOD: Fighter/Swordsman Duelist variants buffed with new type of utility
* MOD: Minimum volley time reduced from 100 to 25
* MOD: Increased Cold Fusion Reactor energy output
* MOD: Increased effect of Network Hub destruction by 50%
* MOD: Coolant Network dissipation effect +10 (=90), integrity +100
* MOD: Component Analysis Suite converted from duration-based to random application, effects much more frequent
* MOD: System Backup/Restoration utilities converted from duration-based to random application, effect frequency slightly increased
* MOD: Mining Laser/Welding Torch/Plasma Cutters converted from Special Weapons to Special Melee Weapons; enables bump-to-attack
* MOD: Weakened Hub_04(d) defenses
* MOD: Behemoths are more aggressive
* MOD: AI-controlled flying robots out of view can no longer jump other robots at no extra time cost (easier to shake Swarmers with a fast build)
* MOD: Lowered high-tier drone bay ratings, making them somewhat easier to fabricate
* MOD: Parts list integrity visualization always shows at least one bar, even where high-integrity parts are approaching 0
* MOD: Operators can no longer be stationed at unique named terminals
* MOD: Implicit bump-to-melee-attack works on all permanently disabled robots found in cave regions, rather than only some of them
* MOD: No warning shown when moving onto traps that will not trigger, e.g. treading into a stasis trap
* MOD: Signal Interpreters activated while adjacent to an exit can determine where it leads on the next turn without requiring a move
* MOD: State changes in sight range-modifying utilities update FOV on each new turn without requiring a move
* MOD: Garrison access points much less likely to be found near each other
* MOD: Important NPCs that follow player now stick closer by instead of running off to engage or chase down hostiles
* MOD: AI distress signals only go out to armed and active (or dormant) allies (excludes rebooting/disrupted/broken/unpowered/disarmed bots)
* MOD: Large heavy/blast door resistance against melee attacks increased
* MOD: Buffed Greatsword damage
* MOD: Falx better differentiated from Power Sword--slower but more damaging, and much higher critical chance
* MOD: Efficiency of all Thermal Generators more than doubled
* MOD: Non-resistant armors' integrity +50%
* MOD: Resistant armors' integrity +100%; also more rare
* MOD: Reflective/Insulated armors heavier
* MOD: Reactive/Reflective/Insulated armor naming scheme changed to types of "Plating"
* MOD: All part-Shielding integrity increased approximately 50%
* MOD: Stasis link color changed from green to purple to match newer stasis-related mechanics
* MOD: Stasis field strength around self/allies reported to log in dark orange instead of dark green
* MOD: Data Core description explicitly indicates base duration before expiry
* MOD: Molecular Deconstructor damage type changed to match effect description
* MOD: Cannibalization Unit description effect explicitly states that required duration is part-dependent
* MOD: Adv. Integration Mediator effect changed from -99% to -90%
* MOD: All Integration Mediators apply effect to energy costs of equip/unequip as well; also increased mass
* MOD: Sensor Array and Terrain Scanner effect descriptions explicitly state scans performed on a per-turn basis
* MOD: Zion generally contains some number of Derelict Logs
* MOD: Destroying unpowered and permanently broken robots no longer counts towards score/kills
* MOD: Fleeing combat robots rearmed by Mechanics will reengage hostiles immediately rather than continuing to original goal
* MOD: Evasion status summary hotkey switched from '/' to '\'
* MOD: Removed from options menu: "Auto-wait on Low EN" (still available via cogmind.cfg as "autoWait")
* MOD: Screenshots output to /screenshots/ rather than base directory
* MOD: Win speed bonus score formula now = (50000000/turns); previously ((8000-turns)*5)
* MOD: Scoresheet excludes a wider variety of entries where their value is zero
* MOD: Hvy. Battle Rifle rating dropped from 5 to 4
* FIX: Failed to tally score on ending a game with no inventory items (regression fixed in earlier stealth update, credited here: [zxc])
* FIX: Crash while equipping a certain secret item from the inventory via swap command [zxc]
* FIX: Network Hub destruction alert reported old/incorrect efficiency value [Decker]
* FIX: Results of a particular major event (spoiler) did not propagate to all expected circumstances [Decker]
* FIX: A different particular major event (spoiler) could wipe some previously-learned manual hacking codes [Decker]
* FIX: Switching to a different monitor or changing the desktop resolution between games didn't perfectly resize the font and map dimensions [@phi6]
* FIX: Description for Motion Trail Duration option referenced older default value [Amphouse]
* FIX: Burnout entry in propulsion data listing displayed a faint 'N' in front of valid non-zero single digit values [Amphouse]
* FIX: Receiving Backup parts from a Repair Station or Mechanic didn't count as having attached them for gallery collection purposes [Amphouse]
* FIX: Exit positions forgotten to corruption would still show exit labels [Amphouse, magi163]
* FIX: All derelict class destruction counts were recorded incorrectly in scoresheets (since Alpha 8) [Amphouse]
* FIX: Routes through Waste or a Garrison caused scoresheet to record incorrect core remaining percent [Sherlockkat, Amphouse]
* FIX: Analysis accuracy bonus as displayed in robot info was always +0 (but correct value was applied) [Kalkkis]
* FIX: Attempting to insert unidentified prototypes into a Scanalyzer revealed their true name [Kalkkis]
* FIX: Melee Analysis Suites provided 100 times the stated benefit [Kalkkis]
* FIX: Guided weapon waypoints could path through, but not be set to, wall rubble locations [Kalkkis]
* FIX: Weapons that failed to fire due to system corruption still applied their heat/recoil effects [Kalkkis]
* FIX: During a particular cave encounter a Sentry could request backup even while rebooting after a Datajack hack [Kalkkis]
* FIX: Mouse-scrolling a schematic list greater than 26 items before any selection, then selecting one via LMB, selected the wrong item [Kalkkis]
* FIX: Repair Station vAl.05a was the only interactive machine with a shape that that might eject an item to an unexpected location [Kalkkis]
* FIX: A stalled one-way network connection could hang the game on exit (now quits after 5 seconds) [Chad]
* FIX: Font and map dimensions not automatically set for largest size possible with resolutions above 1440p [veryfoodverygood]
* FIX: Part autoswapping to a different item of same category where there are multiple options might choose the one with less integrity [zxc]
* FIX: Long item names could cause truncation of output message for damage during Scanalyzer analysis [zxc]
* FIX: Incorrect word in component fabrication time context help message [Amphouse]
* FIX: Typo in manual section on Hackware [Amphouse]
* FIX: Typo in Stasis Canceller effect description [Kalkkis]
* FIX: Loading a game with a status-caused glowing UI border effect in progress (overheating/low integrity/stasis) would not resume the animation
* FIX: Thermal damage context help indicated incorrect amount of heat transfer (based on half damage, not full damage)
* FIX: Scoresheet "Robots Hacked" total wasn't including all possible cases

=================================================================
Cogmind Alpha 10 (160809) - "Collect 'em All!"

* NEW: Branch map "Armory"
* NEW: Branch map "[redacted]"
* NEW: 2 new alien artifacts
* NEW: 9 new special items
* NEW: 1 more plot-related NPC encounter
* NEW: Two dozen more location-specific lore records
* NEW: Twice as many Assembled variants
* NEW: Assembled announce their entry with a new sound effect
* NEW: Completely new mechanic which can change the way the end game is played (any more info would spoil it)
* NEW: Unique type of interactive terminal (secret)
* NEW: Evasion status summary, replaces volley window except in firing mode (hover or press '/' for full details)
* NEW: Lore-related terminal records and dialogue remembered between runs
* NEW: Lore review interface for exploring previously discovered information (game menu 9)
* NEW: Part/inventory data visualization now includes seventh mode: "relative matter consumption" (toggle via info 'q' command/button)
* NEW: Discovered manual (randomized) hacking codes shown in new selection menu along with source and target when hacking machines/robots
* NEW: Force-trigger chute traps by using them as you would stairs
* NEW: Fabricators may have a random schematic preloaded
* NEW: Reconnecting to a Fabricator with a previous build in progress still shows name of object being fabricated
* NEW: All direct hacks that don't make sense to repeat are grayed out after successfully hacking them and reconnecting to same machine
* NEW: Several additional useful message types accompany Warlord-related plot events
* NEW: Option to invert map panning (available in options menu)
* NEW: Option to mark previously undiscovered lore directly in terminals, active by default (advanced.cfg only: see markUndiscoveredLore)
* NEW: Part info visualization data preceded with a '+' when you have a schematic for that attached/inventory part
* NEW: Parts list autosorting further orders multiple same-type items by integrity, high to low
* NEW: Several more scoresheet entries
* NEW: Scoresheet inventory lists both for final parts and peak state are sorted by item type
* NEW: Hack-linking a target with a datajack reduces their accuracy by 15% on top of the existing benefits
* NEW: Hack-linked victims display glowing "(linked)" indicator in their info window, include a "(+)" in their label and scan window
* NEW: Advanced commands list explicitly specifies keys for setting guided weapon waypoints, also adding KP5 to that list
* NEW: Label Supporter Items option also indicates whether you've collected the item for your art gallery yet (see description)
* NEW: Most key commands also listed in the text manual itself, rather than only in game
* NEW: Several more tutorial messages
* NEW: Art gallery may also be scrolled via numpad
* NEW: All supporter names registered since Alpha 9 added to in-game list (see Credits menu)
* MOD: Updated robot variants with poor heat management, including Behemoths, Programmers and others, to reduce excessive overheating
* MOD: Waste somewhat less likely to contain prototypes (parts still generally out of depth, though)
* MOD: Hub_04(d) may now contain prototypes and matter among random items (originally was common items only)
* MOD: Infested traps, garrisons, etc. closer to surface include more deadly Assembled variants
* MOD: Remote Datajacks have built-in targeting assistance
* MOD: Rescaled/boosted bonus points for fast wins
* MOD: Traveling through Waste no longer has quite as significant an impact on alert level
* MOD: Tweaked alert level changes on moving to a new map; more variable and closely tied to the specific areas both exited and entered
* MOD: Item/robot schematics loaded into Fabricators remain until overwritten, allowing repeat builds without a new load hack
* MOD: Chute-chaining/farming no longer possible in Factory (only the first time each depth is visited will that area have access to Waste)
* MOD: Force of two "explosive plot events" reduced by 25% due to explosion overlap fix in Alpha 7
* MOD: Hyphen inserted into terminal-reported alert level designation to avoid misinterpretation of letters in some fonts
* MOD: Score component "Alien Tech Identified" changed to "Alien Tech Recovered" (must attach rather than simply identify)
* MOD: LMB on a hard target (robot/machine/door/wall) fires a guided weapon rather than setting another waypoint
* MOD: Refined parts list utilities auto-sorting order to better group parts with related functionality
* MOD: Manual hacking code entry can no longer be exited by clicking outside the window
* MOD: labelSupporterItems value originally in cfg file now accessible via options menu
* MOD: Part mass visualization colors switched from purple scheme to brown and yellow
* MOD: Brightened console border color effects for overheating and low core integrity
* MOD: Updated explosion damage context help to include more info from manual regarding damage spread via chunks
* MOD: Removed map dimension selection from in-game options menu (still accessible via cogmind.cfg)
* MOD: In-game supporters list change from menu 9 to 0
* FIX: Traveling through Proximity Caves recorded incorrect core integrity to scoresheet [Happylisk]
* FIX: Typo in random Zion dialogue [Happylisk]
* FIX: Parts list autosorting converted reference letters to lower case in some fonts
* FIX: With square map dimensions in 4:3 mode, manually hacking a robot to far west via Remote Datajack causes partially offscreen text box
* FIX: Scoresheet never fully tallied Traps Triggered
* FIX: Scan window still showed utility effect data for common parts lost from the database
* FIX: In rare cases multiple Workers actively pushing disabled robots might get stuck in a traffic jam in a narrow corridor
* FIX: Typo in scoresheet for "Fabrication Network Shutdowns," name also too wide for column

=================================================================
Cogmind Alpha 9 (160608) - "Epic Showdown"

* NEW: Branch map "Warlord"
* NEW: 9 special-purpose robot classes (8 with new art)
* NEW: 2 new NPCs (unique robot classes)
* NEW: 2 major plot events
* NEW: A central matter distribution network (allocated per map) supplies matter to Fabricators (no Matter Storage Units required)
* NEW: All Fabricators have a Network(Report) function to hack
* NEW: Disabling matter-related machines (those that spill matter on destruction) reduces local matter stores
* NEW: 3 more Trojan hacks (secret)
* NEW: 8 new non-interactive machines (2 explosive)
* NEW: Fabricators are also used by 0b10 robots for several purposes
* NEW: Fabricators and Repair Stations display on-map timer while processing
* NEW: Scoresheet lists everything fabricated, and where
* NEW: Eighth damage type (secret), with new unstable weapon mechanic
* NEW: 10 new items
* NEW: More lore to uncover in dozens of terminal records
* NEW: Hundreds of lines of minor NPC dialogue covering lore, plot, and in-theme tips
* NEW: All unauthorized hacks (Trojans/brute force) can be learned/discovered in game
* NEW: +10% to hit immobile targets (includes disabled robots, as well as stationary non-robot targets)
* NEW: -20% to hit per "dynamic obstruction" (e.g. robot) between self and target
* NEW: Extension transfer network will respond to a persistent threat (e.g. those of you repeatedly intercepting Haulers)
* NEW: Investigation dispatches now reported to the log, as are reinforcements dispatched to aid busy engineers that come under attack
* NEW: Scoresheet records exits discovered in each area (those with unknown destination appear in brackets; those approached marked with *)
* NEW: Explosions cause UI instability effect, varying by power and distance (optional, controlled by existing screenshake setting)
* NEW: Autosort parts list by subtype with a single command (:)
* NEW: Deactivate part-sorting for weapons with new cogmind.cfg entry: partSortIgnoresWeapons
* NEW: Removal/replacement of processors and hackware (destroy-on-remove) parts requires confirmation
* NEW: Self-destruct by keyboard (Alt-F10) requires confirmation
* NEW: Resource (energy/matter) insufficiency messages for any action indicate the required amount
* NEW: Active Order/Intel modes have on-map reminder at top while using keyboard-based interface
* NEW: Inventory contents factor into scoresheet "peak state" at a reduced value (10%); are also listed
* NEW: All supporter names registered since Alpha 8 added to in-game list (see Credits menu)
* NEW: All item-attribution names registered since Alpha 8 added to the item collection gallery
* MOD: Schematics enable construction at any Fabricator, regardless of tier (schematic info window displays time cost for each tier)
* MOD: All fabrication matter/time costs adjusted (Fabricator tier now a factor in the latter)
* MOD: Base chance of successful schematic loading at a Fabricator raised from 70% to 90%
* MOD: Removed Repair Station restrictions on part rating
* MOD: All repair time costs adjusted (repair station tier now a factor)
* MOD: Removed Scanalyzer restrictions on part rating
* MOD: High-tier Scanalyzers less likely to break parts or require repeat scans
* MOD: Reduced chance of investigation squads composed of Hunters, especially in late game
* MOD: Broadcast Trojan only needs to be installed once to take effect on all matching machines across floor
* MOD: Zhirov artifact analysis terminals moved into the rooms for their respective artifacts
* MOD: Manual and terminal record text updated to reflect new systems
* MOD: Robots less likely to immediately finish off disarmed hostiles instead of attacking more dangerous targets
* MOD: Reduced Mni. Drone Bay drone count to 3, changed art
* MOD: Removed matter cost (1) from Impact Mace/Kinetic Spear/Plasma Lance attacks
* MOD: Effect of mass support utilities reduced
* MOD: Stats for all flight and hover propulsion adjusted (see release notes)
* MOD: Doubled effect of Hub Network destruction
* MOD: All Behemoth/Marauder variants immune to critical hits, and the effects of Core Analyzers
* MOD: Neutral robots local to Caves now in various states of disrepair
* MOD: Neutral 0b10 robots more responsive to being under fire, consider any damage an attack, even if not the intended target
* MOD: All Recycling Unit hacks are easier
* MOD: Renamed "Index(Repair Units)" hack command to "Index(Repair Stations)" for consistency
* MOD: Nearby Compactor attacks cause console window vibrations rather than screenshake
* MOD: ECM effect values in parts list info mode match those used in item description
* MOD: Swapped weapons and utilities inventory type-sorting order for consistency with parts list categories
* MOD: Motion Trail Duration option defaults to 2000ms rather than 0 (off)
* MOD: Better differentiated 'A'/'R' and 'H'/'K' pairs in all 17 variants of Smallcaps typeface
* MOD: Non-flying robots trying to get at player through a door less likely to be able to squeeze/jump past
* MOD: Seeds are no longer case sensitive
* MOD: Reformatted "weaknesses identified" text following analysis appended to robot info
* MOD: Scoresheet Inventory list merged with Parts list, includes slot count
* MOD: Scoresheet Parts/Inventory lists sorted
* FIX: Crash on accessing a rare category of Zion dialogue (fixed in earlier stealth update, credited here: [Sherlockkat])
* FIX: Continuous UI border effects like glow for critical core could prevent inventory drag-drop interaction [seafrank]
* FIX: Typos in "Epsilon Eridani System" and "Dirty Bomb Trap" terminal records [biomatter]
* FIX: One cave cache not fully embedded into walls [biomatter]
* FIX: Hunter analysis text referred to older variant loadouts [biomatter]
* FIX: EM disruption effect against robot cores (temporary deactivation) lasting far longer than intended
* FIX: Robot analysis hit/evasion bonuses didn't match stated 5% value (were significantly higher)
* FIX: Maneuvering Thruster and Reaction Control System effects not factored into melee defense calculations (regression)
* FIX: Prototype ID hack results not properly limited to standard Complex 0b10 prototypes
* FIX: Self-destructing part SFX could be heard anywhere on the map, regardless of player location
* FIX: Explosions completely out of view could not be heard, even if still within audible range
* FIX: Theoretical crash when displaying multiple simultaneously active Stasis Beam effects (not possible under normal play yet)
* FIX: Theoretical crash when accessing previous manual hacking buffer entry under a specific situation
* FIX: Manually changing .cfg-listed font to a non-existent typeface would reset it to another outdated now-invalid typeface
* FIX: "Power Chain Reactions" weren't tallied for scoresheet, despite being listed

=================================================================
Cogmind Alpha 8 (160427) - "The Plot Thickens"

* NEW: Branch map "Zion"
* NEW: Branch map "[redacted]"
* NEW: 3 new alien artifacts
* NEW: 4 new NPCs (unique robot classes)
* NEW: 1 more plot-related NPC encounter
* NEW: 1 unique weapon (completely different mechanics)
* NEW: 28 new items
* NEW: Several new common robot classes
* NEW: More lore to uncover in dozens of terminal records
* NEW: Hundreds of lines of minor NPC dialogue covering lore, plot, and in-theme tips
* NEW: Greater variety of cave encounters
* NEW: Experimental mapwide ambient sound in caves (on by default, deactivate via "locale" audio setting in options)
* NEW: Robot analysis benefits include a -5% hit modifier for those attackers (i.e. easier to dodge them)
* NEW: Robot analysis benefits included among full-detail calculations output
* NEW: Real-time FOV updating as obstructions are destroyed (optional)
* NEW: FOV changes revealed via fade-in (optional)
* NEW: Brighten and color known areas outside FOV by holding '`' (undocumented command)
* NEW: Part/inventory data visualization now includes relative mass mode (toggle via integrity 'w' command/button)
* NEW: 6 more machine types unique to -1/Access (some of them go BOOM)
* NEW: 5 more Trojan hacks (secret)
* NEW: Capable drones share terrain scanning data with Cogmind
* NEW: Robots with unspoken dialogue requiring bump-to-talk marked by blinking '?' (or by unique background color if motion trails inactive)
* NEW: Scoresheet records total number of actions taken
* NEW: All supporter names registered since Alpha 7 added to in-game list (see Credits menu)
* NEW: All item-attribution names registered since Alpha 7 added to the item collection gallery
* MOD: Main Access Shell behavior changed for non-combat approaches
* MOD: Decomposers no longer break down matter, work slower in general, and are confined to smaller areas
* MOD: Derelict workers and recyclers destroyed in caves no longer have self-destruct mechanism on salvageable parts
* MOD: Derelict recyclers no longer collect matter or data logs
* MOD: Fire traps cause a greater heat surge in victim
* MOD: Relative encounter/prefab weights tweaked across all maps
* MOD: -1/Access has fewer empty rooms
* MOD: Operators no longer stationed at terminals that can be hacked to open a door
* MOD: Increased effect of Spotters (e.g. in areas like Recycling)
* MOD: Fabricated robots no longer leave salvageable parts (but still drop matter salvage)
* MOD: Derelict component schematics no longer accessible at 0b10 terminals via manual hacks
* MOD: Hackable (orange) blast doors immune to critical hit instant destruction effect
* MOD: Broadcast Trojan message uses different color and formatting
* MOD: Scan window unspoken dialogue indicator uses '?' rather than '!' (further differentiated from hostile spotted indicator)
* MOD: Context help for critical strike makes explicit mention of effect against props
* MOD: Dialogue triggered by robot entering view happens immediately regardless of player speed
* MOD: Gallery collection percent is now animated
* MOD: Optimized AI initialization to avoid the short pause during first turns in large maps like Factory
* FIX: Crash on opening data for remaining piece of interactive machine after destroying its interactive piece [Enno, Happylisk]
* FIX: Crash on triggering a fire trap with no occupant at that location (e.g. dodged or remote triggered) [Sherlockkat]
* FIX: One of the Extension exits inaccessible via auto-ascend (required manual key/mouse command) [Shobalk]
* FIX: Extra '0' shown at the bottom of scoresheet's turn count list [Sherlockkat]
* FIX: In rare cases the only cave exit could be rendered inaccessible by earth collapsing directly on top of it [Sherlockkat]
* FIX: Experimental Hacking Suites and System Shields weren't classified as prototypes [Decker]
* FIX: Unique manual hacks used on the wrong target still counted against their usage limit [Decker]
* FIX: Recyclers weren't dropping entire inventory contents when destroyed
* FIX: Mechanic repairs to attached parts didn't update the integrity indicator in Cogmind's part list
* FIX: Fire trap heat transfer mechanic was activating for adjacent positions, but not the origin
* FIX: Derelict-installed traps in caves rigged to trigger on the wrong faction (intended to be friendly)
* FIX: Self-destruct Interrupters (new in Alpha 7) were auto-activating and running out of power (so no one's ever seen one :P)
* FIX: Log message output for pre-learned machine locations reversed interactive/non-interactive designations
* FIX: Weapon info projectile count indicator added for Alpha 7 wasn't displaying

=================================================================
Cogmind Alpha 7b (160323b)

* MOD: Reduced maximum number of cave exits from Factory
* MOD: Signal Generator disappears when it runs out of power
* FIX: A few of the potential Derelict Terminal records could crash the hacking system [Sherlockkat]
* FIX: Pressing F3 to swap ASCII mode during startup would prevent the inventory window border from being drawn

=================================================================
Cogmind Alpha 7 (160323) - "Spelunkerbots"

* NEW: Branch maps "Lower Caves"
* NEW: Branch maps "Upper Caves"
* NEW: Branch maps "Proximity Caves"
* NEW: Branch map "[redacted]"
* NEW: World Map! (Backspace/F9/new "MAP" button) (examine your route, and possibly learn layout in advance)
* NEW: Scoresheet contains list of complete route taken through the world, by depth and map
* NEW: New category of interactive machines: Derelict terminals
* NEW: More lore to uncover in dozens of terminal records
* NEW: Learn many forms of intel about areas before visiting them, including depth, zone layouts, trap/machine/guard locations and more
* NEW: New special item type akin to Data Cores: Derelict Logs (effect unrelated, though they are similarly auto-collected)
* NEW: New Trojan hack (secret)
* NEW: Some Trojans and brute force hacks can now be learned via in-game/in-theme methods, as can the access code to Recycling
* NEW: 1 new prototype robot
* NEW: 4 new Derelicts
* NEW: Several new types of drone bays, with corresponding unique drones
* NEW: A dozen new rare parts
* NEW: First alien artifact!
* NEW: A couple dozen more encounter types
* NEW: One more story-related major NPC encounter (new NPC robot class)
* NEW: Target robot system corruption increases chance of hacking success (+X/3%)
* NEW: Minor NPC dialogue now animates over the map itself, color-coded by relation w/speaker
* NEW: Scene descriptions no longer confined to the log, shown as cyan messages over the map
* NEW: Mouse users can pan map by holding Shift and simply moving cursor
* NEW: Stockpile intel from terminal hacks also provides item-specific map labels on request
* NEW: Attempting to move while severely overweight will give a warning before the first such move in a while
* NEW: Four new size 12 font options (720p): "Tall", "Smallcaps", "Fuzzy", "Tallcaps" (8 total options at that size now)
* NEW: Smallcaps typeface manually scaled to 8 additional sizes in three variants (Cogmind includes over 100 font bitmaps now)
* NEW: Second variant of the 14/Terminus font, crisper with some glow to it
* NEW: Initial tutorial messages include a notice about changing the text font
* NEW: 24 more scoresheet entries (total = 434)
* NEW: Added Ctrl-PrtScn as duplicate command for PrtScn, for players with PrtScn already assigned to an external program
* NEW: More Recycling Unit features, including component storage and hack or shoot to retrieve stored components
* NEW: Mining Claw may on rare occasions rip parts from target and put them directly into your inventory (or drop if space insufficient)
* NEW: All hover propulsion gives a +5% to dodge when not overweight or in stasis (e.g., hover now has half the flight bonus)
* NEW: All supporter names registered since Alpha 6 added to in-game list (see Credits menu)
* NEW: All item-attribution names registered since Alpha 6 added to the item collection gallery
* MOD: Hunter armament buffed--they're scary again
* MOD: Nerfed high-level Targeting Computers, Melee Analysis Suites, Target Analyzers (too easy to stack now); buffed entry-level variants
* MOD: Nerfed high-level Sensor Array and Terrain Scanner ranges; buffed entry-level variants; all energy costs slightly lowered
* MOD: Coverage of all Storage Units halved
* MOD: Drone Bay integrity and coverage tweaked, now doubles as makeshift armor
* MOD: Exp. Signal Interpreters now more capable than Advanced variant
* MOD: Adv. Signal Interpreters can no longer detect H-88 Terminators (requires Exp. level)
* MOD: Momentum damage modifier cap for melee attacks doubled from 20%/40% to 40%/80% (non-piercing/piercing)
* MOD: Dormant, unpowered, disabled, and broken robots outside view can now only be discerned by Exp. Signal Interpreters
* MOD: Default font changed from "Cogmind" to "Smallcaps" w/glow variants (former renamed to "Cog")
* MOD: Shift-LMB to center map on cursor position works, but is now an undocumented command
* MOD: Inventory displays item sprites rather than ASCII when in sprite mode
* MOD: Intel overlays for stockpiles display item sprites rather than ASCII when in sprite mode
* MOD: Effects of Maneuvering Thrusters and Reaction Control Systems do not apply when overweight
* MOD: Behemoth core exposure reduced by 5%
* MOD: 50% increase to effect on alert level from destroying or jamming a garrison access point
* MOD: Improved visibility of projectile count on info page for multi-projectile weapons (was easy to overlook)
* MOD: Ramming non-combat robots counts as an aggressive action and they'll now flee and send out distress calls as with regular attacks
* MOD: Machine serials that used unique letters derived from the current map name now always use the first letter of that name (cosmetic)
* MOD: Garrison Access terminal seal animation improved (also fixed issue where it might not finish playing on slow machines)
* MOD: Size 10 font "All Caps" renamed to "Smallcaps"
* MOD: Some glyphs in all Terminus fonts modified
* MOD: Terminus (non-bold) fonts given a faint glow at sizes 18, 20
* MOD: Added slight anti-aliasing to 12/Terminus font to further improve readability (especially on smaller screens)
* MOD: Help screen commands for keyboard control of allies more clearly indicates how to enter required mode
* MOD: Drone Bay ASCII art tweaked
* FIX: Crash on Tab-cycling targets after causing time to pass by swapping parts before original target destroyed by another actor without having exited look/fire mode [Sylverone]
* FIX: Scoresheet missing Garrison Status hack tally, throwing off the dozen hacks listed after where it should be [zxc]
* FIX: Scoresheet recorded turns spent in Hub_04(d) to Armory [Sherlockkat]
* FIX: Score total for prototype IDs didn't account for those learned via hacking or Component Analysis Suites [Enno]
* FIX: Jamming a Garrison Access point via brute force hacking now applies same Programmer dispatch reduction as sealing/destroying it
* FIX: Crash on replacement of attached Processors or Hackware direct from ground while inventory full
* FIX: Basic/Imp. Signal Interpreter indicators remained on map even in view if moving multiple spaces per turn
* FIX: Overlapping simultaneous explosions could not affect the same robot more than once (Gamma Bomb Arrays etc. will be more effective now)
* FIX: Hunters could no longer track targets through walls (Alpha 6 regression)
* FIX: EMDS missing projectile name in penetration message text
* FIX: Toggling sprite/ASCII modes from the option menu (instead of via hotkey) didn't update previously seen areas until seen again
* FIX: Fullscreen successful win animation might not play out on slow machines
* FIX: Botnet trojan success text used incorrect plurality when value is 1
* FIX: Typo in new offensive hackware effect description
* FIX: 20/Terminus text font missing integrity block glyph
* FIX: Size 8 mini font wasn't grayed out in the option menu's font list while tileset active
* FIX: One line-junction glyph in the size 8 mini CP437 font misaligned

=================================================================
Cogmind Alpha 6 (160119) - "Hacking a Dream"

* NEW: Branch map "Archives"
* NEW: Branch map "Hub_04(d)"
* NEW: 1 major plot event
* NEW: 1 more story-related NPC encounter
* NEW: 3 new NPCs (unique robot classes)
* NEW: 1 new prototype robot
* NEW: 2 new weapons
* NEW: 2 new terminal records
* NEW: New Trojan hack (secret)
* NEW: Various additional sound effects (total now at 711)
* NEW: Fourth way to enable access to final lift to surface
* NEW: Removal/replacement of attached processors and hackware destroys them, with unique UI animation/SFX
* NEW: Destroy-on-removal parts marked with a dark colon in parts list
* NEW: Drag-dropping a destroy-on-removal part from the attached parts list shows in red rather than white, to indicate it will be destroyed
* NEW: Disarmed combat robots shown at half brightness
* NEW: All Field Recycling Units vastly improved with new behavior, acting as "vacuums" that convert salvage to matter over time
* NEW: HUD matter readout displays Field Recycling Unit scrap storage and distribution rate when applicable
* NEW: Interactive machines may be embedded in walls
* NEW: Firing weapons in non-reinforced environments may cause cave-ins, where the chance depends on the class of weapon
* NEW: Mouse players can left-click on a wall to enter fire mode (so that force-attacking can be achieved without the keyboard at all)
* NEW: Manual entry of hacking commands is case-insensitive (including both the command itself and any optional arguments)
* NEW: Schematics and analyses already obtained are grayed out when hacking terminals
* NEW: Flying Cogminds can force-attack (Ctrl-Shift) adjacent robots to ram them when unarmed, rather than flying overhead
* NEW: New font size, 8, enabling 640x480p UI (purely for fun, was easy to add)
* NEW: All supporter names registered since Alpha 5 added to in-game list (see Credits menu)
* NEW: All item-attribution names registered since Alpha 5 added to the item collection gallery
* MOD: Many propulsion stat values reworked!
* MOD: Simplified propulsion mechanics and all known calculation oddities at very high speeds and overweight situations ironed out
* MOD: Ground-based propulsion (wheels/legs/treads) no longer slows with each additional module
* MOD: Airborne propulsion (hover/flight) no longer has a per-part limit on max speed (is type-based)
* MOD: As a side effect of propulsion changes, most hostiles slightly slower
* MOD: Wheels have an advantage now, but still suffer from low integrity
* MOD: Backup Propulsion I/III/VII nerfed
* MOD: Tread recoil dampening effect reduced to 1 per active tread slot
* MOD: Hunter-class Slayer/Assassin/Terminator variants' firepower reduced
* MOD: Reactive armors reduced in size; mass significantly increased to compensate
* MOD: Removed Fabricators from Materials floors
* MOD: Interactive machine placement weights use unique values for each machine, causing some to be more likely, or only, found in rooms
* MOD: Complex 0b10 rooms are slightly less likely to be empty
* MOD: Complex 0b10 contains more interactive machines, especially terminals, in Factory and Research floors
* MOD: Non-combat robots no longer allowed to spawn in hidden corridors used by combat robots
* MOD: Cave-ins caused by explosions are postponed for one or more turns after the explosion occurs, and are also more common
* MOD: Explosions, especially more powerful ones, are more likely to cause cave-ins
* MOD: "Go naked" command (Shift-Alt-q) switched to Shift-Alt-p, to avoid conflicts with non-Windows OS commands
* MOD: Removed item "durability" stat; all slots have equivalent coverage for purposes of determining impact damage location
* MOD: Removed system familiarity mechanic for both machine and robot hacking
* MOD: Removed Footprint Analyzers and System Mapper hackware
* MOD: Spectral Analyzer energy upkeep dropped to 0
* MOD: All processor mass dropped to 0 (44 parts including all interpreters, analyzers, targeting computers, etc.)
* MOD: All processor and hackware coverage dropped by 88%
* MOD: Better hackware is available earlier, and also more consistently from Operators
* MOD: Merged both offensive hackware types (strength/tunneling) into a single type, where base type = Hacking Suite
* MOD: Merged all three defensive hackware types (stealth/evasion/defense) into a single type (base type = System Shield)
* MOD: Condensed 20 hackware parts into a new set of 12
* MOD: Removed terminal trace reset mechanic, and terminals no longer immediately test detection/tracing on reconnect (only after hacking)
* MOD: Active terminal info shows trace progress instead of countdown
* MOD: Manual updated to reflect all changes to propulsion, hacking, hackware, processors
* MOD: Processors and hackware immune to rejection due to system corruption
* MOD: Repair Stations can no longer repair processors or hackware if already attached
* MOD: Manual hacking buffer removes earlier matching entries when a new command is entered (previously only removed consecutive entries)
* MOD: Removed upkeep for malfunction blockers (e.g. Error Protection Suite), instead having it consume 20 matter on effect (if available)
* MOD: Running via keyboard stops on stairs rather than ascending (regardless of auto-ascend setting)
* MOD: Line-of-fire color no longer considers friend/foe relationship, just pure obstruction
* MOD: Datajacks and Stasis Projectors no longer display projectile/hit data in info window (no meaning since based on special effects)
* MOD: Field Recycling Units reduced to 1 slot, are heavier, and have both active heat and energy requirements
* MOD: Particle Gun (G-47 Trooper armament) stats adjusted: shorter range, lower energy cost, higher heat, greater damage range
* MOD: Removed Hcp. Storage Units, and mass of Lrg. units increase to 16 (+2)
* MOD: Further improved effect of Launcher Guidance Computers
* MOD: Hostile Grunt, Sentry, Specialist, and Programmer variants have better heat management
* FIX: Crash when an assimilated Spotter explored to the edge of the known map [zill]
* FIX: Crash on simultaneously destroying an entire array of ambush traps [Decker]
* FIX: Signal Interpreter secondary effect description did not clearly indicate adjacency requirement for identifying exits [Sherlockkat]
* FIX: Repair Station failure to repair an attached part which was broken in the process was not reflected in parts list [MJWkr]
* FIX: Broken power sources continued contributing to energy storage capacity [greymedicine]
* FIX: Alert(Check)-reported security level suffix was always 'Z', not A~Z as intended (to reflect progression towards next alert status)
* FIX: Art for Imp. Fusion Compressor contained a few miscolored glyphs
* FIX: Multi-cell doors played opening sound for every move along/through them, if move commands entered slowly

=================================================================
Cogmind Alpha 5c (151220) - "Personal Assistant"

* NEW: 5 new power sources
* NEW: Auto-replaced attached items that cannot be moved to the inventory (full) will use the same auto-replacement rules to attempt to displace an even worse third item (in inventory) if applicable
* NEW: Picking up items with full inventory attempts to auto-replace a worse item using same rules as attached part auto-replacement
* NEW: Powerful new Trojan hack (secret)
* MOD: Brawler/Behemoth class robots power sources changed
* FIX: New Alpha 5 bonus score system broke the win point formula [Decker]
* FIX: Scoresheet combat kill streak count could exceed combined combat/non-combat value [zxc]
* FIX: Attempting to auto-replace with a multi-slot part wasn't fully blocked as intended, letting the action reach a half-completed state
* FIX: Auto-replacement mechanism ignores unidentified items for purposes of checking utility effect replacement priority

=================================================================
Cogmind Alpha 5b (151217b)

* FIX: Smart auto-replacement of parts might choose incorrectly in swaps involving three or more of the same item with different integrity values [zxc]

=================================================================
Cogmind Alpha 5 (151217) - "Into the Unknown"

* NEW: Branch map "Recycling"
* NEW: Branch map "Extension"
* NEW: Branch map "[redacted]"
* NEW: 1 major plot event
* NEW: 3 story-related NPC encounters
* NEW: 9 additional robots (excluding NPCs)
* NEW: 1 additional weapon
* NEW: Quantum Generators produce an ambient sound
* NEW: Various additional sound effects (total now at 702)
* NEW: Allied Operator hacking bonus applies to robot hacking as well
* NEW: Every Materials floor now includes a guaranteed cache of Storage Units
* NEW: Attaching parts (from ground or inventory) while slots are full attempts to smartly auto-replace parts (see manual for priorities)
* NEW: Shielding bonus from stasis traps now produces visual/sound effect akin to phase walls and remote shield generators
* NEW: Matter-specific machines release matter as they are destroyed (Matter Pump, Pressure Siphon, Matter Filter)
* NEW: Fabricators overloaded by brute force hacks have a wide EM spectrum when zapping robots, and can couple with power sources
* NEW: Firing overloaded weapons temporarily distorts the HUD, with a greater effect for higher level weapons
* NEW: Keyboard running stops for adjacent doors, corners, and corridors when moving cardinally
* NEW: Scoresheet includes breakdown of bonus point sources
* NEW: All supporter names registered since Alpha 4 added to in-game list (see Credits menu)
* NEW: All item-attribution names registered since Alpha 4 added to the item collection gallery
* MOD: Vastly reduced time cost of large volleys (fire 5-10 weapons in less time than originally required by 3!)
* MOD: Alert(Purge) effectiveness halved!
* MOD: Lrg./Hcp. Storage Unit mass increased, making them less weight efficient as an alternative to increasing their size
* MOD: Threat-priority targeting preference option's accuracy improved
* MOD: Tweaked resistances of some props, including special/locked doors
* MOD: Barriers (brighter walls) take half damage from all AOE effects
* MOD: EM damage to regular walls and doors halved; doubled against phasewalls
* MOD: AI no longer attacks disrupted or disabled robots
* MOD: Beamcasters (used by Derelict Thugs) have a new sound effect, and alternate faster animation
* MOD: Buffed Rocket Arrays and Scatter Rocket Arrays
* MOD: Allies wandering around your position will step on nearby known traps less often, when possible
* MOD: Non-combat robots no longer trigger responses from hidden doors
* MOD: K-01 Serfs no longer clean disabled machines
* MOD: Removed chance of standard doors with nothing on the other side once opened
* MOD: Allied Operator hacking bonus applies to all machines, not just terminals
* MOD: Allied Operator hacking bonus only given for those within 20 spaces (direct range, LOS not required)
* MOD: Minimum volley duration set at 100 time units, regardless of individual or cumulative weapon delay modifiers
* MOD: Storage Units immune to severing by slashing weapons
* MOD: Engineers rebuild damaged Sentry/Behemoth cubbies rather than fill them in
* MOD: Critical damage multiplier against armor reduced from x2.00 to x1.25
* MOD: Item selection for dropping due to inventory overflow is now random, rather than based on internal list order
* MOD: Auto-ascend option will pass stairs without ascending if auto-pathing to another destination via mouse
* MOD: Updated a couple manual and context help entries
* MOD: Increased bonus points for a win
* FIX: Stairs might rarely be found in narrow corridors [zxc]
* FIX: Propulsion batch cycling via ';' was overloading propulsion where applicable rather than deactivating it [zxc]
* FIX: Couldn't fly over inactive non-rewireable robots [zxc]
* FIX: Inactive robot encounter in Storage (and a similar more rare encounter) broken in Alpha 4; robots were becoming unpowered [MJWkr]
* FIX: Crash on attempting to mine beyond the edge of a map [MJWkr]
* FIX: Rare crash on entering Mines with cursor over map in which path locations from previous map are no longer valid [SquigglyJ]
* FIX: Rare crash when aiming at a target and unable to retrieve volley recoil data because a weapon was suddenly destroyed [karlnp, Enno]
* FIX: Swapping out of extended log or calc windows while readout SFX in progress continued looping until same sound played elsewhere [Star Weaver, zxc]
* FIX: Rare crash when system corruption triggers a trap against a robot which immediately evades the effects via thrusters
* FIX: Potential crash on some ambush traps releasing melee robots
* FIX: Allied Protector class robots were always appearing red in allies list, even when capable of carrying out their role
* FIX: Out-of-sight projectiles within audible range were playing at slightly louder volume than intended
* FIX: Automated output of squad enumeration hacks produced typos due to the Alpha 4 plurality improvements
* FIX: Scroll buttons for gallery and supporter pages stopped working (broken by Alpha 2's support for left-click exiting of modal windows)

=================================================================
Cogmind Alpha 4b (151109)

* MOD: Stasis traps completely removed from Materials floors
* FIX: Failed to apply rarity limits to special scenarios surrounding mid-game garrison access machines [zxc]
* FIX: +10% to Cogmind's (not hostiles') accuracy while stationary was never applied [@macklemurr]

=================================================================
Cogmind Alpha 4 (151103) - "On the Offensive"

* NEW: Garrison Access points, hackable entryways used by the central AI to dispatch squads
* NEW: "Special Map" (outside regular Complex 0b10, but not a normal branch)
* NEW: 8 Trojans, a new category of unlisted unauthorized hacks that offer delayed or persistent benefits
* NEW: 3 brute force hacks, a new category of unlisted unauthorized hacks that permanently disable a machine for some greater benefit
* NEW: "Index(Garrisons)" terminal hack
* NEW: 4 new terminal records
* NEW: Phase Walls, a new form of hidden door (only found in one map)
* NEW: Lots more sound effects to go with new content
* NEW: Electromagnetic weapons have a "spectrum," capable of coupling with power sources and causing them to explode
* NEW: Part/inventory data visualization now includes heat mode (toggle via energy 'e' command/button)
* NEW: Inspect machines in sight via their own info window (RMB/d, as with other objects)
* NEW: Structural Scanners give extra info about machines via info window
* NEW: Any Signal Interpreter can decipher garrison signals to report time until future response squads from that garrison
* NEW: Scoresheet records 52 more stats (total: 390)
* NEW: Speed wins receive bonus to final score ([5000 - #turns] * 3)
* NEW: Some non-machine props have unique messages when partially destroyed, rather than all indicating "X disabled"
* NEW: Unique sound effects for destruction of heavy doors and storage shells
* NEW: Robot states "DORMANT", "UNPOWERED"
* NEW: Sensor scrambling mechanic
* NEW: Dropping/swapping containers always retains surplus resources (energy/matter) however possible
* NEW: Move over loaded containers to extract their resources automatically, either to main stores or applicable containers in inventory
* NEW: Resources can be collected/extracted while stationary over a source
* NEW: Flying robots under the effect of a Stasis Beam/Projector lose their 10% bonus to dodge
* NEW: Overweight flying robots lose their 10% bonus to dodge (your HUD overweight indicator will appear red)
* NEW: At death, robots affected by corruption have a chance for otherwise salvageable sensitive components to be fried ([corruption - base part integrity]% chance)
* NEW: For Cogmind, only parts at less than 50% integrity susceptible to critical strikes (excludes armor, which always takes double damage)
* NEW: Storage Units immune to Saboteur attacks and critical strike instant destruction effect
* NEW: Part rejection due to corruption is animated in your parts list, with sound effect
* NEW: Where removing a Storage Unit will auto-drop excess inventory items, confirmation is required (repeat the command)
* NEW: Instantly release all attached parts to "go naked," a free action (Shift-Alt-q)
* NEW: Keyboard players can direct-drop an attached item, bypassing even an empty inventory, by first pressing ','
* NEW: Cycle through all propulsion modes at the press of a key (;)
* NEW: Toggle all weapons on/off with a single key (')
* NEW: Press 'd' to open info for item at current location (even in mouse mode)
* NEW: Both scan window and map labels display container contents, if any
* NEW: Scan window automatically updates integrity indicator color for old robot/item scans
* NEW: Robot Schematic()/Analysis() manual hacks can simply indicate robot class to auto-select best available (e.g. "Schematic(Swarmer)")
* NEW: Manual hacking buffer contents stored in readable format (/user/buffer.txt), which you can ignore or edit as necessary
* NEW: Options menu option descriptions also automatically shown in keyboard mode (on selection)
* NEW: All supporter names registered since Alpha 3 added to in-game list (see Credits menu)
* NEW: All item-attribution names registered since Alpha 3 added to the item collection gallery
* MOD: Security levels rise faster, but assault force dispatch frequency reduced
* MOD: Investigation and reinforcement squad response times significantly reduced
* MOD: Ambush traps cap melee robot count, attempt to put them further from the trigger position where possible
* MOD: Propulsion energy cost visualization in parts/inventory list shown based on cost per full turn, based on speed
* MOD: Machines 50% less resistant to electromagnetic explosions
* MOD: Blast/heavy doors +35% resistance to explosives
* MOD: Rooms (not Storage Shells) in Storage now contain sets of parts akin to stockpiles, rather than numerous disparate parts
* MOD: Engineers rebuilding walls/doors push blocking items out of the way rather than destroying them
* MOD: Improved clarity of context help for robot damage resistances in info window
* MOD: Reversed green/red coloring of damage resistance bars for robots
* MOD: Behemoths equipped with Dynamic Insulation Systems
* MOD: Tweaked damage against Programmers: TH = 125% (+25), EX = 75% (-25), EM = 25% (-25), (KI unchanged at 125%)
* MOD: Robots killed via corruption (EM) or meltdowns now count towards score, and increase presence accordingly
* MOD: Terminal damage from EM +50%
* MOD: Terminal hacks inapplicable due to no valid targets now shown, but grayed out (includes Emergency Access, Purges, all Trap hacks)
* MOD: "Index(Fabricators)" terminal hack 10% easier
* MOD: Fabricators no longer produce faulty prototypes
* MOD: Part rejection due to corruption blocks movement for 1000ms rather than 500ms
* MOD: System corruption effect on machine/robot hacking chance reduced by 66%
* MOD: Misfires due to corruption don't affect your weapons' active/inactive state (but does reset any OVERLOAD settings)
* MOD: Storage Unit removal behavior consistent in all situations--detachment allowed regardless of kb/mouse mode and inventory size
* MOD: Info window identifies permanently broken robots as "BROKEN" rather than the all-encompassing "DISABLED"
* MOD: Improved robot meltdown mechanics, and hostiles will no longer meltdown on their own
* MOD: Ctrl-[/] (or Ctrl-Wheel) scrolls inventory by page, rather than to beginning/end
* MOD: Removed Undo Drop command (Shift-Alt-d)
* FIX: Parts affected by hacking feedback and failed repairs/Scanalyzer analysis were only partially disabled [zxc, Draco18s]
* FIX: "Inventory(Prototypes)" manual hack was being parsed as "Prototypes" [fernsauce]
* FIX: Could get double item labels if opening manual labels before auto-label took effect [Adraius, bluemoo]
* FIX: Main access points could rarely appear in narrow corridors, even hidden corridors [zxc]
* FIX: Scoresheet "Keyboard" value was inverted [zxc]
* FIX: Allied Operator hacking bonus was giving +0 rather than +1 per Operator after the fourth
* FIX: Dynamic Insulation System calculations were providing 20~33% greater benefit than intended
* FIX: Typo in successful Scanalyze hack output when simultaneously identifying a prototype
* FIX: Many hack results weren't reporting nouns in singular form if only one found
* FIX: "Access(Main)" terminal hack was reporting current map name as destination
* FIX: Item comparison window one line short when displaying Datajack vs. Remote Datajack
* FIX: Derelict ambush trap encounter dialogue never triggered
* FIX: Inactive Watchers were still able to jam sensors
* FIX: Non-penetrating AOE projectiles that impacted a multi-cell door were using the door itself as the explosion origin (now outside)
* FIX: Door open/close sound effects played in more instances than they should while robots passed through
* FIX: Explosions out of sight but within audible range were playing their sound effects twice, simultaneously
* FIX: Standing within range of two or more unique ambient sound sources while one is disabled could stop playing the wrong one
* FIX: Closing the help/commands/game menu while in range of an ambient sound source didn't resume playing the sounds

=================================================================
Cogmind Alpha 3c (150908) Tournament Edition

* NEW: Warning message and sound effect feedback before stepping on a known hostile trap
* NEW: 5 more metrics recorded on scoresheet
* NEW: Added mention of accuracy cap (95%) and lower bound (10%) to the manual
* MOD: Robot meltdown frequency decreased significantly
* MOD: Slightly weakened effect of blade/segregator traps 
* MOD: Blade/segregator traps ignore all storage/container parts
* MOD: Med./Lrg./Hcp. Storage Unit mass increased
* MOD: Programmer dispatch frequency varies less wildly
* MOD: Improved descriptions for Signal Interpreters, Terrain Scan Processors, ECM Suites
* FIX: Misdirection caused by system corruption failed to redirect (broken by Alpha 2) [Adraius]
* FIX: Unidentified prototypes in your inventory at the end of a run were listed as an ID'ed prototype [Adraius]
* FIX: Database data loss due to system corruption wasn't being applied, despite message to that effect [Adraius]
* FIX: Player names and manual world seeds including spaces weren't fully read from config file
* FIX: Armor Integrity Analyzers were only sometimes working as intended

=================================================================
Cogmind Alpha 3b (150901b)

* FIX: Crash on selecting options menu submenu item in keyboard mode [MJWkr]

=================================================================
Cogmind Alpha 3 (150901) - "It's a trap!"

* NEW: Traps!!! (including many ways to detect and handle them as well as use them against enemies)
* NEW: Auto-label system identifies discovered traps
* NEW: Multiple trap-related terminal hacking commands
* NEW: Maneuvering Thrusters give a chance to dodge triggered traps
* NEW: Structural Scanners have a chance to detect traps within field of view
* NEW: Allied Operators within 20 spaces of you identify hidden traps in your field of vision
* NEW: Active melee Datajacks can be used to reprogram known traps (bump them, as with robot rewiring)
* NEW: Hacking Suites and related (hacking strength) utilities provide a bonus to rewiring disrupted robots and reprogramming traps
* NEW: Dynamic Insulation Systems can prevent the effects of shock/surge traps
* NEW: Transmission Jammers block the signal sent out from alarm traps
* NEW: Stasis Cancellers reduce or nullify the effect of stasis traps
* NEW: Expanded manual with a new section about basic trap mechanics
* NEW: Trap-related score records
* NEW: "Special Map" (outside regular Complex 0b10, but not a normal branch)
* NEW: 6 new robots (mostly confined to special new area for now)
* NEW: 9 new weapons (mostly confined to special new area for now)
* NEW: 2 new armor types
* NEW: K-01 Serfs (Workers) in Factory dispose of disabled robots
* NEW: Part rejection caused by system corruption blocks move commands for 500ms
* NEW: Manual includes a section explaining "Advanced UI" display features
* NEW: Press Left/Right keys to switch topics in manual
* NEW: Enter/Up/Down keys all close context help window for stats
* NEW: Double click/press same inventory sort button/key to reverse the sorting order
* NEW: Options menu option descriptions also automatically shown in keyboard mode (on selection)
* NEW: Save files have their own versioning system, meaning games-in-progress can be compatible with small/hotfix releases
* NEW: Any Signal Interpreter can identify where adjacent exits lead
* NEW: Overheating robots have a chance to be destroyed by critical meltdown each turn
* NEW: Heat from volleys now averaged over each of the duration's turns rather than front-loaded
* NEW: Some terminal hacks increase in difficulty with each previous success on same floor (notably Purge Threat)
* NEW: Fabricators and Repair Stations play item drop sound effect when releasing items/containers
* NEW: All supporter names registered since Alpha 2 added to in-game list (see Credits menu)
* NEW: All item-attribution names registered since Alpha 2 added to the item collection gallery
* MOD: "Enemies/Allies" buttons renamed to "Hostile/Friendly", now also label known traps
* MOD: Direct "Local Emergency Access" terminal hack doesn't show unless there are applicable doors within range
* MOD: Direct "Purge Threat" terminal hack doesn't show unless there are threat records to purge
* MOD: Attempts to escape from a Stasis Beam take one full turn rather than basing on propulsion speed
* MOD: Attempts to escape from a Stasis Beam no longer incur resource costs
* MOD: Slightly reduced patrol sizes in upper half of main complex
* MOD: Reduced ally effect on security level by halving threat modifier
* MOD: Item labels for prototypes append rather than prepend rating asterisk, to match parts list info mode format
* MOD: Cannot swap places with disabled/inactive allies
* MOD: Manually seeded games always skip the tutorial map even if you haven't played it three times
* MOD: Map object labels on cursor hover blocked when status window open (same behavior as item info window)
* MOD: Map object labels on cursor hover no longer shown during attack animations
* MOD: Entering targeting mode clears all visible map labels
* MOD: Moving clears all manual map labels
* MOD: Part rejection caused by system corruption no longer possible unless standing on an open space, and never rejects storage utilities
* MOD: Reduced rate of map data loss due to system corruption
* MOD: A portion of individual randomly placed items more likely to be of higher rating
* MOD: Lowered by 33% the threshold beyond which less aggressive AI-controlled robots (e.g. Grunts, Sentries) stop firing due to overheating
* MOD: Allied system corruptions split from general robot corruptions in score list
* MOD: All non-light power source integrity +50%
* MOD: All tread integrity +100%
* MOD: All leg integrity +50%
* MOD: All machine explosion damage +50%
* MOD: Replaced H-55 Commando's Hpw. Shotgun with Gauss Rifle
* MOD: Total heat shown in volley window reflects new heat distribution mechanic, displaying per-turn value rather than total
* MOD: AI patrols move in tighter groups
* MOD: Optimized AI to reduce realtime turn length
* FIX: Crash on pressing a letter corresponding to a previous hack during the machine hacking UI close animation [framweard]
* FIX: Maneuvering Thrusters and Reaction Control Systems always dropped chance to be hit to 10% [Mando]
* FIX: Pressing 'f' in mouse mode entered fire mode but would disregard auto-target settings if you'd clicked on any target to fire before [Happylisk]
* FIX: Crash on entering targeting mode while in mouse mode and last target had moved outside viewable map but remained within view of an allied drone
* FIX: Crash on pressing F4 to toggle the log before new/saved game finished loading
* FIX: Manual world seed wasn't properly applied when starting a fresh game (suicide-restart no longer required)
* FIX: Stasis Beam escape difficulty wasn't properly based on robot size as intended
* FIX: Enemy move time miscalculation (slow enemies will be much easier to lose now, fast ones much more difficult)
* FIX: Log message on knockback referenced "Cogmind" (inconsistent with other messages)
* FIX: Pressing a map object label key (1~4) while in mouse mode and cursor hovering over a labeled object blinked label rather than reloading all
* FIX: Game over screen would indicate a successful score upload even if the connection failed
* FIX: Scoresheet kill streak records were inaccurate, and far beyond their actual number
* FIX: Scoresheet "Sessions" count was counting each autosave as a new session
 
=================================================================
Cogmind Alpha 2c (150726)

* FIX: Crash on ramming and destroying a robot before the collision warning indicator blink duration ended [Happylisk]
* FIX: Crash on running without an enabled audio device (now no such device required) [jimmijamjams]
* FIX: Manual map object labels left open before transitioning to a new floor would remain, pointing to nothing

=================================================================
Cogmind Alpha 2b (150720b)

* FIX: Item stat comparisons improperly aligned when involving one or more ground items [E.I.G.]

=================================================================
Cogmind Alpha 2 (150720) - "Thanks to U and I"

* NEW: Added 34 new fonts from 4 typefaces: Terminus, X11, Proggy, Dina
* NEW: All registered supporter names added to new in-game list (see Credits menu)
* NEW: All registered item-attribution names added to the item collection gallery
* NEW: Option to display item attributions directly below item info for every item (advanced.cfg only: see labelSupporterItems)
* NEW: Gallery access button now also appears on top bar of game menu when sufficient room (widescreen resolutions)
* NEW: Buffered manual hacking commands saved between runs, even after program restart
* NEW: Consecutively opening item info windows automatically shows relative stat changes from the previous item
* NEW: Collision warning and request for movement confirmation prevents accidental unarmed ramming of robots
* NEW: Ramming robots collects a small random amount of matter from the debris for each collision
* NEW: Right-clicking on a map object opens its info window even while status or other another info window already open
* NEW: Left-clicking anywhere outside modal windows closes them
* NEW: Select parts listed under robot loadout to examine details (also works with ally inventories and even robot schematics)
* NEW: "Floor Gamma" option increases brightness of open floor and debris in tileset mode
* NEW: Keyboard examine mode capable of displaying labels for objects outside FOV
* NEW: If not in keyboard mode, "Auto-label on Examine" option now determines whether to display object label while cursor hovering
* NEW: Allied Operators within 20 spaces of you report changes in floor-wide security level
* NEW: Active treads reduce recoil for all weapons by 10
* NEW: Active treads immune to knockback from impact damage
* NEW: Repair Stations can directly scan and accept even currently attached parts
* NEW: Scoresheet explicitly records whether a world seed manually set or randomly generated
* NEW: Scoresheet filename appends a "_w" to denote a win
* NEW: Part rejection caused by system corruption stops in-progress run/path
* NEW: Sound played on taking screenshot
* NEW: Robot armament list shows individual coverage percentages when examined with proper scanner (as with other components)
* NEW: Tactical HUD mode option for advanced players is more meaningful (off by default unless migrating from a previous configuration)
* NEW: HUD displays predicted energy and heat change per turn if stationary, and per move if mobile (tactical HUD mode only)
* NEW: Item ratings shown directly in on-map item labels (tactical HUD mode only)
* NEW: Option to disable ESC access to game menu (advanced.cfg only: see disableEscMenuAccess)
* NEW: Press ESC/Spacebar to cancel a run/path in progress
* NEW: Advanced commands list explicitly indicates how to cancel a run/path in progress
* MOD: Respecced all shotguns to dual projectiles, shorter ranges; some have lower accuracy and other tweaks
* MOD: Security level is reduced as you lose allies, and when Complex 0b10 AI believes you are being adequately dealt with and pose less of a threat
* MOD: Higher "value destroyed" score awarded for machine destruction and sabotage, comparative to effect on security level
* MOD: Manually called map object labels stay visible for a much longer period, or until toggled off
* MOD: LOAD setting can be used to fill matter/energy containers detached directly to the ground
* MOD: Item/robot schematic lists accessed from status window open info via RMB and close via LMB (anywhere)
* MOD: Context help windows close automatically on moving the cursor a certain distance
* MOD: Expanded context help text for item "durability" stat
* MOD: Clarified context help text for energy/heat movement costs in status window
* MOD: Optimized font loading speed on startup
* MOD: Map object quick labels blocked while item/status windows open
* MOD: Ramming robots increases the potential for salvage
* MOD: Pressing ESC while extended log is open shrinks it instead of immediately opening help/game menu
* MOD: Pressing ESC prioritizes removing any map labels over opening help/game menu
* MOD: Motion trail fade duration capped at 2000ms
* MOD: Pressing lower/upper-case letters and LMB/RMB on a schematics list all have the same result--display object info
* MOD: Data Core expiry raised from 30 to 40 turns
* MOD: Increased score reward for prototype identification, from 5 to 20
* FIX: Re-pressing 'r' now stops a run in progress [Sylverone]
* FIX: Quitting from gameover screen after loss was autosaving a dead Cogmind [zill, Gaspard]
* FIX: Katana and Scythe shared the same stats (now differentiated by making the latter more unique) [Gaspard]
* FIX: Opening help/game menu while unfinished log text still typing continued looping the sound until exit to game [Ghost73]
* FIX: Quick labels shown for robots standing on an item could overlap
* FIX: Closing OS window during ongoing dialogue was autosaving and could invalidate dialogue results
* FIX: Closing info, list, and dialogue windows while close animation still playing would restart the animation
* FIX: Sprite for multi-cell robots displayed properly in schematics info window
* FIX: Fullscreen setting changed through Alt-Enter wasn't saving to config file
* FIX: Typing a grave character at the end of a text entry crashed the font renderer
* FIX: Typo in basic help text for parts list: "Essental"

=================================================================
Cogmind Alpha 1b (150610) - "Quality of Robot Life"

* NEW: Exit labels now explicitly indicate which lead to currently unavailable branches, even when unidentified
* NEW: Currently inaccessible exits are now shown in red, and also differentiated in scan window
* NEW: Discovered exits now report the map name in the log as well, if known
* NEW: Interactive machines have color effects to indicate locked/processing/tracing status
* NEW: Machine trace resets are reported to log
* NEW: Active Structural Scanners detect machines destabilized by collateral damage and color them differently
* NEW: Allied Operators within 20 spaces of you identify hidden doors in your field of vision
* NEW: Ally transfer range highlighted on map when followed by allies and at or adjacent to an exit
* NEW: Entering fire mode via mouse quickly highlights the previously attacked target as a reminder
* NEW: Robot motion trails which can be toggled and tweaked in the options (off by default)
* NEW: While motion trails are active, hostiles spotting Cogmind indicated by flashing exclamation points rather than background colors
* NEW: Path to cursor set to persistent highlighting when not in keyboard mode (can toggle in options)
* NEW: If not in keyboard mode, cursor-based movement direction is highlighted while hostiles in sight
* NEW: Added 2 new fonts at size 20 (equivalent to doubling the size 10 cased and all caps styles)
* NEW: Added 8 new fonts to enable larger images on resolutions above 1440p
* NEW: Manually set world seeds are reported in the log on starting a new game
* NEW: Escape key now accesses help/game menu when no other windows are active
* NEW: Adjacent space highlighted red for mouse users if moving in that direction will ram a robot (i.e. not flying and no melee weapon)
* NEW: Scoresheet now records whether using keyboard mode
* NEW: Winning the game awards an additional 2000 bonus points to score
* NEW: Schematic info windows now indicate number of robots/items simultaneously produced, and required Fabricator level
* NEW: Successful indirect "database" hacks (queries/schematics/analysis/prototypes) may cause mapwide lockout of database access (hack evasion)
* NEW: Permanently locked machines are not added to intel data
* NEW: Option to use ASCII item type-based coloring style for sprites (advanced.cfg only: see ratingBasedItemSpriteColors)
* NEW: Option to disable mouse wheel scrolling to wait (advanced.cfg only: see noMouseWheelWait)
* NEW: Added several more tutorial messages
* MOD: Swapping is default behavior for drag-and-drop from inventory to parts list (no shift keypress required)
* MOD: "Auto-label on Examine" config setting defaults to true
* MOD: Robot hacking PARSE command results now display "N/A" for modules if none found
* MOD: Increased size of help/options button in bottom right corner of main UI
* MOD: Darkened path highlighting color (hold Ctrl-Alt to temporarily brighten it)
* MOD: Path visualization no longer shows while in a targeting mode
* MOD: Path-to-cursor highlighting not displayed when hostiles in sight and movements are in single-space increments
* MOD: Updated some utility effect descriptions to indicate whether they work in parallel, and can be paused/resumed
* MOD: Reduced rate of map data loss due to system corruption
* MOD: Reduced Repair Station part repair times by 25 turns
* MOD: Fabricators simultaneously produce more than one part at a time for certain schematics
* MOD: Data Core expiry raised from 20 to 30 turns
* MOD: Indirect robot analysis hacks limited by rating; must be <= current floor level, +1 per Terminal tier above the basic type
* MOD: Indirect item/robot schematic hacks limited by normal distribution rules
* MOD: Increased Fabricator level requirements for some robots
* MOD: Stepping on branch access points with Auto-Ascend active will enter them automatically (like stairs)
* MOD: Core-based hover movement benefits from Maneuvering Thrusters in the same way external hover propulsion does
* MOD: Being dug out of a Mine cave-in is now guaranteed
* MOD: Changed Recycling Unit manual hack commands from Report(Matter)/Retrieve(Matter) to Matter(Report)/Matter(Retrieve)
* FIX: Crash on opening context help while item window closing [Draxis]
* FIX: Crash on dying to a grenade fired from around a corner under certain circumstances [db48x]
* FIX: Crash on pressing a non-ESC key in robot hacking PARSE window [dragagon, PoorFredNoonan, Deliz Seemack]
* FIX: Crash on manual Build/Repair/Scanalyze hack command with no target set [biomatter]
* FIX: Crash on RMB on item selection menu at Scanalyzers (RMB for info works now) [Darkening Kaos, strings, Vherid]
* FIX: Delete Save & Quit wasn't deleting save data [Danny Perski, zill]
* FIX: Map cursor position restored when exiting item/robot info into examine mode after using context help in keyboard mode [Deliz Seemack]
* FIX: World seeding did not result in the same world [nsg21, Binary Gambit]
* FIX: World seed description in the options menu shortened to fit available space [Sylverone]
* FIX: Machines could be placed over stairs in rooms [boomblip]
* FIX: Operators could summon reinforcements from damaged Terminals [biomatter]
* FIX: FOV wasn't recalculated on ramming a target [Karlito, AGlassOfMilk]
* FIX: Map view wasn't recentered on player after ramming/impact displacement [ironpotato]
* FIX: Ramming a robot off the stairs with Auto-Ascend enabled on will ascend the stairs immediately [Draxis]
* FIX: Hit chance shown on for scan and map popups is capped to match actual value [infectedm, biomatter]
* FIX: Cogmind was not DPI aware, and Win8 scaled the UI greater than the desktop on high-DPI monitors unless manually disabled [db48x, daviwil]
* FIX: "Slowest Speed" in scoresheet always reported 0 [nsg21]
* FIX: Initial startup from default config in sub-720p resolution wasn't forcing ASCII mode [Tuxedo-Knight]
* FIX: Alt-tabbing out of game in fullscreen keyboard mode was locking the cursor to the top-left of the screen [Maurog]
* FIX: Windows IME hotkey was interfering with swapping a part in inventory slot 0 while in keyboard mode [fonetikli]
* FIX: Screenshake was leaving artifacts around the window edges in letterboxed fullscreen mode [Maurog, bjartr]
* FIX: Remote Datajack schematic info didn't fit in the schematic examination window [Arseface]
* FIX: Schematic info for prototype parts could show as faulty
* FIX: Reconnecting to the same machine with a system analysis utility for a second session would not reward any familiarity bonus [E.I.G.]
* FIX: Month value in scoresheet filename was off by 1
* FIX: Scoresheet for a win now shows location as "Surface" rather than "-1/Access"
* FIX: Item name typo: "Mni. Assault Cannnon" [infectedm]
* FIX: While inventory auto-sorting active, window was scrolling to end when opening item info rather than beginning [Deliz Seemack]
* FIX: Part list order was not always maintained between map transitions and when continuing a previous game [biomatter]
* FIX: Temporarily inactive allied Operators could still provide hacking bonuses
* FIX: Escorted tunnelers sent to clear Mine cave-ins had overwritten their assigned AI and never excavated

=================================================================
Cogmind Alpha 1 (150517) - "Hello LRC-V3"

* ALPHA LAUNCH - FIRST PUBLIC VERSION